/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.32.0-dev.20220202(482daf0366fcde6e079826df895566987af8f547)
 * Released under the MIT license
 * https://github.com/microsoft/vscode/blob/main/LICENSE.txt
 *-----------------------------------------------------------*/(function(){var G=["require","exports","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/core/range","vs/base/common/platform","vs/base/common/event","vs/base/common/types","vs/base/common/lifecycle","vs/base/common/uri","vs/base/common/errors","vs/base/common/stopwatch","vs/base/common/diff/diff","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/base/common/arrays","vs/base/common/cache","vs/base/common/codicons","vs/base/common/diff/diffChange","vs/base/common/functional","vs/base/common/iterator","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/base/common/hash","vs/base/common/objects","vs/editor/common/core/selection","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/diff/diffComputer","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/editor/common/tokenizationRegistry","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],Y=function(U){for(var r=[],E=0,e=U.length;E<e;E++)r[E]=G[U[E]];return r},Ce=this,we=typeof global=="object"?global:{},ee;(function(U){U.global=Ce;var r=function(){function E(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}return Object.defineProperty(E.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(E.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(E.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(E.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),Object.defineProperty(E.prototype,"isElectronNodeIntegrationWebWorker",{get:function(){return this._detect(),this._isElectronNodeIntegrationWebWorker},enumerable:!1,configurable:!0}),E.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=E._isWindows(),this._isNode=typeof module!="undefined"&&!!module.exports,this._isElectronRenderer=typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="renderer",this._isWebWorker=typeof U.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="worker")},E._isWindows=function(){return typeof navigator!="undefined"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process!="undefined"?process.platform==="win32":!1},E}();U.Environment=r})(ee||(ee={}));var ee;(function(U){var r=function(){function N(a,p,m){this.type=a,this.detail=p,this.timestamp=m}return N}();U.LoaderEvent=r;var E=function(){function N(a){this._events=[new r(1,"",a)]}return N.prototype.record=function(a,p){this._events.push(new r(a,p,U.Utilities.getHighPerformanceTimestamp()))},N.prototype.getEvents=function(){return this._events},N}();U.LoaderEventRecorder=E;var e=function(){function N(){}return N.prototype.record=function(a,p){},N.prototype.getEvents=function(){return[]},N.INSTANCE=new N,N}();U.NullLoaderEventRecorder=e})(ee||(ee={}));var ee;(function(U){var r=function(){function E(){}return E.fileUriToFilePath=function(e,N){if(N=decodeURI(N).replace(/%23/g,"#"),e){if(/^file:\/\/\//.test(N))return N.substr(8);if(/^file:\/\//.test(N))return N.substr(5)}else if(/^file:\/\//.test(N))return N.substr(7);return N},E.startsWith=function(e,N){return e.length>=N.length&&e.substr(0,N.length)===N},E.endsWith=function(e,N){return e.length>=N.length&&e.substr(e.length-N.length)===N},E.containsQueryString=function(e){return/^[^\#]*\?/gi.test(e)},E.isAbsolutePath=function(e){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(e)},E.forEachProperty=function(e,N){if(e){var a=void 0;for(a in e)e.hasOwnProperty(a)&&N(a,e[a])}},E.isEmpty=function(e){var N=!0;return E.forEachProperty(e,function(){N=!1}),N},E.recursiveClone=function(e){if(!e||typeof e!="object"||e instanceof RegExp||!Array.isArray(e)&&Object.getPrototypeOf(e)!==Object.prototype)return e;var N=Array.isArray(e)?[]:{};return E.forEachProperty(e,function(a,p){p&&typeof p=="object"?N[a]=E.recursiveClone(p):N[a]=p}),N},E.generateAnonymousModule=function(){return"===anonymous"+E.NEXT_ANONYMOUS_ID+++"==="},E.isAnonymousModule=function(e){return E.startsWith(e,"===anonymous")},E.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=U.global.performance&&typeof U.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?U.global.performance.now():Date.now()},E.NEXT_ANONYMOUS_ID=1,E.PERFORMANCE_NOW_PROBED=!1,E.HAS_PERFORMANCE_NOW=!1,E}();U.Utilities=r})(ee||(ee={}));var ee;(function(U){function r(N){if(N instanceof Error)return N;var a=new Error(N.message||String(N)||"Unknown Error");return N.stack&&(a.stack=N.stack),a}U.ensureError=r;var E=function(){function N(){}return N.validateConfigurationOptions=function(a){function p(u){if(u.phase==="loading"){console.error('Loading "'+u.moduleId+'" failed'),console.error(u),console.error("Here are the modules that depend on it:"),console.error(u.neededBy);return}if(u.phase==="factory"){console.error('The factory method of "'+u.moduleId+'" has thrown an exception'),console.error(u);return}}if(a=a||{},typeof a.baseUrl!="string"&&(a.baseUrl=""),typeof a.isBuild!="boolean"&&(a.isBuild=!1),typeof a.paths!="object"&&(a.paths={}),typeof a.config!="object"&&(a.config={}),typeof a.catchError=="undefined"&&(a.catchError=!1),typeof a.recordStats=="undefined"&&(a.recordStats=!1),typeof a.urlArgs!="string"&&(a.urlArgs=""),typeof a.onError!="function"&&(a.onError=p),Array.isArray(a.ignoreDuplicateModules)||(a.ignoreDuplicateModules=[]),a.baseUrl.length>0&&(U.Utilities.endsWith(a.baseUrl,"/")||(a.baseUrl+="/")),typeof a.cspNonce!="string"&&(a.cspNonce=""),typeof a.preferScriptTags=="undefined"&&(a.preferScriptTags=!1),Array.isArray(a.nodeModules)||(a.nodeModules=[]),a.nodeCachedData&&typeof a.nodeCachedData=="object"&&(typeof a.nodeCachedData.seed!="string"&&(a.nodeCachedData.seed="seed"),(typeof a.nodeCachedData.writeDelay!="number"||a.nodeCachedData.writeDelay<0)&&(a.nodeCachedData.writeDelay=1e3*7),!a.nodeCachedData.path||typeof a.nodeCachedData.path!="string")){var m=r(new Error("INVALID cached data configuration, 'path' MUST be set"));m.phase="configuration",a.onError(m),a.nodeCachedData=void 0}return a},N.mergeConfigurationOptions=function(a,p){a===void 0&&(a=null),p===void 0&&(p=null);var m=U.Utilities.recursiveClone(p||{});return U.Utilities.forEachProperty(a,function(u,d){u==="ignoreDuplicateModules"&&typeof m.ignoreDuplicateModules!="undefined"?m.ignoreDuplicateModules=m.ignoreDuplicateModules.concat(d):u==="paths"&&typeof m.paths!="undefined"?U.Utilities.forEachProperty(d,function(v,t){return m.paths[v]=t}):u==="config"&&typeof m.config!="undefined"?U.Utilities.forEachProperty(d,function(v,t){return m.config[v]=t}):m[u]=U.Utilities.recursiveClone(d)}),N.validateConfigurationOptions(m)},N}();U.ConfigurationOptionsUtil=E;var e=function(){function N(a,p){if(this._env=a,this.options=E.mergeConfigurationOptions(p),this._createIgnoreDuplicateModulesMap(),this._createNodeModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""){if(this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var m=this.options.nodeRequire.main.filename,u=Math.max(m.lastIndexOf("/"),m.lastIndexOf("\\"));this.options.baseUrl=m.substring(0,u+1)}if(this.options.nodeMain&&this._env.isNode){var m=this.options.nodeMain,u=Math.max(m.lastIndexOf("/"),m.lastIndexOf("\\"));this.options.baseUrl=m.substring(0,u+1)}}}return N.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var a=0;a<this.options.ignoreDuplicateModules.length;a++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[a]]=!0},N.prototype._createNodeModulesMap=function(){this.nodeModulesMap=Object.create(null);for(var a=0,p=this.options.nodeModules;a<p.length;a++){var m=p[a];this.nodeModulesMap[m]=!0}},N.prototype._createSortedPathsRules=function(){var a=this;this.sortedPathsRules=[],U.Utilities.forEachProperty(this.options.paths,function(p,m){Array.isArray(m)?a.sortedPathsRules.push({from:p,to:m}):a.sortedPathsRules.push({from:p,to:[m]})}),this.sortedPathsRules.sort(function(p,m){return m.from.length-p.from.length})},N.prototype.cloneAndMerge=function(a){return new N(this._env,E.mergeConfigurationOptions(a,this.options))},N.prototype.getOptionsLiteral=function(){return this.options},N.prototype._applyPaths=function(a){for(var p,m=0,u=this.sortedPathsRules.length;m<u;m++)if(p=this.sortedPathsRules[m],U.Utilities.startsWith(a,p.from)){for(var d=[],v=0,t=p.to.length;v<t;v++)d.push(p.to[v]+a.substr(p.from.length));return d}return[a]},N.prototype._addUrlArgsToUrl=function(a){return U.Utilities.containsQueryString(a)?a+"&"+this.options.urlArgs:a+"?"+this.options.urlArgs},N.prototype._addUrlArgsIfNecessaryToUrl=function(a){return this.options.urlArgs?this._addUrlArgsToUrl(a):a},N.prototype._addUrlArgsIfNecessaryToUrls=function(a){if(this.options.urlArgs)for(var p=0,m=a.length;p<m;p++)a[p]=this._addUrlArgsToUrl(a[p]);return a},N.prototype.moduleIdToPaths=function(a){if(this._env.isNode){var p=this.nodeModulesMap[a]===!0||this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(a);if(p)return this.isBuild()?["empty:"]:["node|"+a]}var m=a,u;if(!U.Utilities.endsWith(m,".js")&&!U.Utilities.isAbsolutePath(m)){u=this._applyPaths(m);for(var d=0,v=u.length;d<v;d++)this.isBuild()&&u[d]==="empty:"||(U.Utilities.isAbsolutePath(u[d])||(u[d]=this.options.baseUrl+u[d]),!U.Utilities.endsWith(u[d],".js")&&!U.Utilities.containsQueryString(u[d])&&(u[d]=u[d]+".js"))}else!U.Utilities.endsWith(m,".js")&&!U.Utilities.containsQueryString(m)&&(m=m+".js"),u=[m];return this._addUrlArgsIfNecessaryToUrls(u)},N.prototype.requireToUrl=function(a){var p=a;return U.Utilities.isAbsolutePath(p)||(p=this._applyPaths(p)[0],U.Utilities.isAbsolutePath(p)||(p=this.options.baseUrl+p)),this._addUrlArgsIfNecessaryToUrl(p)},N.prototype.isBuild=function(){return this.options.isBuild},N.prototype.isDuplicateMessageIgnoredFor=function(a){return this.ignoreDuplicateModulesMap.hasOwnProperty(a)},N.prototype.getConfigForModule=function(a){if(this.options.config)return this.options.config[a]},N.prototype.shouldCatchError=function(){return this.options.catchError},N.prototype.shouldRecordStats=function(){return this.options.recordStats},N.prototype.onError=function(a){this.options.onError(a)},N}();U.Configuration=e})(ee||(ee={}));var ee;(function(U){var r=function(){function u(d){this._env=d,this._scriptLoader=null,this._callbackMap={}}return u.prototype.load=function(d,v,t,h){var f=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new N;else if(this._env.isElectronRenderer){var S=d.getConfig().getOptionsLiteral().preferScriptTags;S?this._scriptLoader=new E:this._scriptLoader=new a(this._env)}else this._env.isNode?this._scriptLoader=new a(this._env):this._scriptLoader=new E;var L={callback:t,errorback:h};if(this._callbackMap.hasOwnProperty(v)){this._callbackMap[v].push(L);return}this._callbackMap[v]=[L],this._scriptLoader.load(d,v,function(){return f.triggerCallback(v)},function(_){return f.triggerErrorback(v,_)})},u.prototype.triggerCallback=function(d){var v=this._callbackMap[d];delete this._callbackMap[d];for(var t=0;t<v.length;t++)v[t].callback()},u.prototype.triggerErrorback=function(d,v){var t=this._callbackMap[d];delete this._callbackMap[d];for(var h=0;h<t.length;h++)t[h].errorback(v)},u}(),E=function(){function u(){}return u.prototype.attachListeners=function(d,v,t){var h=function(){d.removeEventListener("load",f),d.removeEventListener("error",S)},f=function(L){h(),v()},S=function(L){h(),t(L)};d.addEventListener("load",f),d.addEventListener("error",S)},u.prototype.load=function(d,v,t,h){if(/^node\|/.test(v)){var f=d.getConfig().getOptionsLiteral(),S=p(d.getRecorder(),f.nodeRequire||U.global.nodeRequire),L=v.split("|"),_=null;try{_=S(L[1])}catch(i){h(i);return}d.enqueueDefineAnonymousModule([],function(){return _}),t()}else{var y=document.createElement("script");y.setAttribute("async","async"),y.setAttribute("type","text/javascript"),this.attachListeners(y,t,h);var w=d.getConfig().getOptionsLiteral().trustedTypesPolicy;w&&(v=w.createScriptURL(v)),y.setAttribute("src",v);var s=d.getConfig().getOptionsLiteral().cspNonce;s&&y.setAttribute("nonce",s),document.getElementsByTagName("head")[0].appendChild(y)}},u}();function e(u){var d=u.getConfig().getOptionsLiteral().trustedTypesPolicy;try{var v=d?self.eval(d.createScript("","true")):new Function("true");return v.call(self),!0}catch{return!1}}var N=function(){function u(){this._cachedCanUseEval=null}return u.prototype._canUseEval=function(d){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=e(d)),this._cachedCanUseEval},u.prototype.load=function(d,v,t,h){if(/^node\|/.test(v)){var f=d.getConfig().getOptionsLiteral(),S=p(d.getRecorder(),f.nodeRequire||U.global.nodeRequire),L=v.split("|"),_=null;try{_=S(L[1])}catch(s){h(s);return}d.enqueueDefineAnonymousModule([],function(){return _}),t()}else{var y=d.getConfig().getOptionsLiteral().trustedTypesPolicy,w=/^((http:)|(https:)|(file:))/.test(v)&&v.substring(0,self.origin.length)!==self.origin;if(!w&&this._canUseEval(d)){fetch(v).then(function(s){if(s.status!==200)throw new Error(s.statusText);return s.text()}).then(function(s){s=s+`
//# sourceURL=`+v;var i=y?self.eval(y.createScript("",s)):new Function(s);i.call(self),t()}).then(void 0,h);return}try{y&&(v=y.createScriptURL(v)),importScripts(v),t()}catch(s){h(s)}}},u}(),a=function(){function u(d){this._env=d,this._didInitialize=!1,this._didPatchNodeRequire=!1}return u.prototype._init=function(d){this._didInitialize||(this._didInitialize=!0,this._fs=d("fs"),this._vm=d("vm"),this._path=d("path"),this._crypto=d("crypto"))},u.prototype._initNodeRequire=function(d,v){var t=v.getConfig().getOptionsLiteral().nodeCachedData;if(!t||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;var h=this,f=d("module");function S(L){var _=L.constructor,y=function(s){try{return L.require(s)}finally{}};return y.resolve=function(s,i){return _._resolveFilename(s,L,!1,i)},y.resolve.paths=function(s){return _._resolveLookupPaths(s,L)},y.main=process.mainModule,y.extensions=_._extensions,y.cache=_._cache,y}f.prototype._compile=function(L,_){var y=f.wrap(L.replace(/^#!.*/,"")),w=v.getRecorder(),s=h._getCachedDataPath(t,_),i={filename:_},o;try{var l=h._fs.readFileSync(s);o=l.slice(0,16),i.cachedData=l.slice(16),w.record(60,s)}catch{w.record(61,s)}var g=new h._vm.Script(y,i),c=g.runInThisContext(i),b=h._path.dirname(_),C=S(this),A=[this.exports,C,this,_,b,process,we,Buffer],P=c.apply(this.exports,A);return h._handleCachedData(g,y,s,!i.cachedData,v),h._verifyCachedData(g,y,s,o,v),P}},u.prototype.load=function(d,v,t,h){var f=this,S=d.getConfig().getOptionsLiteral(),L=p(d.getRecorder(),S.nodeRequire||U.global.nodeRequire),_=S.nodeInstrumenter||function(c){return c};this._init(L),this._initNodeRequire(L,d);var y=d.getRecorder();if(/^node\|/.test(v)){var w=v.split("|"),s=null;try{s=L(w[1])}catch(c){h(c);return}d.enqueueDefineAnonymousModule([],function(){return s}),t()}else{v=U.Utilities.fileUriToFilePath(this._env.isWindows,v);var i=this._path.normalize(v),o=this._getElectronRendererScriptPathOrUri(i),l=Boolean(S.nodeCachedData),g=l?this._getCachedDataPath(S.nodeCachedData,v):void 0;this._readSourceAndCachedData(i,g,y,function(c,b,C,A){if(c){h(c);return}var P;b.charCodeAt(0)===u._BOM?P=u._PREFIX+b.substring(1)+u._SUFFIX:P=u._PREFIX+b+u._SUFFIX,P=_(P,i);var D={filename:o,cachedData:C},k=f._createAndEvalScript(d,P,D,t,h);f._handleCachedData(k,P,g,l&&!C,d),f._verifyCachedData(k,P,g,A,d)})}},u.prototype._createAndEvalScript=function(d,v,t,h,f){var S=d.getRecorder();S.record(31,t.filename);var L=new this._vm.Script(v,t),_=L.runInThisContext(t),y=d.getGlobalAMDDefineFunc(),w=!1,s=function(){return w=!0,y.apply(null,arguments)};return s.amd=y.amd,_.call(U.global,d.getGlobalAMDRequireFunc(),s,t.filename,this._path.dirname(t.filename)),S.record(32,t.filename),w?h():f(new Error("Didn't receive define call in "+t.filename+"!")),L},u.prototype._getElectronRendererScriptPathOrUri=function(d){if(!this._env.isElectronRenderer)return d;var v=d.match(/^([a-z])\:(.*)/i);return v?"file:///"+(v[1].toUpperCase()+":"+v[2]).replace(/\\/g,"/"):"file://"+d},u.prototype._getCachedDataPath=function(d,v){var t=this._crypto.createHash("md5").update(v,"utf8").update(d.seed,"utf8").update(process.arch,"").digest("hex"),h=this._path.basename(v).replace(/\.js$/,"");return this._path.join(d.path,h+"-"+t+".code")},u.prototype._handleCachedData=function(d,v,t,h,f){var S=this;d.cachedDataRejected?this._fs.unlink(t,function(L){f.getRecorder().record(62,t),S._createAndWriteCachedData(d,v,t,f),L&&f.getConfig().onError(L)}):h&&this._createAndWriteCachedData(d,v,t,f)},u.prototype._createAndWriteCachedData=function(d,v,t,h){var f=this,S=Math.ceil(h.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),L=-1,_=0,y=void 0,w=function(){setTimeout(function(){y||(y=f._crypto.createHash("md5").update(v,"utf8").digest());var s=d.createCachedData();if(!(s.length===0||s.length===L||_>=5)){if(s.length<L){w();return}L=s.length,f._fs.writeFile(t,Buffer.concat([y,s]),function(i){i&&h.getConfig().onError(i),h.getRecorder().record(63,t),w()})}},S*Math.pow(4,_++))};w()},u.prototype._readSourceAndCachedData=function(d,v,t,h){if(!v)this._fs.readFile(d,{encoding:"utf8"},h);else{var f=void 0,S=void 0,L=void 0,_=2,y=function(w){w?h(w):--_==0&&h(void 0,f,S,L)};this._fs.readFile(d,{encoding:"utf8"},function(w,s){f=s,y(w)}),this._fs.readFile(v,function(w,s){!w&&s&&s.length>0?(L=s.slice(0,16),S=s.slice(16),t.record(60,v)):t.record(61,v),y()})}},u.prototype._verifyCachedData=function(d,v,t,h,f){var S=this;!h||d.cachedDataRejected||setTimeout(function(){var L=S._crypto.createHash("md5").update(v,"utf8").digest();h.equals(L)||(f.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+t+"' now, but a RESTART IS REQUIRED")),S._fs.unlink(t,function(_){_&&f.getConfig().onError(_)}))},Math.ceil(5e3*(1+Math.random())))},u._BOM=65279,u._PREFIX="(function (require, define, __filename, __dirname) { ",u._SUFFIX=`
});`,u}();function p(u,d){if(d.__$__isRecorded)return d;var v=function(h){u.record(33,h);try{return d(h)}finally{u.record(34,h)}};return v.__$__isRecorded=!0,v}U.ensureRecordedNodeRequire=p;function m(u){return new r(u)}U.createScriptLoader=m})(ee||(ee={}));var ee;(function(U){var r=function(){function m(u){var d=u.lastIndexOf("/");d!==-1?this.fromModulePath=u.substr(0,d+1):this.fromModulePath=""}return m._normalizeModuleId=function(u){var d=u,v;for(v=/\/\.\//;v.test(d);)d=d.replace(v,"/");for(d=d.replace(/^\.\//g,""),v=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;v.test(d);)d=d.replace(v,"/");return d=d.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),d},m.prototype.resolveModule=function(u){var d=u;return U.Utilities.isAbsolutePath(d)||(U.Utilities.startsWith(d,"./")||U.Utilities.startsWith(d,"../"))&&(d=m._normalizeModuleId(this.fromModulePath+d)),d},m.ROOT=new m(""),m}();U.ModuleIdResolver=r;var E=function(){function m(u,d,v,t,h,f){this.id=u,this.strId=d,this.dependencies=v,this._callback=t,this._errorback=h,this.moduleIdResolver=f,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return m._safeInvokeFunction=function(u,d){try{return{returnedValue:u.apply(U.global,d),producedError:null}}catch(v){return{returnedValue:null,producedError:v}}},m._invokeFactory=function(u,d,v,t){return u.isBuild()&&!U.Utilities.isAnonymousModule(d)?{returnedValue:null,producedError:null}:u.shouldCatchError()?this._safeInvokeFunction(v,t):{returnedValue:v.apply(U.global,t),producedError:null}},m.prototype.complete=function(u,d,v){this._isComplete=!0;var t=null;if(this._callback)if(typeof this._callback=="function"){u.record(21,this.strId);var h=m._invokeFactory(d,this.strId,this._callback,v);t=h.producedError,u.record(22,this.strId),!t&&typeof h.returnedValue!="undefined"&&(!this.exportsPassedIn||U.Utilities.isEmpty(this.exports))&&(this.exports=h.returnedValue)}else this.exports=this._callback;if(t){var f=U.ensureError(t);f.phase="factory",f.moduleId=this.strId,this.error=f,d.onError(f)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},m.prototype.onDependencyError=function(u){return this._isComplete=!0,this.error=u,this._errorback?(this._errorback(u),!0):!1},m.prototype.isComplete=function(){return this._isComplete},m}();U.Module=E;var e=function(){function m(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return m.prototype.getMaxModuleId=function(){return this._nextId},m.prototype.getModuleId=function(u){var d=this._strModuleIdToIntModuleId.get(u);return typeof d=="undefined"&&(d=this._nextId++,this._strModuleIdToIntModuleId.set(u,d),this._intModuleIdToStrModuleId[d]=u),d},m.prototype.getStrModuleId=function(u){return this._intModuleIdToStrModuleId[u]},m}(),N=function(){function m(u){this.id=u}return m.EXPORTS=new m(0),m.MODULE=new m(1),m.REQUIRE=new m(2),m}();U.RegularDependency=N;var a=function(){function m(u,d,v){this.id=u,this.pluginId=d,this.pluginParam=v}return m}();U.PluginDependency=a;var p=function(){function m(u,d,v,t,h){h===void 0&&(h=0),this._env=u,this._scriptLoader=d,this._loaderAvailableTimestamp=h,this._defineFunc=v,this._requireFunc=t,this._moduleIdProvider=new e,this._config=new U.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return m.prototype.reset=function(){return new m(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},m.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},m.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},m._findRelevantLocationInStack=function(u,d){for(var v=function(i){return i.replace(/\\/g,"/")},t=v(u),h=d.split(/\n/),f=0;f<h.length;f++){var S=h[f].match(/(.*):(\d+):(\d+)\)?$/);if(S){var L=S[1],_=S[2],y=S[3],w=Math.max(L.lastIndexOf(" ")+1,L.lastIndexOf("(")+1);if(L=L.substr(w),L=v(L),L===t){var s={line:parseInt(_,10),col:parseInt(y,10)};return s.line===1&&(s.col-="(function (require, define, __filename, __dirname) { ".length),s}}}throw new Error("Could not correlate define call site for needle "+u)},m.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var u=[],d=0,v=0,t=this._modules2.length;v<t;v++){var h=this._modules2[v];if(!!h){var f=this._buildInfoPath[h.id]||null,S=this._buildInfoDefineStack[h.id]||null,L=this._buildInfoDependencies[h.id];u[d++]={id:h.strId,path:f,defineLocation:f&&S?m._findRelevantLocationInStack(f,S):null,dependencies:L,shim:null,exports:h.exports}}}return u},m.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new U.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=U.NullLoaderEventRecorder.INSTANCE),this._recorder},m.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},m.prototype.enqueueDefineAnonymousModule=function(u,d){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var v=null;this._config.isBuild()&&(v=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:v,dependencies:u,callback:d}},m.prototype.defineModule=function(u,d,v,t,h,f){var S=this;f===void 0&&(f=new r(u));var L=this._moduleIdProvider.getModuleId(u);if(this._modules2[L]){this._config.isDuplicateMessageIgnoredFor(u)||console.warn("Duplicate definition of module '"+u+"'");return}var _=new E(L,u,this._normalizeDependencies(d,f),v,t,f);this._modules2[L]=_,this._config.isBuild()&&(this._buildInfoDefineStack[L]=h,this._buildInfoDependencies[L]=(_.dependencies||[]).map(function(y){return S._moduleIdProvider.getStrModuleId(y.id)})),this._resolve(_)},m.prototype._normalizeDependency=function(u,d){if(u==="exports")return N.EXPORTS;if(u==="module")return N.MODULE;if(u==="require")return N.REQUIRE;var v=u.indexOf("!");if(v>=0){var t=d.resolveModule(u.substr(0,v)),h=d.resolveModule(u.substr(v+1)),f=this._moduleIdProvider.getModuleId(t+"!"+h),S=this._moduleIdProvider.getModuleId(t);return new a(f,S,h)}return new N(this._moduleIdProvider.getModuleId(d.resolveModule(u)))},m.prototype._normalizeDependencies=function(u,d){for(var v=[],t=0,h=0,f=u.length;h<f;h++)v[t++]=this._normalizeDependency(u[h],d);return v},m.prototype._relativeRequire=function(u,d,v,t){if(typeof d=="string")return this.synchronousRequire(d,u);this.defineModule(U.Utilities.generateAnonymousModule(),d,v,t,null,u)},m.prototype.synchronousRequire=function(u,d){d===void 0&&(d=new r(u));var v=this._normalizeDependency(u,d),t=this._modules2[v.id];if(!t)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+u+"'. This is the first mention of this module!");if(!t.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+u+"'. This module has not been resolved completely yet.");if(t.error)throw t.error;return t.exports},m.prototype.configure=function(u,d){var v=this._config.shouldRecordStats();d?this._config=new U.Configuration(this._env,u):this._config=this._config.cloneAndMerge(u),this._config.shouldRecordStats()&&!v&&(this._recorder=null)},m.prototype.getConfig=function(){return this._config},m.prototype._onLoad=function(u){if(this._currentAnonymousDefineCall!==null){var d=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(u),d.dependencies,d.callback,null,d.stack)}},m.prototype._createLoadError=function(u,d){var v=this,t=this._moduleIdProvider.getStrModuleId(u),h=(this._inverseDependencies2[u]||[]).map(function(S){return v._moduleIdProvider.getStrModuleId(S)}),f=U.ensureError(d);return f.phase="loading",f.moduleId=t,f.neededBy=h,f},m.prototype._onLoadError=function(u,d){var v=this._createLoadError(u,d);this._modules2[u]||(this._modules2[u]=new E(u,this._moduleIdProvider.getStrModuleId(u),[],function(){},null,null));for(var t=[],h=0,f=this._moduleIdProvider.getMaxModuleId();h<f;h++)t[h]=!1;var S=!1,L=[];for(L.push(u),t[u]=!0;L.length>0;){var _=L.shift(),y=this._modules2[_];y&&(S=y.onDependencyError(v)||S);var w=this._inverseDependencies2[_];if(w)for(var h=0,f=w.length;h<f;h++){var s=w[h];t[s]||(L.push(s),t[s]=!0)}}S||this._config.onError(v)},m.prototype._hasDependencyPath=function(u,d){var v=this._modules2[u];if(!v)return!1;for(var t=[],h=0,f=this._moduleIdProvider.getMaxModuleId();h<f;h++)t[h]=!1;var S=[];for(S.push(v),t[u]=!0;S.length>0;){var L=S.shift(),_=L.dependencies;if(_)for(var h=0,f=_.length;h<f;h++){var y=_[h];if(y.id===d)return!0;var w=this._modules2[y.id];w&&!t[y.id]&&(t[y.id]=!0,S.push(w))}}return!1},m.prototype._findCyclePath=function(u,d,v){if(u===d||v===50)return[u];var t=this._modules2[u];if(!t)return null;var h=t.dependencies;if(h)for(var f=0,S=h.length;f<S;f++){var L=this._findCyclePath(h[f].id,d,v+1);if(L!==null)return L.push(u),L}return null},m.prototype._createRequire=function(u){var d=this,v=function(t,h,f){return d._relativeRequire(u,t,h,f)};return v.toUrl=function(t){return d._config.requireToUrl(u.resolveModule(t))},v.getStats=function(){return d.getLoaderEvents()},v.hasDependencyCycle=function(){return d._hasDependencyCycle},v.config=function(t,h){h===void 0&&(h=!1),d.configure(t,h)},v.__$__nodeRequire=U.global.nodeRequire,v},m.prototype._loadModule=function(u){var d=this;if(!(this._modules2[u]||this._knownModules2[u])){this._knownModules2[u]=!0;var v=this._moduleIdProvider.getStrModuleId(u),t=this._config.moduleIdToPaths(v),h=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(v.indexOf("/")===-1||h.test(v))&&t.push("node|"+v);var f=-1,S=function(L){if(f++,f>=t.length)d._onLoadError(u,L);else{var _=t[f],y=d.getRecorder();if(d._config.isBuild()&&_==="empty:"){d._buildInfoPath[u]=_,d.defineModule(d._moduleIdProvider.getStrModuleId(u),[],null,null,null),d._onLoad(u);return}y.record(10,_),d._scriptLoader.load(d,_,function(){d._config.isBuild()&&(d._buildInfoPath[u]=_),y.record(11,_),d._onLoad(u)},function(w){y.record(12,_),S(w)})}};S(null)}},m.prototype._loadPluginDependency=function(u,d){var v=this;if(!(this._modules2[d.id]||this._knownModules2[d.id])){this._knownModules2[d.id]=!0;var t=function(h){v.defineModule(v._moduleIdProvider.getStrModuleId(d.id),[],h,null,null)};t.error=function(h){v._config.onError(v._createLoadError(d.id,h))},u.load(d.pluginParam,this._createRequire(r.ROOT),t,this._config.getOptionsLiteral())}},m.prototype._resolve=function(u){var d=this,v=u.dependencies;if(v)for(var t=0,h=v.length;t<h;t++){var f=v[t];if(f===N.EXPORTS){u.exportsPassedIn=!0,u.unresolvedDependenciesCount--;continue}if(f===N.MODULE){u.unresolvedDependenciesCount--;continue}if(f===N.REQUIRE){u.unresolvedDependenciesCount--;continue}var S=this._modules2[f.id];if(S&&S.isComplete()){if(S.error){u.onDependencyError(S.error);return}u.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(f.id,u.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(f.id)+"' and '"+this._moduleIdProvider.getStrModuleId(u.id)+"'. The cyclic path follows:");var L=this._findCyclePath(f.id,u.id,0)||[];L.reverse(),L.push(f.id),console.warn(L.map(function(w){return d._moduleIdProvider.getStrModuleId(w)}).join(` => 
`)),u.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[f.id]=this._inverseDependencies2[f.id]||[],this._inverseDependencies2[f.id].push(u.id),f instanceof a){var _=this._modules2[f.pluginId];if(_&&_.isComplete()){this._loadPluginDependency(_.exports,f);continue}var y=this._inversePluginDependencies2.get(f.pluginId);y||(y=[],this._inversePluginDependencies2.set(f.pluginId,y)),y.push(f),this._loadModule(f.pluginId);continue}this._loadModule(f.id)}u.unresolvedDependenciesCount===0&&this._onModuleComplete(u)},m.prototype._onModuleComplete=function(u){var d=this,v=this.getRecorder();if(!u.isComplete()){var t=u.dependencies,h=[];if(t)for(var f=0,S=t.length;f<S;f++){var L=t[f];if(L===N.EXPORTS){h[f]=u.exports;continue}if(L===N.MODULE){h[f]={id:u.strId,config:function(){return d._config.getConfigForModule(u.strId)}};continue}if(L===N.REQUIRE){h[f]=this._createRequire(u.moduleIdResolver);continue}var _=this._modules2[L.id];if(_){h[f]=_.exports;continue}h[f]=null}u.complete(v,this._config,h);var y=this._inverseDependencies2[u.id];if(this._inverseDependencies2[u.id]=null,y)for(var f=0,S=y.length;f<S;f++){var w=y[f],s=this._modules2[w];s.unresolvedDependenciesCount--,s.unresolvedDependenciesCount===0&&this._onModuleComplete(s)}var i=this._inversePluginDependencies2.get(u.id);if(i){this._inversePluginDependencies2.delete(u.id);for(var f=0,S=i.length;f<S;f++)this._loadPluginDependency(u.exports,i[f])}}},m}();U.ModuleManager=p})(ee||(ee={}));var j,ee;(function(U){var r=new U.Environment,E=null,e=function(m,u,d){typeof m!="string"&&(d=u,u=m,m=null),(typeof u!="object"||!Array.isArray(u))&&(d=u,u=null),u||(u=["require","exports","module"]),m?E.defineModule(m,u,d,null,null):E.enqueueDefineAnonymousModule(u,d)};e.amd={jQuery:!0};var N=function(m,u){u===void 0&&(u=!1),E.configure(m,u)},a=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){N(arguments[0]);return}if(typeof arguments[0]=="string")return E.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){E.defineModule(U.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};a.config=N,a.getConfig=function(){return E.getConfig().getOptionsLiteral()},a.reset=function(){E=E.reset()},a.getBuildInfo=function(){return E.getBuildInfo()},a.getStats=function(){return E.getLoaderEvents()},a.define=e;function p(){if(typeof U.global.require!="undefined"||typeof require!="undefined"){var m=U.global.require||require;if(typeof m=="function"&&typeof m.resolve=="function"){var u=U.ensureRecordedNodeRequire(E.getRecorder(),m);U.global.nodeRequire=u,a.nodeRequire=u,a.__$__nodeRequire=u}}r.isNode&&!r.isElectronRenderer&&!r.isElectronNodeIntegrationWebWorker?(module.exports=a,require=a):(r.isElectronRenderer||(U.global.define=e),U.global.require=a)}U.init=p,(typeof U.global.define!="function"||!U.global.define.amd)&&(E=new U.ModuleManager(r,U.createScriptLoader(r),e,a,U.Utilities.getHighPerformanceTimestamp()),typeof U.global.require!="undefined"&&typeof U.global.require!="function"&&a.config(U.global.require),j=function(){return e.apply(null,arguments)},j.amd=e.amd,typeof doNotInitLoader=="undefined"&&p())})(ee||(ee={})),j(G[15],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.ArrayQueue=r.findMinBy=r.findLastMaxBy=r.findMaxBy=r.numberComparator=r.compareBy=r.splice=r.insertInto=r.asArray=r.pushToEnd=r.pushToStart=r.arrayInsert=r.range=r.flatten=r.firstOrDefault=r.lastIndex=r.findLast=r.distinct=r.isNonEmptyArray=r.isFalsyOrEmpty=r.coalesce=r.groupBy=r.quickSelect=r.findFirstInSorted=r.binarySearch=r.equals=r.tail2=r.tail=void 0;function E(R,F=0){return R[R.length-(1+F)]}r.tail=E;function e(R){if(R.length===0)throw new Error("Invalid tail call");return[R.slice(0,R.length-1),R[R.length-1]]}r.tail2=e;function N(R,F,I=(O,H)=>O===H){if(R===F)return!0;if(!R||!F||R.length!==F.length)return!1;for(let O=0,H=R.length;O<H;O++)if(!I(R[O],F[O]))return!1;return!0}r.equals=N;function a(R,F,I){let O=0,H=R.length-1;for(;O<=H;){const q=(O+H)/2|0,B=I(R[q],F);if(B<0)O=q+1;else if(B>0)H=q-1;else return q}return-(O+1)}r.binarySearch=a;function p(R,F){let I=0,O=R.length;if(O===0)return 0;for(;I<O;){const H=Math.floor((I+O)/2);F(R[H])?O=H:I=H+1}return I}r.findFirstInSorted=p;function m(R,F,I){if(R=R|0,R>=F.length)throw new TypeError("invalid index");let O=F[Math.floor(F.length*Math.random())],H=[],q=[],B=[];for(let V of F){const n=I(V,O);n<0?H.push(V):n>0?q.push(V):B.push(V)}return R<H.length?m(R,H,I):R<H.length+B.length?B[0]:m(R-(H.length+B.length),q,I)}r.quickSelect=m;function u(R,F){const I=[];let O;for(const H of R.slice(0).sort(F))!O||F(O[0],H)!==0?(O=[H],I.push(O)):O.push(H);return I}r.groupBy=u;function d(R){return R.filter(F=>!!F)}r.coalesce=d;function v(R){return!Array.isArray(R)||R.length===0}r.isFalsyOrEmpty=v;function t(R){return Array.isArray(R)&&R.length>0}r.isNonEmptyArray=t;function h(R,F=I=>I){const I=new Set;return R.filter(O=>{const H=F(O);return I.has(H)?!1:(I.add(H),!0)})}r.distinct=h;function f(R,F){const I=S(R,F);if(I!==-1)return R[I]}r.findLast=f;function S(R,F){for(let I=R.length-1;I>=0;I--){const O=R[I];if(F(O))return I}return-1}r.lastIndex=S;function L(R,F){return R.length>0?R[0]:F}r.firstOrDefault=L;function _(R){return[].concat(...R)}r.flatten=_;function y(R,F){let I=typeof F=="number"?R:0;typeof F=="number"?I=R:(I=0,F=R);const O=[];if(I<=F)for(let H=I;H<F;H++)O.push(H);else for(let H=I;H>F;H--)O.push(H);return O}r.range=y;function w(R,F,I){const O=R.slice(0,F),H=R.slice(F);return O.concat(I,H)}r.arrayInsert=w;function s(R,F){const I=R.indexOf(F);I>-1&&(R.splice(I,1),R.unshift(F))}r.pushToStart=s;function i(R,F){const I=R.indexOf(F);I>-1&&(R.splice(I,1),R.push(F))}r.pushToEnd=i;function o(R){return Array.isArray(R)?R:[R]}r.asArray=o;function l(R,F,I){const O=c(R,F),H=R.length,q=I.length;R.length=H+q;for(let B=H-1;B>=O;B--)R[B+q]=R[B];for(let B=0;B<q;B++)R[B+O]=I[B]}r.insertInto=l;function g(R,F,I,O){const H=c(R,F),q=R.splice(H,I);return l(R,H,O),q}r.splice=g;function c(R,F){return F<0?Math.max(F+R.length,0):Math.min(F,R.length)}function b(R,F){return(I,O)=>F(R(I),R(O))}r.compareBy=b;const C=(R,F)=>R-F;r.numberComparator=C;function A(R,F){if(R.length===0)return;let I=R[0];for(let O=1;O<R.length;O++){const H=R[O];F(H,I)>0&&(I=H)}return I}r.findMaxBy=A;function P(R,F){if(R.length===0)return;let I=R[0];for(let O=1;O<R.length;O++){const H=R[O];F(H,I)>=0&&(I=H)}return I}r.findLastMaxBy=P;function D(R,F){return A(R,(I,O)=>-F(I,O))}r.findMinBy=D;class k{constructor(F){this.items=F,this.firstIdx=0,this.lastIdx=this.items.length-1}takeWhile(F){let I=this.firstIdx;for(;I<this.items.length&&F(this.items[I]);)I++;const O=I===this.firstIdx?null:this.items.slice(this.firstIdx,I);return this.firstIdx=I,O}takeFromEndWhile(F){let I=this.lastIdx;for(;I>=0&&F(this.items[I]);)I--;const O=I===this.lastIdx?null:this.items.slice(I+1,this.lastIdx+1);return this.lastIdx=I,O}peek(){return this.items[this.firstIdx]}dequeue(){const F=this.items[this.firstIdx];return this.firstIdx++,F}takeCount(F){const I=this.items.slice(this.firstIdx,this.firstIdx+F);return this.firstIdx+=F,I}}r.ArrayQueue=k}),j(G[16],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LRUCachedComputed=void 0;class E{constructor(N){this.computeFn=N,this.lastCache=void 0,this.lastArgKey=void 0}get(N){const a=JSON.stringify(N);return this.lastArgKey!==a&&(this.lastArgKey=a,this.lastCache=this.computeFn(N)),this.lastCache}}r.LRUCachedComputed=E}),j(G[17],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CSSIcon=r.Codicon=r.getCodiconAriaLabel=void 0;function E(a){return a?a.replace(/\$\((.*?)\)/g,(p,m)=>` ${m} `).trim():""}r.getCodiconAriaLabel=E;class e{constructor(p,m,u){this.id=p,this.definition=m,this.description=u,e._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return e._allCodicons}}r.Codicon=e,e._allCodicons=[],e.add=new e("add",{fontCharacter:"\\ea60"}),e.plus=new e("plus",e.add.definition),e.gistNew=new e("gist-new",e.add.definition),e.repoCreate=new e("repo-create",e.add.definition),e.lightbulb=new e("lightbulb",{fontCharacter:"\\ea61"}),e.lightBulb=new e("light-bulb",{fontCharacter:"\\ea61"}),e.repo=new e("repo",{fontCharacter:"\\ea62"}),e.repoDelete=new e("repo-delete",{fontCharacter:"\\ea62"}),e.gistFork=new e("gist-fork",{fontCharacter:"\\ea63"}),e.repoForked=new e("repo-forked",{fontCharacter:"\\ea63"}),e.gitPullRequest=new e("git-pull-request",{fontCharacter:"\\ea64"}),e.gitPullRequestAbandoned=new e("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),e.recordKeys=new e("record-keys",{fontCharacter:"\\ea65"}),e.keyboard=new e("keyboard",{fontCharacter:"\\ea65"}),e.tag=new e("tag",{fontCharacter:"\\ea66"}),e.tagAdd=new e("tag-add",{fontCharacter:"\\ea66"}),e.tagRemove=new e("tag-remove",{fontCharacter:"\\ea66"}),e.person=new e("person",{fontCharacter:"\\ea67"}),e.personFollow=new e("person-follow",{fontCharacter:"\\ea67"}),e.personOutline=new e("person-outline",{fontCharacter:"\\ea67"}),e.personFilled=new e("person-filled",{fontCharacter:"\\ea67"}),e.gitBranch=new e("git-branch",{fontCharacter:"\\ea68"}),e.gitBranchCreate=new e("git-branch-create",{fontCharacter:"\\ea68"}),e.gitBranchDelete=new e("git-branch-delete",{fontCharacter:"\\ea68"}),e.sourceControl=new e("source-control",{fontCharacter:"\\ea68"}),e.mirror=new e("mirror",{fontCharacter:"\\ea69"}),e.mirrorPublic=new e("mirror-public",{fontCharacter:"\\ea69"}),e.star=new e("star",{fontCharacter:"\\ea6a"}),e.starAdd=new e("star-add",{fontCharacter:"\\ea6a"}),e.starDelete=new e("star-delete",{fontCharacter:"\\ea6a"}),e.starEmpty=new e("star-empty",{fontCharacter:"\\ea6a"}),e.comment=new e("comment",{fontCharacter:"\\ea6b"}),e.commentAdd=new e("comment-add",{fontCharacter:"\\ea6b"}),e.alert=new e("alert",{fontCharacter:"\\ea6c"}),e.warning=new e("warning",{fontCharacter:"\\ea6c"}),e.search=new e("search",{fontCharacter:"\\ea6d"}),e.searchSave=new e("search-save",{fontCharacter:"\\ea6d"}),e.logOut=new e("log-out",{fontCharacter:"\\ea6e"}),e.signOut=new e("sign-out",{fontCharacter:"\\ea6e"}),e.logIn=new e("log-in",{fontCharacter:"\\ea6f"}),e.signIn=new e("sign-in",{fontCharacter:"\\ea6f"}),e.eye=new e("eye",{fontCharacter:"\\ea70"}),e.eyeUnwatch=new e("eye-unwatch",{fontCharacter:"\\ea70"}),e.eyeWatch=new e("eye-watch",{fontCharacter:"\\ea70"}),e.circleFilled=new e("circle-filled",{fontCharacter:"\\ea71"}),e.primitiveDot=new e("primitive-dot",{fontCharacter:"\\ea71"}),e.closeDirty=new e("close-dirty",{fontCharacter:"\\ea71"}),e.debugBreakpoint=new e("debug-breakpoint",{fontCharacter:"\\ea71"}),e.debugBreakpointDisabled=new e("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),e.debugHint=new e("debug-hint",{fontCharacter:"\\ea71"}),e.primitiveSquare=new e("primitive-square",{fontCharacter:"\\ea72"}),e.edit=new e("edit",{fontCharacter:"\\ea73"}),e.pencil=new e("pencil",{fontCharacter:"\\ea73"}),e.info=new e("info",{fontCharacter:"\\ea74"}),e.issueOpened=new e("issue-opened",{fontCharacter:"\\ea74"}),e.gistPrivate=new e("gist-private",{fontCharacter:"\\ea75"}),e.gitForkPrivate=new e("git-fork-private",{fontCharacter:"\\ea75"}),e.lock=new e("lock",{fontCharacter:"\\ea75"}),e.mirrorPrivate=new e("mirror-private",{fontCharacter:"\\ea75"}),e.close=new e("close",{fontCharacter:"\\ea76"}),e.removeClose=new e("remove-close",{fontCharacter:"\\ea76"}),e.x=new e("x",{fontCharacter:"\\ea76"}),e.repoSync=new e("repo-sync",{fontCharacter:"\\ea77"}),e.sync=new e("sync",{fontCharacter:"\\ea77"}),e.clone=new e("clone",{fontCharacter:"\\ea78"}),e.desktopDownload=new e("desktop-download",{fontCharacter:"\\ea78"}),e.beaker=new e("beaker",{fontCharacter:"\\ea79"}),e.microscope=new e("microscope",{fontCharacter:"\\ea79"}),e.vm=new e("vm",{fontCharacter:"\\ea7a"}),e.deviceDesktop=new e("device-desktop",{fontCharacter:"\\ea7a"}),e.file=new e("file",{fontCharacter:"\\ea7b"}),e.fileText=new e("file-text",{fontCharacter:"\\ea7b"}),e.more=new e("more",{fontCharacter:"\\ea7c"}),e.ellipsis=new e("ellipsis",{fontCharacter:"\\ea7c"}),e.kebabHorizontal=new e("kebab-horizontal",{fontCharacter:"\\ea7c"}),e.mailReply=new e("mail-reply",{fontCharacter:"\\ea7d"}),e.reply=new e("reply",{fontCharacter:"\\ea7d"}),e.organization=new e("organization",{fontCharacter:"\\ea7e"}),e.organizationFilled=new e("organization-filled",{fontCharacter:"\\ea7e"}),e.organizationOutline=new e("organization-outline",{fontCharacter:"\\ea7e"}),e.newFile=new e("new-file",{fontCharacter:"\\ea7f"}),e.fileAdd=new e("file-add",{fontCharacter:"\\ea7f"}),e.newFolder=new e("new-folder",{fontCharacter:"\\ea80"}),e.fileDirectoryCreate=new e("file-directory-create",{fontCharacter:"\\ea80"}),e.trash=new e("trash",{fontCharacter:"\\ea81"}),e.trashcan=new e("trashcan",{fontCharacter:"\\ea81"}),e.history=new e("history",{fontCharacter:"\\ea82"}),e.clock=new e("clock",{fontCharacter:"\\ea82"}),e.folder=new e("folder",{fontCharacter:"\\ea83"}),e.fileDirectory=new e("file-directory",{fontCharacter:"\\ea83"}),e.symbolFolder=new e("symbol-folder",{fontCharacter:"\\ea83"}),e.logoGithub=new e("logo-github",{fontCharacter:"\\ea84"}),e.markGithub=new e("mark-github",{fontCharacter:"\\ea84"}),e.github=new e("github",{fontCharacter:"\\ea84"}),e.terminal=new e("terminal",{fontCharacter:"\\ea85"}),e.console=new e("console",{fontCharacter:"\\ea85"}),e.repl=new e("repl",{fontCharacter:"\\ea85"}),e.zap=new e("zap",{fontCharacter:"\\ea86"}),e.symbolEvent=new e("symbol-event",{fontCharacter:"\\ea86"}),e.error=new e("error",{fontCharacter:"\\ea87"}),e.stop=new e("stop",{fontCharacter:"\\ea87"}),e.variable=new e("variable",{fontCharacter:"\\ea88"}),e.symbolVariable=new e("symbol-variable",{fontCharacter:"\\ea88"}),e.array=new e("array",{fontCharacter:"\\ea8a"}),e.symbolArray=new e("symbol-array",{fontCharacter:"\\ea8a"}),e.symbolModule=new e("symbol-module",{fontCharacter:"\\ea8b"}),e.symbolPackage=new e("symbol-package",{fontCharacter:"\\ea8b"}),e.symbolNamespace=new e("symbol-namespace",{fontCharacter:"\\ea8b"}),e.symbolObject=new e("symbol-object",{fontCharacter:"\\ea8b"}),e.symbolMethod=new e("symbol-method",{fontCharacter:"\\ea8c"}),e.symbolFunction=new e("symbol-function",{fontCharacter:"\\ea8c"}),e.symbolConstructor=new e("symbol-constructor",{fontCharacter:"\\ea8c"}),e.symbolBoolean=new e("symbol-boolean",{fontCharacter:"\\ea8f"}),e.symbolNull=new e("symbol-null",{fontCharacter:"\\ea8f"}),e.symbolNumeric=new e("symbol-numeric",{fontCharacter:"\\ea90"}),e.symbolNumber=new e("symbol-number",{fontCharacter:"\\ea90"}),e.symbolStructure=new e("symbol-structure",{fontCharacter:"\\ea91"}),e.symbolStruct=new e("symbol-struct",{fontCharacter:"\\ea91"}),e.symbolParameter=new e("symbol-parameter",{fontCharacter:"\\ea92"}),e.symbolTypeParameter=new e("symbol-type-parameter",{fontCharacter:"\\ea92"}),e.symbolKey=new e("symbol-key",{fontCharacter:"\\ea93"}),e.symbolText=new e("symbol-text",{fontCharacter:"\\ea93"}),e.symbolReference=new e("symbol-reference",{fontCharacter:"\\ea94"}),e.goToFile=new e("go-to-file",{fontCharacter:"\\ea94"}),e.symbolEnum=new e("symbol-enum",{fontCharacter:"\\ea95"}),e.symbolValue=new e("symbol-value",{fontCharacter:"\\ea95"}),e.symbolRuler=new e("symbol-ruler",{fontCharacter:"\\ea96"}),e.symbolUnit=new e("symbol-unit",{fontCharacter:"\\ea96"}),e.activateBreakpoints=new e("activate-breakpoints",{fontCharacter:"\\ea97"}),e.archive=new e("archive",{fontCharacter:"\\ea98"}),e.arrowBoth=new e("arrow-both",{fontCharacter:"\\ea99"}),e.arrowDown=new e("arrow-down",{fontCharacter:"\\ea9a"}),e.arrowLeft=new e("arrow-left",{fontCharacter:"\\ea9b"}),e.arrowRight=new e("arrow-right",{fontCharacter:"\\ea9c"}),e.arrowSmallDown=new e("arrow-small-down",{fontCharacter:"\\ea9d"}),e.arrowSmallLeft=new e("arrow-small-left",{fontCharacter:"\\ea9e"}),e.arrowSmallRight=new e("arrow-small-right",{fontCharacter:"\\ea9f"}),e.arrowSmallUp=new e("arrow-small-up",{fontCharacter:"\\eaa0"}),e.arrowUp=new e("arrow-up",{fontCharacter:"\\eaa1"}),e.bell=new e("bell",{fontCharacter:"\\eaa2"}),e.bold=new e("bold",{fontCharacter:"\\eaa3"}),e.book=new e("book",{fontCharacter:"\\eaa4"}),e.bookmark=new e("bookmark",{fontCharacter:"\\eaa5"}),e.debugBreakpointConditionalUnverified=new e("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),e.debugBreakpointConditional=new e("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),e.debugBreakpointConditionalDisabled=new e("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),e.debugBreakpointDataUnverified=new e("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),e.debugBreakpointData=new e("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),e.debugBreakpointDataDisabled=new e("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),e.debugBreakpointLogUnverified=new e("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),e.debugBreakpointLog=new e("debug-breakpoint-log",{fontCharacter:"\\eaab"}),e.debugBreakpointLogDisabled=new e("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),e.briefcase=new e("briefcase",{fontCharacter:"\\eaac"}),e.broadcast=new e("broadcast",{fontCharacter:"\\eaad"}),e.browser=new e("browser",{fontCharacter:"\\eaae"}),e.bug=new e("bug",{fontCharacter:"\\eaaf"}),e.calendar=new e("calendar",{fontCharacter:"\\eab0"}),e.caseSensitive=new e("case-sensitive",{fontCharacter:"\\eab1"}),e.check=new e("check",{fontCharacter:"\\eab2"}),e.checklist=new e("checklist",{fontCharacter:"\\eab3"}),e.chevronDown=new e("chevron-down",{fontCharacter:"\\eab4"}),e.dropDownButton=new e("drop-down-button",e.chevronDown.definition),e.chevronLeft=new e("chevron-left",{fontCharacter:"\\eab5"}),e.chevronRight=new e("chevron-right",{fontCharacter:"\\eab6"}),e.chevronUp=new e("chevron-up",{fontCharacter:"\\eab7"}),e.chromeClose=new e("chrome-close",{fontCharacter:"\\eab8"}),e.chromeMaximize=new e("chrome-maximize",{fontCharacter:"\\eab9"}),e.chromeMinimize=new e("chrome-minimize",{fontCharacter:"\\eaba"}),e.chromeRestore=new e("chrome-restore",{fontCharacter:"\\eabb"}),e.circleOutline=new e("circle-outline",{fontCharacter:"\\eabc"}),e.debugBreakpointUnverified=new e("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),e.circleSlash=new e("circle-slash",{fontCharacter:"\\eabd"}),e.circuitBoard=new e("circuit-board",{fontCharacter:"\\eabe"}),e.clearAll=new e("clear-all",{fontCharacter:"\\eabf"}),e.clippy=new e("clippy",{fontCharacter:"\\eac0"}),e.closeAll=new e("close-all",{fontCharacter:"\\eac1"}),e.cloudDownload=new e("cloud-download",{fontCharacter:"\\eac2"}),e.cloudUpload=new e("cloud-upload",{fontCharacter:"\\eac3"}),e.code=new e("code",{fontCharacter:"\\eac4"}),e.collapseAll=new e("collapse-all",{fontCharacter:"\\eac5"}),e.colorMode=new e("color-mode",{fontCharacter:"\\eac6"}),e.commentDiscussion=new e("comment-discussion",{fontCharacter:"\\eac7"}),e.compareChanges=new e("compare-changes",{fontCharacter:"\\eafd"}),e.creditCard=new e("credit-card",{fontCharacter:"\\eac9"}),e.dash=new e("dash",{fontCharacter:"\\eacc"}),e.dashboard=new e("dashboard",{fontCharacter:"\\eacd"}),e.database=new e("database",{fontCharacter:"\\eace"}),e.debugContinue=new e("debug-continue",{fontCharacter:"\\eacf"}),e.debugDisconnect=new e("debug-disconnect",{fontCharacter:"\\ead0"}),e.debugPause=new e("debug-pause",{fontCharacter:"\\ead1"}),e.debugRestart=new e("debug-restart",{fontCharacter:"\\ead2"}),e.debugStart=new e("debug-start",{fontCharacter:"\\ead3"}),e.debugStepInto=new e("debug-step-into",{fontCharacter:"\\ead4"}),e.debugStepOut=new e("debug-step-out",{fontCharacter:"\\ead5"}),e.debugStepOver=new e("debug-step-over",{fontCharacter:"\\ead6"}),e.debugStop=new e("debug-stop",{fontCharacter:"\\ead7"}),e.debug=new e("debug",{fontCharacter:"\\ead8"}),e.deviceCameraVideo=new e("device-camera-video",{fontCharacter:"\\ead9"}),e.deviceCamera=new e("device-camera",{fontCharacter:"\\eada"}),e.deviceMobile=new e("device-mobile",{fontCharacter:"\\eadb"}),e.diffAdded=new e("diff-added",{fontCharacter:"\\eadc"}),e.diffIgnored=new e("diff-ignored",{fontCharacter:"\\eadd"}),e.diffModified=new e("diff-modified",{fontCharacter:"\\eade"}),e.diffRemoved=new e("diff-removed",{fontCharacter:"\\eadf"}),e.diffRenamed=new e("diff-renamed",{fontCharacter:"\\eae0"}),e.diff=new e("diff",{fontCharacter:"\\eae1"}),e.discard=new e("discard",{fontCharacter:"\\eae2"}),e.editorLayout=new e("editor-layout",{fontCharacter:"\\eae3"}),e.emptyWindow=new e("empty-window",{fontCharacter:"\\eae4"}),e.exclude=new e("exclude",{fontCharacter:"\\eae5"}),e.extensions=new e("extensions",{fontCharacter:"\\eae6"}),e.eyeClosed=new e("eye-closed",{fontCharacter:"\\eae7"}),e.fileBinary=new e("file-binary",{fontCharacter:"\\eae8"}),e.fileCode=new e("file-code",{fontCharacter:"\\eae9"}),e.fileMedia=new e("file-media",{fontCharacter:"\\eaea"}),e.filePdf=new e("file-pdf",{fontCharacter:"\\eaeb"}),e.fileSubmodule=new e("file-submodule",{fontCharacter:"\\eaec"}),e.fileSymlinkDirectory=new e("file-symlink-directory",{fontCharacter:"\\eaed"}),e.fileSymlinkFile=new e("file-symlink-file",{fontCharacter:"\\eaee"}),e.fileZip=new e("file-zip",{fontCharacter:"\\eaef"}),e.files=new e("files",{fontCharacter:"\\eaf0"}),e.filter=new e("filter",{fontCharacter:"\\eaf1"}),e.flame=new e("flame",{fontCharacter:"\\eaf2"}),e.foldDown=new e("fold-down",{fontCharacter:"\\eaf3"}),e.foldUp=new e("fold-up",{fontCharacter:"\\eaf4"}),e.fold=new e("fold",{fontCharacter:"\\eaf5"}),e.folderActive=new e("folder-active",{fontCharacter:"\\eaf6"}),e.folderOpened=new e("folder-opened",{fontCharacter:"\\eaf7"}),e.gear=new e("gear",{fontCharacter:"\\eaf8"}),e.gift=new e("gift",{fontCharacter:"\\eaf9"}),e.gistSecret=new e("gist-secret",{fontCharacter:"\\eafa"}),e.gist=new e("gist",{fontCharacter:"\\eafb"}),e.gitCommit=new e("git-commit",{fontCharacter:"\\eafc"}),e.gitCompare=new e("git-compare",{fontCharacter:"\\eafd"}),e.gitMerge=new e("git-merge",{fontCharacter:"\\eafe"}),e.githubAction=new e("github-action",{fontCharacter:"\\eaff"}),e.githubAlt=new e("github-alt",{fontCharacter:"\\eb00"}),e.globe=new e("globe",{fontCharacter:"\\eb01"}),e.grabber=new e("grabber",{fontCharacter:"\\eb02"}),e.graph=new e("graph",{fontCharacter:"\\eb03"}),e.gripper=new e("gripper",{fontCharacter:"\\eb04"}),e.heart=new e("heart",{fontCharacter:"\\eb05"}),e.home=new e("home",{fontCharacter:"\\eb06"}),e.horizontalRule=new e("horizontal-rule",{fontCharacter:"\\eb07"}),e.hubot=new e("hubot",{fontCharacter:"\\eb08"}),e.inbox=new e("inbox",{fontCharacter:"\\eb09"}),e.issueClosed=new e("issue-closed",{fontCharacter:"\\eba4"}),e.issueReopened=new e("issue-reopened",{fontCharacter:"\\eb0b"}),e.issues=new e("issues",{fontCharacter:"\\eb0c"}),e.italic=new e("italic",{fontCharacter:"\\eb0d"}),e.jersey=new e("jersey",{fontCharacter:"\\eb0e"}),e.json=new e("json",{fontCharacter:"\\eb0f"}),e.kebabVertical=new e("kebab-vertical",{fontCharacter:"\\eb10"}),e.key=new e("key",{fontCharacter:"\\eb11"}),e.law=new e("law",{fontCharacter:"\\eb12"}),e.lightbulbAutofix=new e("lightbulb-autofix",{fontCharacter:"\\eb13"}),e.linkExternal=new e("link-external",{fontCharacter:"\\eb14"}),e.link=new e("link",{fontCharacter:"\\eb15"}),e.listOrdered=new e("list-ordered",{fontCharacter:"\\eb16"}),e.listUnordered=new e("list-unordered",{fontCharacter:"\\eb17"}),e.liveShare=new e("live-share",{fontCharacter:"\\eb18"}),e.loading=new e("loading",{fontCharacter:"\\eb19"}),e.location=new e("location",{fontCharacter:"\\eb1a"}),e.mailRead=new e("mail-read",{fontCharacter:"\\eb1b"}),e.mail=new e("mail",{fontCharacter:"\\eb1c"}),e.markdown=new e("markdown",{fontCharacter:"\\eb1d"}),e.megaphone=new e("megaphone",{fontCharacter:"\\eb1e"}),e.mention=new e("mention",{fontCharacter:"\\eb1f"}),e.milestone=new e("milestone",{fontCharacter:"\\eb20"}),e.mortarBoard=new e("mortar-board",{fontCharacter:"\\eb21"}),e.move=new e("move",{fontCharacter:"\\eb22"}),e.multipleWindows=new e("multiple-windows",{fontCharacter:"\\eb23"}),e.mute=new e("mute",{fontCharacter:"\\eb24"}),e.noNewline=new e("no-newline",{fontCharacter:"\\eb25"}),e.note=new e("note",{fontCharacter:"\\eb26"}),e.octoface=new e("octoface",{fontCharacter:"\\eb27"}),e.openPreview=new e("open-preview",{fontCharacter:"\\eb28"}),e.package_=new e("package",{fontCharacter:"\\eb29"}),e.paintcan=new e("paintcan",{fontCharacter:"\\eb2a"}),e.pin=new e("pin",{fontCharacter:"\\eb2b"}),e.play=new e("play",{fontCharacter:"\\eb2c"}),e.run=new e("run",{fontCharacter:"\\eb2c"}),e.plug=new e("plug",{fontCharacter:"\\eb2d"}),e.preserveCase=new e("preserve-case",{fontCharacter:"\\eb2e"}),e.preview=new e("preview",{fontCharacter:"\\eb2f"}),e.project=new e("project",{fontCharacter:"\\eb30"}),e.pulse=new e("pulse",{fontCharacter:"\\eb31"}),e.question=new e("question",{fontCharacter:"\\eb32"}),e.quote=new e("quote",{fontCharacter:"\\eb33"}),e.radioTower=new e("radio-tower",{fontCharacter:"\\eb34"}),e.reactions=new e("reactions",{fontCharacter:"\\eb35"}),e.references=new e("references",{fontCharacter:"\\eb36"}),e.refresh=new e("refresh",{fontCharacter:"\\eb37"}),e.regex=new e("regex",{fontCharacter:"\\eb38"}),e.remoteExplorer=new e("remote-explorer",{fontCharacter:"\\eb39"}),e.remote=new e("remote",{fontCharacter:"\\eb3a"}),e.remove=new e("remove",{fontCharacter:"\\eb3b"}),e.replaceAll=new e("replace-all",{fontCharacter:"\\eb3c"}),e.replace=new e("replace",{fontCharacter:"\\eb3d"}),e.repoClone=new e("repo-clone",{fontCharacter:"\\eb3e"}),e.repoForcePush=new e("repo-force-push",{fontCharacter:"\\eb3f"}),e.repoPull=new e("repo-pull",{fontCharacter:"\\eb40"}),e.repoPush=new e("repo-push",{fontCharacter:"\\eb41"}),e.report=new e("report",{fontCharacter:"\\eb42"}),e.requestChanges=new e("request-changes",{fontCharacter:"\\eb43"}),e.rocket=new e("rocket",{fontCharacter:"\\eb44"}),e.rootFolderOpened=new e("root-folder-opened",{fontCharacter:"\\eb45"}),e.rootFolder=new e("root-folder",{fontCharacter:"\\eb46"}),e.rss=new e("rss",{fontCharacter:"\\eb47"}),e.ruby=new e("ruby",{fontCharacter:"\\eb48"}),e.saveAll=new e("save-all",{fontCharacter:"\\eb49"}),e.saveAs=new e("save-as",{fontCharacter:"\\eb4a"}),e.save=new e("save",{fontCharacter:"\\eb4b"}),e.screenFull=new e("screen-full",{fontCharacter:"\\eb4c"}),e.screenNormal=new e("screen-normal",{fontCharacter:"\\eb4d"}),e.searchStop=new e("search-stop",{fontCharacter:"\\eb4e"}),e.server=new e("server",{fontCharacter:"\\eb50"}),e.settingsGear=new e("settings-gear",{fontCharacter:"\\eb51"}),e.settings=new e("settings",{fontCharacter:"\\eb52"}),e.shield=new e("shield",{fontCharacter:"\\eb53"}),e.smiley=new e("smiley",{fontCharacter:"\\eb54"}),e.sortPrecedence=new e("sort-precedence",{fontCharacter:"\\eb55"}),e.splitHorizontal=new e("split-horizontal",{fontCharacter:"\\eb56"}),e.splitVertical=new e("split-vertical",{fontCharacter:"\\eb57"}),e.squirrel=new e("squirrel",{fontCharacter:"\\eb58"}),e.starFull=new e("star-full",{fontCharacter:"\\eb59"}),e.starHalf=new e("star-half",{fontCharacter:"\\eb5a"}),e.symbolClass=new e("symbol-class",{fontCharacter:"\\eb5b"}),e.symbolColor=new e("symbol-color",{fontCharacter:"\\eb5c"}),e.symbolCustomColor=new e("symbol-customcolor",{fontCharacter:"\\eb5c"}),e.symbolConstant=new e("symbol-constant",{fontCharacter:"\\eb5d"}),e.symbolEnumMember=new e("symbol-enum-member",{fontCharacter:"\\eb5e"}),e.symbolField=new e("symbol-field",{fontCharacter:"\\eb5f"}),e.symbolFile=new e("symbol-file",{fontCharacter:"\\eb60"}),e.symbolInterface=new e("symbol-interface",{fontCharacter:"\\eb61"}),e.symbolKeyword=new e("symbol-keyword",{fontCharacter:"\\eb62"}),e.symbolMisc=new e("symbol-misc",{fontCharacter:"\\eb63"}),e.symbolOperator=new e("symbol-operator",{fontCharacter:"\\eb64"}),e.symbolProperty=new e("symbol-property",{fontCharacter:"\\eb65"}),e.wrench=new e("wrench",{fontCharacter:"\\eb65"}),e.wrenchSubaction=new e("wrench-subaction",{fontCharacter:"\\eb65"}),e.symbolSnippet=new e("symbol-snippet",{fontCharacter:"\\eb66"}),e.tasklist=new e("tasklist",{fontCharacter:"\\eb67"}),e.telescope=new e("telescope",{fontCharacter:"\\eb68"}),e.textSize=new e("text-size",{fontCharacter:"\\eb69"}),e.threeBars=new e("three-bars",{fontCharacter:"\\eb6a"}),e.thumbsdown=new e("thumbsdown",{fontCharacter:"\\eb6b"}),e.thumbsup=new e("thumbsup",{fontCharacter:"\\eb6c"}),e.tools=new e("tools",{fontCharacter:"\\eb6d"}),e.triangleDown=new e("triangle-down",{fontCharacter:"\\eb6e"}),e.triangleLeft=new e("triangle-left",{fontCharacter:"\\eb6f"}),e.triangleRight=new e("triangle-right",{fontCharacter:"\\eb70"}),e.triangleUp=new e("triangle-up",{fontCharacter:"\\eb71"}),e.twitter=new e("twitter",{fontCharacter:"\\eb72"}),e.unfold=new e("unfold",{fontCharacter:"\\eb73"}),e.unlock=new e("unlock",{fontCharacter:"\\eb74"}),e.unmute=new e("unmute",{fontCharacter:"\\eb75"}),e.unverified=new e("unverified",{fontCharacter:"\\eb76"}),e.verified=new e("verified",{fontCharacter:"\\eb77"}),e.versions=new e("versions",{fontCharacter:"\\eb78"}),e.vmActive=new e("vm-active",{fontCharacter:"\\eb79"}),e.vmOutline=new e("vm-outline",{fontCharacter:"\\eb7a"}),e.vmRunning=new e("vm-running",{fontCharacter:"\\eb7b"}),e.watch=new e("watch",{fontCharacter:"\\eb7c"}),e.whitespace=new e("whitespace",{fontCharacter:"\\eb7d"}),e.wholeWord=new e("whole-word",{fontCharacter:"\\eb7e"}),e.window=new e("window",{fontCharacter:"\\eb7f"}),e.wordWrap=new e("word-wrap",{fontCharacter:"\\eb80"}),e.zoomIn=new e("zoom-in",{fontCharacter:"\\eb81"}),e.zoomOut=new e("zoom-out",{fontCharacter:"\\eb82"}),e.listFilter=new e("list-filter",{fontCharacter:"\\eb83"}),e.listFlat=new e("list-flat",{fontCharacter:"\\eb84"}),e.listSelection=new e("list-selection",{fontCharacter:"\\eb85"}),e.selection=new e("selection",{fontCharacter:"\\eb85"}),e.listTree=new e("list-tree",{fontCharacter:"\\eb86"}),e.debugBreakpointFunctionUnverified=new e("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),e.debugBreakpointFunction=new e("debug-breakpoint-function",{fontCharacter:"\\eb88"}),e.debugBreakpointFunctionDisabled=new e("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),e.debugStackframeActive=new e("debug-stackframe-active",{fontCharacter:"\\eb89"}),e.debugStackframeDot=new e("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),e.debugStackframe=new e("debug-stackframe",{fontCharacter:"\\eb8b"}),e.debugStackframeFocused=new e("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),e.debugBreakpointUnsupported=new e("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),e.symbolString=new e("symbol-string",{fontCharacter:"\\eb8d"}),e.debugReverseContinue=new e("debug-reverse-continue",{fontCharacter:"\\eb8e"}),e.debugStepBack=new e("debug-step-back",{fontCharacter:"\\eb8f"}),e.debugRestartFrame=new e("debug-restart-frame",{fontCharacter:"\\eb90"}),e.callIncoming=new e("call-incoming",{fontCharacter:"\\eb92"}),e.callOutgoing=new e("call-outgoing",{fontCharacter:"\\eb93"}),e.menu=new e("menu",{fontCharacter:"\\eb94"}),e.expandAll=new e("expand-all",{fontCharacter:"\\eb95"}),e.feedback=new e("feedback",{fontCharacter:"\\eb96"}),e.groupByRefType=new e("group-by-ref-type",{fontCharacter:"\\eb97"}),e.ungroupByRefType=new e("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),e.account=new e("account",{fontCharacter:"\\eb99"}),e.bellDot=new e("bell-dot",{fontCharacter:"\\eb9a"}),e.debugConsole=new e("debug-console",{fontCharacter:"\\eb9b"}),e.library=new e("library",{fontCharacter:"\\eb9c"}),e.output=new e("output",{fontCharacter:"\\eb9d"}),e.runAll=new e("run-all",{fontCharacter:"\\eb9e"}),e.syncIgnored=new e("sync-ignored",{fontCharacter:"\\eb9f"}),e.pinned=new e("pinned",{fontCharacter:"\\eba0"}),e.githubInverted=new e("github-inverted",{fontCharacter:"\\eba1"}),e.debugAlt=new e("debug-alt",{fontCharacter:"\\eb91"}),e.serverProcess=new e("server-process",{fontCharacter:"\\eba2"}),e.serverEnvironment=new e("server-environment",{fontCharacter:"\\eba3"}),e.pass=new e("pass",{fontCharacter:"\\eba4"}),e.stopCircle=new e("stop-circle",{fontCharacter:"\\eba5"}),e.playCircle=new e("play-circle",{fontCharacter:"\\eba6"}),e.record=new e("record",{fontCharacter:"\\eba7"}),e.debugAltSmall=new e("debug-alt-small",{fontCharacter:"\\eba8"}),e.vmConnect=new e("vm-connect",{fontCharacter:"\\eba9"}),e.cloud=new e("cloud",{fontCharacter:"\\ebaa"}),e.merge=new e("merge",{fontCharacter:"\\ebab"}),e.exportIcon=new e("export",{fontCharacter:"\\ebac"}),e.graphLeft=new e("graph-left",{fontCharacter:"\\ebad"}),e.magnet=new e("magnet",{fontCharacter:"\\ebae"}),e.notebook=new e("notebook",{fontCharacter:"\\ebaf"}),e.redo=new e("redo",{fontCharacter:"\\ebb0"}),e.checkAll=new e("check-all",{fontCharacter:"\\ebb1"}),e.pinnedDirty=new e("pinned-dirty",{fontCharacter:"\\ebb2"}),e.passFilled=new e("pass-filled",{fontCharacter:"\\ebb3"}),e.circleLargeFilled=new e("circle-large-filled",{fontCharacter:"\\ebb4"}),e.circleLargeOutline=new e("circle-large-outline",{fontCharacter:"\\ebb5"}),e.combine=new e("combine",{fontCharacter:"\\ebb6"}),e.gather=new e("gather",{fontCharacter:"\\ebb6"}),e.table=new e("table",{fontCharacter:"\\ebb7"}),e.variableGroup=new e("variable-group",{fontCharacter:"\\ebb8"}),e.typeHierarchy=new e("type-hierarchy",{fontCharacter:"\\ebb9"}),e.typeHierarchySub=new e("type-hierarchy-sub",{fontCharacter:"\\ebba"}),e.typeHierarchySuper=new e("type-hierarchy-super",{fontCharacter:"\\ebbb"}),e.gitPullRequestCreate=new e("git-pull-request-create",{fontCharacter:"\\ebbc"}),e.runAbove=new e("run-above",{fontCharacter:"\\ebbd"}),e.runBelow=new e("run-below",{fontCharacter:"\\ebbe"}),e.notebookTemplate=new e("notebook-template",{fontCharacter:"\\ebbf"}),e.debugRerun=new e("debug-rerun",{fontCharacter:"\\ebc0"}),e.workspaceTrusted=new e("workspace-trusted",{fontCharacter:"\\ebc1"}),e.workspaceUntrusted=new e("workspace-untrusted",{fontCharacter:"\\ebc2"}),e.workspaceUnspecified=new e("workspace-unspecified",{fontCharacter:"\\ebc3"}),e.terminalCmd=new e("terminal-cmd",{fontCharacter:"\\ebc4"}),e.terminalDebian=new e("terminal-debian",{fontCharacter:"\\ebc5"}),e.terminalLinux=new e("terminal-linux",{fontCharacter:"\\ebc6"}),e.terminalPowershell=new e("terminal-powershell",{fontCharacter:"\\ebc7"}),e.terminalTmux=new e("terminal-tmux",{fontCharacter:"\\ebc8"}),e.terminalUbuntu=new e("terminal-ubuntu",{fontCharacter:"\\ebc9"}),e.terminalBash=new e("terminal-bash",{fontCharacter:"\\ebca"}),e.arrowSwap=new e("arrow-swap",{fontCharacter:"\\ebcb"}),e.copy=new e("copy",{fontCharacter:"\\ebcc"}),e.personAdd=new e("person-add",{fontCharacter:"\\ebcd"}),e.filterFilled=new e("filter-filled",{fontCharacter:"\\ebce"}),e.wand=new e("wand",{fontCharacter:"\\ebcf"}),e.debugLineByLine=new e("debug-line-by-line",{fontCharacter:"\\ebd0"}),e.inspect=new e("inspect",{fontCharacter:"\\ebd1"}),e.layers=new e("layers",{fontCharacter:"\\ebd2"}),e.layersDot=new e("layers-dot",{fontCharacter:"\\ebd3"}),e.layersActive=new e("layers-active",{fontCharacter:"\\ebd4"}),e.compass=new e("compass",{fontCharacter:"\\ebd5"}),e.compassDot=new e("compass-dot",{fontCharacter:"\\ebd6"}),e.compassActive=new e("compass-active",{fontCharacter:"\\ebd7"}),e.azure=new e("azure",{fontCharacter:"\\ebd8"}),e.issueDraft=new e("issue-draft",{fontCharacter:"\\ebd9"}),e.gitPullRequestClosed=new e("git-pull-request-closed",{fontCharacter:"\\ebda"}),e.gitPullRequestDraft=new e("git-pull-request-draft",{fontCharacter:"\\ebdb"}),e.debugAll=new e("debug-all",{fontCharacter:"\\ebdc"}),e.debugCoverage=new e("debug-coverage",{fontCharacter:"\\ebdd"}),e.runErrors=new e("run-errors",{fontCharacter:"\\ebde"}),e.folderLibrary=new e("folder-library",{fontCharacter:"\\ebdf"}),e.debugContinueSmall=new e("debug-continue-small",{fontCharacter:"\\ebe0"}),e.beakerStop=new e("beaker-stop",{fontCharacter:"\\ebe1"}),e.graphLine=new e("graph-line",{fontCharacter:"\\ebe2"}),e.graphScatter=new e("graph-scatter",{fontCharacter:"\\ebe3"}),e.pieChart=new e("pie-chart",{fontCharacter:"\\ebe4"}),e.bracket=new e("bracket",e.json.definition),e.bracketDot=new e("bracket-dot",{fontCharacter:"\\ebe5"}),e.bracketError=new e("bracket-error",{fontCharacter:"\\ebe6"}),e.lockSmall=new e("lock-small",{fontCharacter:"\\ebe7"}),e.azureDevops=new e("azure-devops",{fontCharacter:"\\ebe8"}),e.verifiedFilled=new e("verified-filled",{fontCharacter:"\\ebe9"}),e.newLine=new e("newline",{fontCharacter:"\\ebea"}),e.layout=new e("layout",{fontCharacter:"\\ebeb"}),e.layoutActivitybarLeft=new e("layout-activitybar-left",{fontCharacter:"\\ebec"}),e.layoutActivitybarRight=new e("layout-activitybar-right",{fontCharacter:"\\ebed"}),e.layoutPanelLeft=new e("layout-panel-left",{fontCharacter:"\\ebee"}),e.layoutPanelCenter=new e("layout-panel-center",{fontCharacter:"\\ebef"}),e.layoutPanelJustify=new e("layout-panel-justify",{fontCharacter:"\\ebf0"}),e.layoutPanelRight=new e("layout-panel-right",{fontCharacter:"\\ebf1"}),e.layoutPanel=new e("layout-panel",{fontCharacter:"\\ebf2"}),e.layoutSidebarLeft=new e("layout-sidebar-left",{fontCharacter:"\\ebf3"}),e.layoutSidebarRight=new e("layout-sidebar-right",{fontCharacter:"\\ebf4"}),e.layoutStatusbar=new e("layout-statusbar",{fontCharacter:"\\ebf5"}),e.layoutMenubar=new e("layout-menubar",{fontCharacter:"\\ebf6"}),e.layoutCentered=new e("layout-centered",{fontCharacter:"\\ebf7"}),e.target=new e("target",{fontCharacter:"\\ebf8"}),e.dialogError=new e("dialog-error",e.error.definition),e.dialogWarning=new e("dialog-warning",e.warning.definition),e.dialogInfo=new e("dialog-info",e.info.definition),e.dialogClose=new e("dialog-close",e.close.definition),e.treeItemExpanded=new e("tree-item-expanded",e.chevronDown.definition),e.treeFilterOnTypeOn=new e("tree-filter-on-type-on",e.listFilter.definition),e.treeFilterOnTypeOff=new e("tree-filter-on-type-off",e.listSelection.definition),e.treeFilterClear=new e("tree-filter-clear",e.close.definition),e.treeItemLoading=new e("tree-item-loading",e.loading.definition),e.menuSelection=new e("menu-selection",e.check.definition),e.menuSubmenu=new e("menu-submenu",e.chevronRight.definition),e.menuBarMore=new e("menubar-more",e.more.definition),e.scrollbarButtonLeft=new e("scrollbar-button-left",e.triangleLeft.definition),e.scrollbarButtonRight=new e("scrollbar-button-right",e.triangleRight.definition),e.scrollbarButtonUp=new e("scrollbar-button-up",e.triangleUp.definition),e.scrollbarButtonDown=new e("scrollbar-button-down",e.triangleDown.definition),e.toolBarMore=new e("toolbar-more",e.more.definition),e.quickInputBack=new e("quick-input-back",e.arrowLeft.definition);var N;(function(a){a.iconNameSegment="[A-Za-z0-9]+",a.iconNameExpression="[A-Za-z0-9-]+",a.iconModifierExpression="~[A-Za-z]+",a.iconNameCharacter="[A-Za-z0-9~-]";const p=new RegExp(`^(${a.iconNameExpression})(${a.iconModifierExpression})?$`);function m(v){if(v instanceof e)return["codicon","codicon-"+v.id];const t=p.exec(v.id);if(!t)return m(e.error);let[,h,f]=t;const S=["codicon","codicon-"+h];return f&&S.push("codicon-modifier-"+f.substr(1)),S}a.asClassNameArray=m;function u(v){return m(v).join(" ")}a.asClassName=u;function d(v){return"."+m(v).join(".")}a.asCSSSelector=d})(N=r.CSSIcon||(r.CSSIcon={}))}),j(G[18],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffChange=void 0;class E{constructor(N,a,p,m){this.originalStart=N,this.originalLength=a,this.modifiedStart=p,this.modifiedLength=m}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}r.DiffChange=E}),j(G[10],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.NotSupportedError=r.illegalState=r.illegalArgument=r.canceled=r.CancellationError=r.isCancellationError=r.transformErrorForSerialization=r.onUnexpectedExternalError=r.onUnexpectedError=r.errorHandler=r.ErrorHandler=void 0;class E{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(S){setTimeout(()=>{throw S.stack?new Error(S.message+`

`+S.stack):S},0)}}emit(S){this.listeners.forEach(L=>{L(S)})}onUnexpectedError(S){this.unexpectedErrorHandler(S),this.emit(S)}onUnexpectedExternalError(S){this.unexpectedErrorHandler(S)}}r.ErrorHandler=E,r.errorHandler=new E;function e(f){m(f)||r.errorHandler.onUnexpectedError(f)}r.onUnexpectedError=e;function N(f){m(f)||r.errorHandler.onUnexpectedExternalError(f)}r.onUnexpectedExternalError=N;function a(f){if(f instanceof Error){let{name:S,message:L}=f;const _=f.stacktrace||f.stack;return{$isError:!0,name:S,message:L,stack:_}}return f}r.transformErrorForSerialization=a;const p="Canceled";function m(f){return f instanceof u?!0:f instanceof Error&&f.name===p&&f.message===p}r.isCancellationError=m;class u extends Error{constructor(){super(p);this.name=this.message}}r.CancellationError=u;function d(){const f=new Error(p);return f.name=f.message,f}r.canceled=d;function v(f){return f?new Error(`Illegal argument: ${f}`):new Error("Illegal argument")}r.illegalArgument=v;function t(f){return f?new Error(`Illegal state: ${f}`):new Error("Illegal state")}r.illegalState=t;class h extends Error{constructor(S){super("NotSupported");S&&(this.message=S)}}r.NotSupportedError=h}),j(G[19],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.once=void 0;function E(e){const N=this;let a=!1,p;return function(){return a||(a=!0,p=e.apply(N,arguments)),p}}r.once=E}),j(G[20],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Iterable=void 0;var E;(function(e){function N(o){return o&&typeof o=="object"&&typeof o[Symbol.iterator]=="function"}e.is=N;const a=Object.freeze([]);function p(){return a}e.empty=p;function*m(o){yield o}e.single=m;function u(o){return o||a}e.from=u;function d(o){return!o||o[Symbol.iterator]().next().done===!0}e.isEmpty=d;function v(o){return o[Symbol.iterator]().next().value}e.first=v;function t(o,l){for(const g of o)if(l(g))return!0;return!1}e.some=t;function h(o,l){for(const g of o)if(l(g))return g}e.find=h;function*f(o,l){for(const g of o)l(g)&&(yield g)}e.filter=f;function*S(o,l){let g=0;for(const c of o)yield l(c,g++)}e.map=S;function*L(...o){for(const l of o)for(const g of l)yield g}e.concat=L;function*_(o){for(const l of o)for(const g of l)yield g}e.concatNested=_;function y(o,l,g){let c=g;for(const b of o)c=l(c,b);return c}e.reduce=y;function*w(o,l,g=o.length){for(l<0&&(l+=o.length),g<0?g+=o.length:g>o.length&&(g=o.length);l<g;l++)yield o[l]}e.slice=w;function s(o,l=Number.POSITIVE_INFINITY){const g=[];if(l===0)return[g,o];const c=o[Symbol.iterator]();for(let b=0;b<l;b++){const C=c.next();if(C.done)return[g,e.empty()];g.push(C.value)}return[g,{[Symbol.iterator](){return c}}]}e.consume=s;function i(o,l,g=(c,b)=>c===b){const c=o[Symbol.iterator](),b=l[Symbol.iterator]();for(;;){const C=c.next(),A=b.next();if(C.done!==A.done)return!1;if(C.done)return!0;if(!g(C.value,A.value))return!1}}e.equals=i})(E=r.Iterable||(r.Iterable={}))}),j(G[21],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.KeyChord=r.KeyCodeUtils=r.IMMUTABLE_KEY_CODE_TO_CODE=r.IMMUTABLE_CODE_TO_KEY_CODE=r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=r.EVENT_KEY_CODE_MAP=void 0;class E{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(h,f){this._keyCodeToStr[h]=f,this._strToKeyCode[f.toLowerCase()]=h}keyCodeToStr(h){return this._keyCodeToStr[h]}strToKeyCode(h){return this._strToKeyCode[h.toLowerCase()]||0}}const e=new E,N=new E,a=new E;r.EVENT_KEY_CODE_MAP=new Array(230),r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const p=[],m=Object.create(null),u=Object.create(null);r.IMMUTABLE_CODE_TO_KEY_CODE=[],r.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let t=0;t<=193;t++)r.IMMUTABLE_CODE_TO_KEY_CODE[t]=-1;for(let t=0;t<=126;t++)r.IMMUTABLE_KEY_CODE_TO_CODE[t]=-1;(function(){const t="",h=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",t,t],[0,1,1,"Hyper",0,t,0,t,t,t],[0,1,2,"Super",0,t,0,t,t,t],[0,1,3,"Fn",0,t,0,t,t,t],[0,1,4,"FnLock",0,t,0,t,t,t],[0,1,5,"Suspend",0,t,0,t,t,t],[0,1,6,"Resume",0,t,0,t,t,t],[0,1,7,"Turbo",0,t,0,t,t,t],[0,1,8,"Sleep",0,t,0,"VK_SLEEP",t,t],[0,1,9,"WakeUp",0,t,0,t,t,t],[31,0,10,"KeyA",31,"A",65,"VK_A",t,t],[32,0,11,"KeyB",32,"B",66,"VK_B",t,t],[33,0,12,"KeyC",33,"C",67,"VK_C",t,t],[34,0,13,"KeyD",34,"D",68,"VK_D",t,t],[35,0,14,"KeyE",35,"E",69,"VK_E",t,t],[36,0,15,"KeyF",36,"F",70,"VK_F",t,t],[37,0,16,"KeyG",37,"G",71,"VK_G",t,t],[38,0,17,"KeyH",38,"H",72,"VK_H",t,t],[39,0,18,"KeyI",39,"I",73,"VK_I",t,t],[40,0,19,"KeyJ",40,"J",74,"VK_J",t,t],[41,0,20,"KeyK",41,"K",75,"VK_K",t,t],[42,0,21,"KeyL",42,"L",76,"VK_L",t,t],[43,0,22,"KeyM",43,"M",77,"VK_M",t,t],[44,0,23,"KeyN",44,"N",78,"VK_N",t,t],[45,0,24,"KeyO",45,"O",79,"VK_O",t,t],[46,0,25,"KeyP",46,"P",80,"VK_P",t,t],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",t,t],[48,0,27,"KeyR",48,"R",82,"VK_R",t,t],[49,0,28,"KeyS",49,"S",83,"VK_S",t,t],[50,0,29,"KeyT",50,"T",84,"VK_T",t,t],[51,0,30,"KeyU",51,"U",85,"VK_U",t,t],[52,0,31,"KeyV",52,"V",86,"VK_V",t,t],[53,0,32,"KeyW",53,"W",87,"VK_W",t,t],[54,0,33,"KeyX",54,"X",88,"VK_X",t,t],[55,0,34,"KeyY",55,"Y",89,"VK_Y",t,t],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",t,t],[22,0,36,"Digit1",22,"1",49,"VK_1",t,t],[23,0,37,"Digit2",23,"2",50,"VK_2",t,t],[24,0,38,"Digit3",24,"3",51,"VK_3",t,t],[25,0,39,"Digit4",25,"4",52,"VK_4",t,t],[26,0,40,"Digit5",26,"5",53,"VK_5",t,t],[27,0,41,"Digit6",27,"6",54,"VK_6",t,t],[28,0,42,"Digit7",28,"7",55,"VK_7",t,t],[29,0,43,"Digit8",29,"8",56,"VK_8",t,t],[30,0,44,"Digit9",30,"9",57,"VK_9",t,t],[21,0,45,"Digit0",21,"0",48,"VK_0",t,t],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",t,t],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",t,t],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",t,t],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",t,t],[10,1,50,"Space",10,"Space",32,"VK_SPACE",t,t],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,t,0,t,t,t],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",t,t],[59,1,64,"F1",59,"F1",112,"VK_F1",t,t],[60,1,65,"F2",60,"F2",113,"VK_F2",t,t],[61,1,66,"F3",61,"F3",114,"VK_F3",t,t],[62,1,67,"F4",62,"F4",115,"VK_F4",t,t],[63,1,68,"F5",63,"F5",116,"VK_F5",t,t],[64,1,69,"F6",64,"F6",117,"VK_F6",t,t],[65,1,70,"F7",65,"F7",118,"VK_F7",t,t],[66,1,71,"F8",66,"F8",119,"VK_F8",t,t],[67,1,72,"F9",67,"F9",120,"VK_F9",t,t],[68,1,73,"F10",68,"F10",121,"VK_F10",t,t],[69,1,74,"F11",69,"F11",122,"VK_F11",t,t],[70,1,75,"F12",70,"F12",123,"VK_F12",t,t],[0,1,76,"PrintScreen",0,t,0,t,t,t],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",t,t],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",t,t],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",t,t],[14,1,80,"Home",14,"Home",36,"VK_HOME",t,t],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",t,t],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",t,t],[13,1,83,"End",13,"End",35,"VK_END",t,t],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",t,t],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",t],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",t],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",t],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",t],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",t,t],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",t,t],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",t,t],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",t,t],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",t,t],[3,1,94,"NumpadEnter",3,t,0,t,t,t],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",t,t],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",t,t],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",t,t],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",t,t],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",t,t],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",t,t],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",t,t],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",t,t],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",t,t],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",t,t],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",t,t],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",t,t],[58,1,107,"ContextMenu",58,"ContextMenu",93,t,t,t],[0,1,108,"Power",0,t,0,t,t,t],[0,1,109,"NumpadEqual",0,t,0,t,t,t],[71,1,110,"F13",71,"F13",124,"VK_F13",t,t],[72,1,111,"F14",72,"F14",125,"VK_F14",t,t],[73,1,112,"F15",73,"F15",126,"VK_F15",t,t],[74,1,113,"F16",74,"F16",127,"VK_F16",t,t],[75,1,114,"F17",75,"F17",128,"VK_F17",t,t],[76,1,115,"F18",76,"F18",129,"VK_F18",t,t],[77,1,116,"F19",77,"F19",130,"VK_F19",t,t],[0,1,117,"F20",0,t,0,"VK_F20",t,t],[0,1,118,"F21",0,t,0,"VK_F21",t,t],[0,1,119,"F22",0,t,0,"VK_F22",t,t],[0,1,120,"F23",0,t,0,"VK_F23",t,t],[0,1,121,"F24",0,t,0,"VK_F24",t,t],[0,1,122,"Open",0,t,0,t,t,t],[0,1,123,"Help",0,t,0,t,t,t],[0,1,124,"Select",0,t,0,t,t,t],[0,1,125,"Again",0,t,0,t,t,t],[0,1,126,"Undo",0,t,0,t,t,t],[0,1,127,"Cut",0,t,0,t,t,t],[0,1,128,"Copy",0,t,0,t,t,t],[0,1,129,"Paste",0,t,0,t,t,t],[0,1,130,"Find",0,t,0,t,t,t],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",t,t],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",t,t],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",t,t],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",t,t],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",t,t],[0,1,136,"KanaMode",0,t,0,t,t,t],[0,0,137,"IntlYen",0,t,0,t,t,t],[0,1,138,"Convert",0,t,0,t,t,t],[0,1,139,"NonConvert",0,t,0,t,t,t],[0,1,140,"Lang1",0,t,0,t,t,t],[0,1,141,"Lang2",0,t,0,t,t,t],[0,1,142,"Lang3",0,t,0,t,t,t],[0,1,143,"Lang4",0,t,0,t,t,t],[0,1,144,"Lang5",0,t,0,t,t,t],[0,1,145,"Abort",0,t,0,t,t,t],[0,1,146,"Props",0,t,0,t,t,t],[0,1,147,"NumpadParenLeft",0,t,0,t,t,t],[0,1,148,"NumpadParenRight",0,t,0,t,t,t],[0,1,149,"NumpadBackspace",0,t,0,t,t,t],[0,1,150,"NumpadMemoryStore",0,t,0,t,t,t],[0,1,151,"NumpadMemoryRecall",0,t,0,t,t,t],[0,1,152,"NumpadMemoryClear",0,t,0,t,t,t],[0,1,153,"NumpadMemoryAdd",0,t,0,t,t,t],[0,1,154,"NumpadMemorySubtract",0,t,0,t,t,t],[0,1,155,"NumpadClear",0,t,0,t,t,t],[0,1,156,"NumpadClearEntry",0,t,0,t,t,t],[5,1,0,t,5,"Ctrl",17,"VK_CONTROL",t,t],[4,1,0,t,4,"Shift",16,"VK_SHIFT",t,t],[6,1,0,t,6,"Alt",18,"VK_MENU",t,t],[57,1,0,t,57,"Meta",0,"VK_COMMAND",t,t],[5,1,157,"ControlLeft",5,t,0,"VK_LCONTROL",t,t],[4,1,158,"ShiftLeft",4,t,0,"VK_LSHIFT",t,t],[6,1,159,"AltLeft",6,t,0,"VK_LMENU",t,t],[57,1,160,"MetaLeft",57,t,0,"VK_LWIN",t,t],[5,1,161,"ControlRight",5,t,0,"VK_RCONTROL",t,t],[4,1,162,"ShiftRight",4,t,0,"VK_RSHIFT",t,t],[6,1,163,"AltRight",6,t,0,"VK_RMENU",t,t],[57,1,164,"MetaRight",57,t,0,"VK_RWIN",t,t],[0,1,165,"BrightnessUp",0,t,0,t,t,t],[0,1,166,"BrightnessDown",0,t,0,t,t,t],[0,1,167,"MediaPlay",0,t,0,t,t,t],[0,1,168,"MediaRecord",0,t,0,t,t,t],[0,1,169,"MediaFastForward",0,t,0,t,t,t],[0,1,170,"MediaRewind",0,t,0,t,t,t],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",t,t],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",t,t],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",t,t],[0,1,174,"Eject",0,t,0,t,t,t],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",t,t],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",t,t],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",t,t],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",t,t],[0,1,179,"LaunchApp1",0,t,0,"VK_MEDIA_LAUNCH_APP1",t,t],[0,1,180,"SelectTask",0,t,0,t,t,t],[0,1,181,"LaunchScreenSaver",0,t,0,t,t,t],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",t,t],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",t,t],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",t,t],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",t,t],[0,1,186,"BrowserStop",0,t,0,"VK_BROWSER_STOP",t,t],[0,1,187,"BrowserRefresh",0,t,0,"VK_BROWSER_REFRESH",t,t],[0,1,188,"BrowserFavorites",0,t,0,"VK_BROWSER_FAVORITES",t,t],[0,1,189,"ZoomToggle",0,t,0,t,t,t],[0,1,190,"MailReply",0,t,0,t,t,t],[0,1,191,"MailForward",0,t,0,t,t,t],[0,1,192,"MailSend",0,t,0,t,t,t],[109,1,0,t,109,"KeyInComposition",229,t,t,t],[111,1,0,t,111,"ABNT_C2",194,"VK_ABNT_C2",t,t],[91,1,0,t,91,"OEM_8",223,"VK_OEM_8",t,t],[0,1,0,t,0,t,0,"VK_CLEAR",t,t],[0,1,0,t,0,t,0,"VK_KANA",t,t],[0,1,0,t,0,t,0,"VK_HANGUL",t,t],[0,1,0,t,0,t,0,"VK_JUNJA",t,t],[0,1,0,t,0,t,0,"VK_FINAL",t,t],[0,1,0,t,0,t,0,"VK_HANJA",t,t],[0,1,0,t,0,t,0,"VK_KANJI",t,t],[0,1,0,t,0,t,0,"VK_CONVERT",t,t],[0,1,0,t,0,t,0,"VK_NONCONVERT",t,t],[0,1,0,t,0,t,0,"VK_ACCEPT",t,t],[0,1,0,t,0,t,0,"VK_MODECHANGE",t,t],[0,1,0,t,0,t,0,"VK_SELECT",t,t],[0,1,0,t,0,t,0,"VK_PRINT",t,t],[0,1,0,t,0,t,0,"VK_EXECUTE",t,t],[0,1,0,t,0,t,0,"VK_SNAPSHOT",t,t],[0,1,0,t,0,t,0,"VK_HELP",t,t],[0,1,0,t,0,t,0,"VK_APPS",t,t],[0,1,0,t,0,t,0,"VK_PROCESSKEY",t,t],[0,1,0,t,0,t,0,"VK_PACKET",t,t],[0,1,0,t,0,t,0,"VK_DBE_SBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_DBE_DBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_ATTN",t,t],[0,1,0,t,0,t,0,"VK_CRSEL",t,t],[0,1,0,t,0,t,0,"VK_EXSEL",t,t],[0,1,0,t,0,t,0,"VK_EREOF",t,t],[0,1,0,t,0,t,0,"VK_PLAY",t,t],[0,1,0,t,0,t,0,"VK_ZOOM",t,t],[0,1,0,t,0,t,0,"VK_NONAME",t,t],[0,1,0,t,0,t,0,"VK_PA1",t,t],[0,1,0,t,0,t,0,"VK_OEM_CLEAR",t,t]];let f=[],S=[];for(const L of h){const[_,y,w,s,i,o,l,g,c,b]=L;if(S[w]||(S[w]=!0,p[w]=s,m[s]=w,u[s.toLowerCase()]=w,y&&(r.IMMUTABLE_CODE_TO_KEY_CODE[w]=i,i!==0&&i!==3&&i!==5&&i!==4&&i!==6&&i!==57&&(r.IMMUTABLE_KEY_CODE_TO_CODE[i]=w))),!f[i]){if(f[i]=!0,!o)throw new Error(`String representation missing for key code ${i} around scan code ${s}`);e.define(i,o),N.define(i,c||o),a.define(i,b||c||o)}l&&(r.EVENT_KEY_CODE_MAP[l]=i),g&&(r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[g]=i)}r.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var d;(function(t){function h(w){return e.keyCodeToStr(w)}t.toString=h;function f(w){return e.strToKeyCode(w)}t.fromString=f;function S(w){return N.keyCodeToStr(w)}t.toUserSettingsUS=S;function L(w){return a.keyCodeToStr(w)}t.toUserSettingsGeneral=L;function _(w){return N.strToKeyCode(w)||a.strToKeyCode(w)}t.fromUserSettings=_;function y(w){if(w>=93&&w<=108)return null;switch(w){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return e.keyCodeToStr(w)}t.toElectronAccelerator=y})(d=r.KeyCodeUtils||(r.KeyCodeUtils={}));function v(t,h){const f=(h&65535)<<16>>>0;return(t|f)>>>0}r.KeyChord=v}),j(G[22],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Lazy=void 0;class E{constructor(N){this.executor=N,this._didRun=!1}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(N){this._error=N}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}}r.Lazy=E}),j(G[8],Y([0,1,19,20]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.ImmortalReference=r.MutableDisposable=r.Disposable=r.DisposableStore=r.toDisposable=r.combinedDisposable=r.dispose=r.isDisposable=r.MultiDisposeError=r.markAsSingleton=r.setDisposableTracker=void 0;const N=!1;let a=null;function p(o){a=o}if(r.setDisposableTracker=p,N){const o="__is_disposable_tracked__";p(new class{trackDisposable(l){const g=new Error("Potentially leaked disposable").stack;setTimeout(()=>{l[o]||console.log(g)},3e3)}setParent(l,g){if(l&&l!==w.None)try{l[o]=!0}catch{}}markAsDisposed(l){if(l&&l!==w.None)try{l[o]=!0}catch{}}markAsSingleton(l){}})}function m(o){return a==null||a.trackDisposable(o),o}function u(o){a==null||a.markAsDisposed(o)}function d(o,l){a==null||a.setParent(o,l)}function v(o,l){if(!!a)for(const g of o)a.setParent(g,l)}function t(o){return a==null||a.markAsSingleton(o),o}r.markAsSingleton=t;class h extends Error{constructor(l){super(`Encountered errors while disposing of store. Errors: [${l.join(", ")}]`);this.errors=l}}r.MultiDisposeError=h;function f(o){return typeof o.dispose=="function"&&o.dispose.length===0}r.isDisposable=f;function S(o){if(e.Iterable.is(o)){let l=[];for(const g of o)if(g)try{g.dispose()}catch(c){l.push(c)}if(l.length===1)throw l[0];if(l.length>1)throw new h(l);return Array.isArray(o)?[]:o}else if(o)return o.dispose(),o}r.dispose=S;function L(...o){const l=_(()=>S(o));return v(o,l),l}r.combinedDisposable=L;function _(o){const l=m({dispose:(0,E.once)(()=>{u(l),o()})});return l}r.toDisposable=_;class y{constructor(){this._toDispose=new Set,this._isDisposed=!1,m(this)}dispose(){this._isDisposed||(u(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{S(this._toDispose.values())}finally{this._toDispose.clear()}}add(l){if(!l)return l;if(l===this)throw new Error("Cannot register a disposable on itself!");return d(l,this),this._isDisposed?y.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(l),l}}r.DisposableStore=y,y.DISABLE_DISPOSED_WARNING=!1;class w{constructor(){this._store=new y,m(this),d(this._store,this)}dispose(){u(this),this._store.dispose()}_register(l){if(l===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(l)}}r.Disposable=w,w.None=Object.freeze({dispose(){}});class s{constructor(){this._isDisposed=!1,m(this)}get value(){return this._isDisposed?void 0:this._value}set value(l){var g;this._isDisposed||l===this._value||((g=this._value)===null||g===void 0||g.dispose(),l&&d(l,this),this._value=l)}clear(){this.value=void 0}dispose(){var l;this._isDisposed=!0,u(this),(l=this._value)===null||l===void 0||l.dispose(),this._value=void 0}clearAndLeak(){const l=this._value;return this._value=void 0,l&&d(l,null),l}}r.MutableDisposable=s;class i{constructor(l){this.object=l}dispose(){}}r.ImmortalReference=i}),j(G[23],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinkedList=void 0;class E{constructor(a){this.element=a,this.next=E.Undefined,this.prev=E.Undefined}}E.Undefined=new E(void 0);class e{constructor(){this._first=E.Undefined,this._last=E.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===E.Undefined}clear(){let a=this._first;for(;a!==E.Undefined;){const p=a.next;a.prev=E.Undefined,a.next=E.Undefined,a=p}this._first=E.Undefined,this._last=E.Undefined,this._size=0}unshift(a){return this._insert(a,!1)}push(a){return this._insert(a,!0)}_insert(a,p){const m=new E(a);if(this._first===E.Undefined)this._first=m,this._last=m;else if(p){const d=this._last;this._last=m,m.prev=d,d.next=m}else{const d=this._first;this._first=m,m.next=d,d.prev=m}this._size+=1;let u=!1;return()=>{u||(u=!0,this._remove(m))}}shift(){if(this._first!==E.Undefined){const a=this._first.element;return this._remove(this._first),a}}pop(){if(this._last!==E.Undefined){const a=this._last.element;return this._remove(this._last),a}}_remove(a){if(a.prev!==E.Undefined&&a.next!==E.Undefined){const p=a.prev;p.next=a.next,a.next.prev=p}else a.prev===E.Undefined&&a.next===E.Undefined?(this._first=E.Undefined,this._last=E.Undefined):a.next===E.Undefined?(this._last=this._last.prev,this._last.next=E.Undefined):a.prev===E.Undefined&&(this._first=this._first.next,this._first.prev=E.Undefined);this._size-=1}*[Symbol.iterator](){let a=this._first;for(;a!==E.Undefined;)yield a.element,a=a.next}}r.LinkedList=e}),j(G[5],Y([0,1]),function(U,r){"use strict";var E;Object.defineProperty(r,"__esModule",{value:!0}),r.isAndroid=r.isEdge=r.isSafari=r.isFirefox=r.isChrome=r.isLittleEndian=r.OS=r.setTimeout0=r.language=r.userAgent=r.isIOS=r.isWeb=r.isNative=r.isLinux=r.isMacintosh=r.isWindows=r.globals=void 0;const e="en";let N=!1,a=!1,p=!1,m=!1,u=!1,d=!1,v=!1,t=!1,h=!1,f,S=e,L,_;r.globals=typeof self=="object"?self:typeof global=="object"?global:{};let y;typeof r.globals.vscode!="undefined"&&typeof r.globals.vscode.process!="undefined"?y=r.globals.vscode.process:typeof process!="undefined"&&(y=process);const w=typeof((E=y==null?void 0:y.versions)===null||E===void 0?void 0:E.electron)=="string",s=w&&(y==null?void 0:y.type)==="renderer";if(typeof navigator=="object"&&!s)_=navigator.userAgent,N=_.indexOf("Windows")>=0,a=_.indexOf("Macintosh")>=0,t=(_.indexOf("Macintosh")>=0||_.indexOf("iPad")>=0||_.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,p=_.indexOf("Linux")>=0,d=!0,f=navigator.language,S=f;else if(typeof y=="object"){N=y.platform==="win32",a=y.platform==="darwin",p=y.platform==="linux",m=p&&!!y.env.SNAP&&!!y.env.SNAP_REVISION,v=w,h=!!y.env.CI||!!y.env.BUILD_ARTIFACTSTAGINGDIRECTORY,f=e,S=e;const c=y.env.VSCODE_NLS_CONFIG;if(c)try{const b=JSON.parse(c),C=b.availableLanguages["*"];f=b.locale,S=C||e,L=b._translationsConfigFile}catch{}u=!0}else console.error("Unable to resolve platform.");let i=0;a?i=1:N?i=3:p&&(i=2),r.isWindows=N,r.isMacintosh=a,r.isLinux=p,r.isNative=u,r.isWeb=d,r.isIOS=t,r.userAgent=_,r.language=S,r.setTimeout0=(()=>{if(typeof r.globals.postMessage=="function"&&!r.globals.importScripts){let c=[];r.globals.addEventListener("message",C=>{if(C.data&&C.data.vscodeScheduleAsyncWork)for(let A=0,P=c.length;A<P;A++){const D=c[A];if(D.id===C.data.vscodeScheduleAsyncWork){c.splice(A,1),D.callback();return}}});let b=0;return C=>{const A=++b;c.push({id:A,callback:C}),r.globals.postMessage({vscodeScheduleAsyncWork:A},"*")}}return c=>setTimeout(c)})(),r.OS=a||t?2:N?1:3;let o=!0,l=!1;function g(){if(!l){l=!0;const c=new Uint8Array(2);c[0]=1,c[1]=2,o=new Uint16Array(c.buffer)[0]===(2<<8)+1}return o}r.isLittleEndian=g,r.isChrome=!!(r.userAgent&&r.userAgent.indexOf("Chrome")>=0),r.isFirefox=!!(r.userAgent&&r.userAgent.indexOf("Firefox")>=0),r.isSafari=!!(!r.isChrome&&r.userAgent&&r.userAgent.indexOf("Safari")>=0),r.isEdge=!!(r.userAgent&&r.userAgent.indexOf("Edg/")>=0),r.isAndroid=!!(r.userAgent&&r.userAgent.indexOf("Android")>=0)}),j(G[24],Y([0,1,5]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.platform=r.env=r.cwd=void 0;let e;if(typeof E.globals.vscode!="undefined"&&typeof E.globals.vscode.process!="undefined"){const N=E.globals.vscode.process;e={get platform(){return N.platform},get arch(){return N.arch},get env(){return N.env},cwd(){return N.cwd()}}}else typeof process!="undefined"?e={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:e={get platform(){return E.isWindows?"win32":E.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};r.cwd=e.cwd,r.env=e.env,r.platform=e.platform}),j(G[25],Y([0,1,24]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.sep=r.extname=r.basename=r.dirname=r.relative=r.resolve=r.normalize=r.posix=r.win32=void 0;const e=65,N=97,a=90,p=122,m=46,u=47,d=92,v=58,t=63;class h extends Error{constructor(i,o,l){let g;typeof o=="string"&&o.indexOf("not ")===0?(g="must not be",o=o.replace(/^not /,"")):g="must be";const c=i.indexOf(".")!==-1?"property":"argument";let b=`The "${i}" ${c} ${g} of type ${o}`;b+=`. Received type ${typeof l}`;super(b);this.code="ERR_INVALID_ARG_TYPE"}}function f(s,i){if(typeof s!="string")throw new h(i,"string",s)}function S(s){return s===u||s===d}function L(s){return s===u}function _(s){return s>=e&&s<=a||s>=N&&s<=p}function y(s,i,o,l){let g="",c=0,b=-1,C=0,A=0;for(let P=0;P<=s.length;++P){if(P<s.length)A=s.charCodeAt(P);else{if(l(A))break;A=u}if(l(A)){if(!(b===P-1||C===1))if(C===2){if(g.length<2||c!==2||g.charCodeAt(g.length-1)!==m||g.charCodeAt(g.length-2)!==m){if(g.length>2){const D=g.lastIndexOf(o);D===-1?(g="",c=0):(g=g.slice(0,D),c=g.length-1-g.lastIndexOf(o)),b=P,C=0;continue}else if(g.length!==0){g="",c=0,b=P,C=0;continue}}i&&(g+=g.length>0?`${o}..`:"..",c=2)}else g.length>0?g+=`${o}${s.slice(b+1,P)}`:g=s.slice(b+1,P),c=P-b-1;b=P,C=0}else A===m&&C!==-1?++C:C=-1}return g}function w(s,i){if(i===null||typeof i!="object")throw new h("pathObject","Object",i);const o=i.dir||i.root,l=i.base||`${i.name||""}${i.ext||""}`;return o?o===i.root?`${o}${l}`:`${o}${s}${l}`:l}r.win32={resolve(...s){let i="",o="",l=!1;for(let g=s.length-1;g>=-1;g--){let c;if(g>=0){if(c=s[g],f(c,"path"),c.length===0)continue}else i.length===0?c=E.cwd():(c=E.env[`=${i}`]||E.cwd(),(c===void 0||c.slice(0,2).toLowerCase()!==i.toLowerCase()&&c.charCodeAt(2)===d)&&(c=`${i}\\`));const b=c.length;let C=0,A="",P=!1;const D=c.charCodeAt(0);if(b===1)S(D)&&(C=1,P=!0);else if(S(D))if(P=!0,S(c.charCodeAt(1))){let k=2,R=k;for(;k<b&&!S(c.charCodeAt(k));)k++;if(k<b&&k!==R){const F=c.slice(R,k);for(R=k;k<b&&S(c.charCodeAt(k));)k++;if(k<b&&k!==R){for(R=k;k<b&&!S(c.charCodeAt(k));)k++;(k===b||k!==R)&&(A=`\\\\${F}\\${c.slice(R,k)}`,C=k)}}}else C=1;else _(D)&&c.charCodeAt(1)===v&&(A=c.slice(0,2),C=2,b>2&&S(c.charCodeAt(2))&&(P=!0,C=3));if(A.length>0)if(i.length>0){if(A.toLowerCase()!==i.toLowerCase())continue}else i=A;if(l){if(i.length>0)break}else if(o=`${c.slice(C)}\\${o}`,l=P,P&&i.length>0)break}return o=y(o,!l,"\\",S),l?`${i}\\${o}`:`${i}${o}`||"."},normalize(s){f(s,"path");const i=s.length;if(i===0)return".";let o=0,l,g=!1;const c=s.charCodeAt(0);if(i===1)return L(c)?"\\":s;if(S(c))if(g=!0,S(s.charCodeAt(1))){let C=2,A=C;for(;C<i&&!S(s.charCodeAt(C));)C++;if(C<i&&C!==A){const P=s.slice(A,C);for(A=C;C<i&&S(s.charCodeAt(C));)C++;if(C<i&&C!==A){for(A=C;C<i&&!S(s.charCodeAt(C));)C++;if(C===i)return`\\\\${P}\\${s.slice(A)}\\`;C!==A&&(l=`\\\\${P}\\${s.slice(A,C)}`,o=C)}}}else o=1;else _(c)&&s.charCodeAt(1)===v&&(l=s.slice(0,2),o=2,i>2&&S(s.charCodeAt(2))&&(g=!0,o=3));let b=o<i?y(s.slice(o),!g,"\\",S):"";return b.length===0&&!g&&(b="."),b.length>0&&S(s.charCodeAt(i-1))&&(b+="\\"),l===void 0?g?`\\${b}`:b:g?`${l}\\${b}`:`${l}${b}`},isAbsolute(s){f(s,"path");const i=s.length;if(i===0)return!1;const o=s.charCodeAt(0);return S(o)||i>2&&_(o)&&s.charCodeAt(1)===v&&S(s.charCodeAt(2))},join(...s){if(s.length===0)return".";let i,o;for(let c=0;c<s.length;++c){const b=s[c];f(b,"path"),b.length>0&&(i===void 0?i=o=b:i+=`\\${b}`)}if(i===void 0)return".";let l=!0,g=0;if(typeof o=="string"&&S(o.charCodeAt(0))){++g;const c=o.length;c>1&&S(o.charCodeAt(1))&&(++g,c>2&&(S(o.charCodeAt(2))?++g:l=!1))}if(l){for(;g<i.length&&S(i.charCodeAt(g));)g++;g>=2&&(i=`\\${i.slice(g)}`)}return r.win32.normalize(i)},relative(s,i){if(f(s,"from"),f(i,"to"),s===i)return"";const o=r.win32.resolve(s),l=r.win32.resolve(i);if(o===l||(s=o.toLowerCase(),i=l.toLowerCase(),s===i))return"";let g=0;for(;g<s.length&&s.charCodeAt(g)===d;)g++;let c=s.length;for(;c-1>g&&s.charCodeAt(c-1)===d;)c--;const b=c-g;let C=0;for(;C<i.length&&i.charCodeAt(C)===d;)C++;let A=i.length;for(;A-1>C&&i.charCodeAt(A-1)===d;)A--;const P=A-C,D=b<P?b:P;let k=-1,R=0;for(;R<D;R++){const I=s.charCodeAt(g+R);if(I!==i.charCodeAt(C+R))break;I===d&&(k=R)}if(R!==D){if(k===-1)return l}else{if(P>D){if(i.charCodeAt(C+R)===d)return l.slice(C+R+1);if(R===2)return l.slice(C+R)}b>D&&(s.charCodeAt(g+R)===d?k=R:R===2&&(k=3)),k===-1&&(k=0)}let F="";for(R=g+k+1;R<=c;++R)(R===c||s.charCodeAt(R)===d)&&(F+=F.length===0?"..":"\\..");return C+=k,F.length>0?`${F}${l.slice(C,A)}`:(l.charCodeAt(C)===d&&++C,l.slice(C,A))},toNamespacedPath(s){if(typeof s!="string")return s;if(s.length===0)return"";const i=r.win32.resolve(s);if(i.length<=2)return s;if(i.charCodeAt(0)===d){if(i.charCodeAt(1)===d){const o=i.charCodeAt(2);if(o!==t&&o!==m)return`\\\\?\\UNC\\${i.slice(2)}`}}else if(_(i.charCodeAt(0))&&i.charCodeAt(1)===v&&i.charCodeAt(2)===d)return`\\\\?\\${i}`;return s},dirname(s){f(s,"path");const i=s.length;if(i===0)return".";let o=-1,l=0;const g=s.charCodeAt(0);if(i===1)return S(g)?s:".";if(S(g)){if(o=l=1,S(s.charCodeAt(1))){let C=2,A=C;for(;C<i&&!S(s.charCodeAt(C));)C++;if(C<i&&C!==A){for(A=C;C<i&&S(s.charCodeAt(C));)C++;if(C<i&&C!==A){for(A=C;C<i&&!S(s.charCodeAt(C));)C++;if(C===i)return s;C!==A&&(o=l=C+1)}}}}else _(g)&&s.charCodeAt(1)===v&&(o=i>2&&S(s.charCodeAt(2))?3:2,l=o);let c=-1,b=!0;for(let C=i-1;C>=l;--C)if(S(s.charCodeAt(C))){if(!b){c=C;break}}else b=!1;if(c===-1){if(o===-1)return".";c=o}return s.slice(0,c)},basename(s,i){i!==void 0&&f(i,"ext"),f(s,"path");let o=0,l=-1,g=!0,c;if(s.length>=2&&_(s.charCodeAt(0))&&s.charCodeAt(1)===v&&(o=2),i!==void 0&&i.length>0&&i.length<=s.length){if(i===s)return"";let b=i.length-1,C=-1;for(c=s.length-1;c>=o;--c){const A=s.charCodeAt(c);if(S(A)){if(!g){o=c+1;break}}else C===-1&&(g=!1,C=c+1),b>=0&&(A===i.charCodeAt(b)?--b==-1&&(l=c):(b=-1,l=C))}return o===l?l=C:l===-1&&(l=s.length),s.slice(o,l)}for(c=s.length-1;c>=o;--c)if(S(s.charCodeAt(c))){if(!g){o=c+1;break}}else l===-1&&(g=!1,l=c+1);return l===-1?"":s.slice(o,l)},extname(s){f(s,"path");let i=0,o=-1,l=0,g=-1,c=!0,b=0;s.length>=2&&s.charCodeAt(1)===v&&_(s.charCodeAt(0))&&(i=l=2);for(let C=s.length-1;C>=i;--C){const A=s.charCodeAt(C);if(S(A)){if(!c){l=C+1;break}continue}g===-1&&(c=!1,g=C+1),A===m?o===-1?o=C:b!==1&&(b=1):o!==-1&&(b=-1)}return o===-1||g===-1||b===0||b===1&&o===g-1&&o===l+1?"":s.slice(o,g)},format:w.bind(null,"\\"),parse(s){f(s,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return i;const o=s.length;let l=0,g=s.charCodeAt(0);if(o===1)return S(g)?(i.root=i.dir=s,i):(i.base=i.name=s,i);if(S(g)){if(l=1,S(s.charCodeAt(1))){let k=2,R=k;for(;k<o&&!S(s.charCodeAt(k));)k++;if(k<o&&k!==R){for(R=k;k<o&&S(s.charCodeAt(k));)k++;if(k<o&&k!==R){for(R=k;k<o&&!S(s.charCodeAt(k));)k++;k===o?l=k:k!==R&&(l=k+1)}}}}else if(_(g)&&s.charCodeAt(1)===v){if(o<=2)return i.root=i.dir=s,i;if(l=2,S(s.charCodeAt(2))){if(o===3)return i.root=i.dir=s,i;l=3}}l>0&&(i.root=s.slice(0,l));let c=-1,b=l,C=-1,A=!0,P=s.length-1,D=0;for(;P>=l;--P){if(g=s.charCodeAt(P),S(g)){if(!A){b=P+1;break}continue}C===-1&&(A=!1,C=P+1),g===m?c===-1?c=P:D!==1&&(D=1):c!==-1&&(D=-1)}return C!==-1&&(c===-1||D===0||D===1&&c===C-1&&c===b+1?i.base=i.name=s.slice(b,C):(i.name=s.slice(b,c),i.base=s.slice(b,C),i.ext=s.slice(c,C))),b>0&&b!==l?i.dir=s.slice(0,b-1):i.dir=i.root,i},sep:"\\",delimiter:";",win32:null,posix:null},r.posix={resolve(...s){let i="",o=!1;for(let l=s.length-1;l>=-1&&!o;l--){const g=l>=0?s[l]:E.cwd();f(g,"path"),g.length!==0&&(i=`${g}/${i}`,o=g.charCodeAt(0)===u)}return i=y(i,!o,"/",L),o?`/${i}`:i.length>0?i:"."},normalize(s){if(f(s,"path"),s.length===0)return".";const i=s.charCodeAt(0)===u,o=s.charCodeAt(s.length-1)===u;return s=y(s,!i,"/",L),s.length===0?i?"/":o?"./":".":(o&&(s+="/"),i?`/${s}`:s)},isAbsolute(s){return f(s,"path"),s.length>0&&s.charCodeAt(0)===u},join(...s){if(s.length===0)return".";let i;for(let o=0;o<s.length;++o){const l=s[o];f(l,"path"),l.length>0&&(i===void 0?i=l:i+=`/${l}`)}return i===void 0?".":r.posix.normalize(i)},relative(s,i){if(f(s,"from"),f(i,"to"),s===i||(s=r.posix.resolve(s),i=r.posix.resolve(i),s===i))return"";const o=1,l=s.length,g=l-o,c=1,b=i.length-c,C=g<b?g:b;let A=-1,P=0;for(;P<C;P++){const k=s.charCodeAt(o+P);if(k!==i.charCodeAt(c+P))break;k===u&&(A=P)}if(P===C)if(b>C){if(i.charCodeAt(c+P)===u)return i.slice(c+P+1);if(P===0)return i.slice(c+P)}else g>C&&(s.charCodeAt(o+P)===u?A=P:P===0&&(A=0));let D="";for(P=o+A+1;P<=l;++P)(P===l||s.charCodeAt(P)===u)&&(D+=D.length===0?"..":"/..");return`${D}${i.slice(c+A)}`},toNamespacedPath(s){return s},dirname(s){if(f(s,"path"),s.length===0)return".";const i=s.charCodeAt(0)===u;let o=-1,l=!0;for(let g=s.length-1;g>=1;--g)if(s.charCodeAt(g)===u){if(!l){o=g;break}}else l=!1;return o===-1?i?"/":".":i&&o===1?"//":s.slice(0,o)},basename(s,i){i!==void 0&&f(i,"ext"),f(s,"path");let o=0,l=-1,g=!0,c;if(i!==void 0&&i.length>0&&i.length<=s.length){if(i===s)return"";let b=i.length-1,C=-1;for(c=s.length-1;c>=0;--c){const A=s.charCodeAt(c);if(A===u){if(!g){o=c+1;break}}else C===-1&&(g=!1,C=c+1),b>=0&&(A===i.charCodeAt(b)?--b==-1&&(l=c):(b=-1,l=C))}return o===l?l=C:l===-1&&(l=s.length),s.slice(o,l)}for(c=s.length-1;c>=0;--c)if(s.charCodeAt(c)===u){if(!g){o=c+1;break}}else l===-1&&(g=!1,l=c+1);return l===-1?"":s.slice(o,l)},extname(s){f(s,"path");let i=-1,o=0,l=-1,g=!0,c=0;for(let b=s.length-1;b>=0;--b){const C=s.charCodeAt(b);if(C===u){if(!g){o=b+1;break}continue}l===-1&&(g=!1,l=b+1),C===m?i===-1?i=b:c!==1&&(c=1):i!==-1&&(c=-1)}return i===-1||l===-1||c===0||c===1&&i===l-1&&i===o+1?"":s.slice(i,l)},format:w.bind(null,"/"),parse(s){f(s,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return i;const o=s.charCodeAt(0)===u;let l;o?(i.root="/",l=1):l=0;let g=-1,c=0,b=-1,C=!0,A=s.length-1,P=0;for(;A>=l;--A){const D=s.charCodeAt(A);if(D===u){if(!C){c=A+1;break}continue}b===-1&&(C=!1,b=A+1),D===m?g===-1?g=A:P!==1&&(P=1):g!==-1&&(P=-1)}if(b!==-1){const D=c===0&&o?1:c;g===-1||P===0||P===1&&g===b-1&&g===c+1?i.base=i.name=s.slice(D,b):(i.name=s.slice(D,g),i.base=s.slice(D,b),i.ext=s.slice(g,b))}return c>0?i.dir=s.slice(0,c-1):o&&(i.dir="/"),i},sep:"/",delimiter:":",win32:null,posix:null},r.posix.win32=r.win32.win32=r.win32,r.posix.posix=r.win32.posix=r.posix,r.normalize=E.platform==="win32"?r.win32.normalize:r.posix.normalize,r.resolve=E.platform==="win32"?r.win32.resolve:r.posix.resolve,r.relative=E.platform==="win32"?r.win32.relative:r.posix.relative,r.dirname=E.platform==="win32"?r.win32.dirname:r.posix.dirname,r.basename=E.platform==="win32"?r.win32.basename:r.posix.basename,r.extname=E.platform==="win32"?r.win32.extname:r.posix.extname,r.sep=E.platform==="win32"?r.win32.sep:r.posix.sep}),j(G[11],Y([0,1,5]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StopWatch=void 0;const e=E.globals.performance&&typeof E.globals.performance.now=="function";class N{constructor(p){this._highResolution=e&&p,this._startTime=this._now(),this._stopTime=-1}static create(p=!0){return new N(p)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?E.globals.performance.now():Date.now()}}r.StopWatch=N}),j(G[6],Y([0,1,10,8,23,11]),function(U,r,E,e,N,a){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Relay=r.EventBufferer=r.DebounceEmitter=r.PauseableEmitter=r.Emitter=r.Event=void 0;var p;(function(L){L.None=()=>e.Disposable.None;function _(q){return(B,V=null,n)=>{let X=!1,Q;return Q=q(Z=>{if(!X)return Q?Q.dispose():X=!0,B.call(V,Z)},null,n),X&&Q.dispose(),Q}}L.once=_;function y(q,B){return g((V,n=null,X)=>q(Q=>V.call(n,B(Q)),null,X))}L.map=y;function w(q,B){return g((V,n=null,X)=>q(Q=>{B(Q),V.call(n,Q)},null,X))}L.forEach=w;function s(q,B){return g((V,n=null,X)=>q(Q=>B(Q)&&V.call(n,Q),null,X))}L.filter=s;function i(q){return q}L.signal=i;function o(...q){return(B,V=null,n)=>(0,e.combinedDisposable)(...q.map(X=>X(Q=>B.call(V,Q),null,n)))}L.any=o;function l(q,B,V){let n=V;return y(q,X=>(n=B(n,X),n))}L.reduce=l;function g(q){let B;const V=new v({onFirstListenerAdd(){B=q(V.fire,V)},onLastListenerRemove(){B.dispose()}});return V.event}function c(q,B,V,n=100,X=!1){let Q,Z,x=0;return q(le=>{x++,Q=V(Q,le),X&&!Z&&(B(Q),Q=void 0),clearTimeout(Z),Z=setTimeout(()=>{const ue=Q;Q=void 0,Z=void 0,(!X||x>1)&&B(ue),x=0},n)})}L.debouncedListener=c;function b(q,B,V=100,n=!1,X){let Q,Z,x,le=0;const ue=new v({leakWarningThreshold:X,onFirstListenerAdd(){Q=q(de=>{le++,Z=B(Z,de),n&&!x&&(ue.fire(Z),Z=void 0),clearTimeout(x),x=setTimeout(()=>{const me=Z;Z=void 0,x=void 0,(!n||le>1)&&ue.fire(me),le=0},V)})},onLastListenerRemove(){Q.dispose()}});return ue.event}L.debounce=b;function C(q,B=(V,n)=>V===n){let V=!0,n;return s(q,X=>{const Q=V||!B(X,n);return V=!1,n=X,Q})}L.latch=C;function A(q,B){return[L.filter(q,B),L.filter(q,V=>!B(V))]}L.split=A;function P(q,B=!1,V=[]){let n=V.slice(),X=q(x=>{n?n.push(x):Z.fire(x)});const Q=()=>{n&&n.forEach(x=>Z.fire(x)),n=null},Z=new v({onFirstListenerAdd(){X||(X=q(x=>Z.fire(x)))},onFirstListenerDidAdd(){n&&(B?setTimeout(Q):Q())},onLastListenerRemove(){X&&X.dispose(),X=null}});return Z.event}L.buffer=P;class D{constructor(B){this.event=B}map(B){return new D(y(this.event,B))}forEach(B){return new D(w(this.event,B))}filter(B){return new D(s(this.event,B))}reduce(B,V){return new D(l(this.event,B,V))}latch(){return new D(C(this.event))}debounce(B,V=100,n=!1,X){return new D(b(this.event,B,V,n,X))}on(B,V,n){return this.event(B,V,n)}once(B,V,n){return _(this.event)(B,V,n)}}function k(q){return new D(q)}L.chain=k;function R(q,B,V=n=>n){const n=(...x)=>Z.fire(V(...x)),X=()=>q.on(B,n),Q=()=>q.removeListener(B,n),Z=new v({onFirstListenerAdd:X,onLastListenerRemove:Q});return Z.event}L.fromNodeEventEmitter=R;function F(q,B,V=n=>n){const n=(...x)=>Z.fire(V(...x)),X=()=>q.addEventListener(B,n),Q=()=>q.removeEventListener(B,n),Z=new v({onFirstListenerAdd:X,onLastListenerRemove:Q});return Z.event}L.fromDOMEventEmitter=F;function I(q){return new Promise(B=>_(q)(B))}L.toPromise=I;function O(q,B){return B(void 0),q(V=>B(V))}L.runAndSubscribe=O;function H(q,B){let V=null;function n(Q){V==null||V.dispose(),V=new e.DisposableStore,B(Q,V)}n(void 0);const X=q(Q=>n(Q));return(0,e.toDisposable)(()=>{X.dispose(),V==null||V.dispose()})}L.runAndSubscribeWithStore=H})(p=r.Event||(r.Event={}));class m{constructor(_){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${_}_${m._idPool++}`}start(_){this._stopWatch=new a.StopWatch(!0),this._listenerCount=_}stop(){if(this._stopWatch){const _=this._stopWatch.elapsed();this._elapsedOverall+=_,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${_.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}m._idPool=0;let u=-1;class d{constructor(_,y=Math.random().toString(18).slice(2,5)){this.customThreshold=_,this.name=y,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(_){let y=u;if(typeof this.customThreshold=="number"&&(y=this.customThreshold),y<=0||_<y)return;this._stacks||(this._stacks=new Map);const w=new Error().stack.split(`
`).slice(3).join(`
`),s=this._stacks.get(w)||0;if(this._stacks.set(w,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=y*.5;let i,o=0;for(const[l,g]of this._stacks)(!i||o<g)&&(i=l,o=g);console.warn(`[${this.name}] potential listener LEAK detected, having ${_} listeners already. MOST frequent listener (${o}):`),console.warn(i)}return()=>{const i=this._stacks.get(w)||0;this._stacks.set(w,i-1)}}}class v{constructor(_){var y;this._disposed=!1,this._options=_,this._leakageMon=u>0?new d(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((y=this._options)===null||y===void 0?void 0:y._profName)?new m(this._options._profName):void 0}get event(){return this._event||(this._event=(_,y,w)=>{var s;this._listeners||(this._listeners=new N.LinkedList);const i=this._listeners.isEmpty();i&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const o=this._listeners.push(y?[_,y]:_);i&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,_,y);const l=(s=this._leakageMon)===null||s===void 0?void 0:s.check(this._listeners.size),g=(0,e.toDisposable)(()=>{l&&l(),this._disposed||(o(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return w instanceof e.DisposableStore?w.add(g):Array.isArray(w)&&w.push(g),g}),this._event}fire(_){var y,w;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new N.LinkedList);for(let s of this._listeners)this._deliveryQueue.push([s,_]);for((y=this._perfMon)===null||y===void 0||y.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[s,i]=this._deliveryQueue.shift();try{typeof s=="function"?s.call(void 0,i):s[0].call(s[1],i)}catch(o){(0,E.onUnexpectedError)(o)}}(w=this._perfMon)===null||w===void 0||w.stop()}}dispose(){var _,y,w,s,i;this._disposed||(this._disposed=!0,(_=this._listeners)===null||_===void 0||_.clear(),(y=this._deliveryQueue)===null||y===void 0||y.clear(),(s=(w=this._options)===null||w===void 0?void 0:w.onLastListenerRemove)===null||s===void 0||s.call(w),(i=this._leakageMon)===null||i===void 0||i.dispose())}}r.Emitter=v;class t extends v{constructor(_){super(_);this._isPaused=0,this._eventQueue=new N.LinkedList,this._mergeFn=_==null?void 0:_.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const _=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(_))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(_){this._listeners&&(this._isPaused!==0?this._eventQueue.push(_):super.fire(_))}}r.PauseableEmitter=t;class h extends t{constructor(_){var y;super(_);this._delay=(y=_.delay)!==null&&y!==void 0?y:100}fire(_){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(_)}}r.DebounceEmitter=h;class f{constructor(){this.buffers=[]}wrapEvent(_){return(y,w,s)=>_(i=>{const o=this.buffers[this.buffers.length-1];o?o.push(()=>y.call(w,i)):y.call(w,i)},void 0,s)}bufferEvents(_){const y=[];this.buffers.push(y);const w=_();return this.buffers.pop(),y.forEach(s=>s()),w}}r.EventBufferer=f;class S{constructor(){this.listening=!1,this.inputEvent=p.None,this.inputEventListener=e.Disposable.None,this.emitter=new v({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(_){this.inputEvent=_,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=_(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}r.Relay=S}),j(G[26],Y([0,1,6]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CancellationTokenSource=r.CancellationToken=void 0;const e=Object.freeze(function(m,u){const d=setTimeout(m.bind(u),0);return{dispose(){clearTimeout(d)}}});var N;(function(m){function u(d){return d===m.None||d===m.Cancelled||d instanceof a?!0:!d||typeof d!="object"?!1:typeof d.isCancellationRequested=="boolean"&&typeof d.onCancellationRequested=="function"}m.isCancellationToken=u,m.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),m.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:e})})(N=r.CancellationToken||(r.CancellationToken={}));class a{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?e:(this._emitter||(this._emitter=new E.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class p{constructor(u){this._token=void 0,this._parentListener=void 0,this._parentListener=u&&u.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new a),this._token}cancel(){this._token?this._token instanceof a&&this._token.cancel():this._token=N.Cancelled}dispose(u=!1){u&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof a&&this._token.dispose():this._token=N.None}}r.CancellationTokenSource=p}),j(G[2],Y([0,1,16,22]),function(U,r,E,e){"use strict";var N;Object.defineProperty(r,"__esModule",{value:!0}),r.InvisibleCharacters=r.AmbiguousCharacters=r.noBreakWhitespace=r.getLeftDeleteOffset=r.singleLetterHash=r.containsUppercaseCharacter=r.startsWithUTF8BOM=r.UTF8_BOM_CHARACTER=r.isEmojiImprecise=r.isFullWidthCharacter=r.containsUnusualLineTerminators=r.UNUSUAL_LINE_TERMINATORS=r.isBasicASCII=r.containsRTL=r.getCharContainingOffset=r.prevCharLength=r.nextCharLength=r.GraphemeIterator=r.CodePointIterator=r.getNextCodePoint=r.computeCodePoint=r.isLowSurrogate=r.isHighSurrogate=r.commonSuffixLength=r.commonPrefixLength=r.startsWithIgnoreCase=r.equalsIgnoreCase=r.isUpperAsciiLetter=r.isLowerAsciiLetter=r.compareSubstringIgnoreCase=r.compareIgnoreCase=r.compareSubstring=r.compare=r.lastNonWhitespaceIndex=r.getLeadingWhitespace=r.firstNonWhitespaceIndex=r.splitLines=r.regExpFlags=r.regExpLeadsToEndlessLoop=r.createRegExp=r.stripWildcards=r.convertSimple2RegExpPattern=r.rtrim=r.ltrim=r.trim=r.escapeRegExpCharacters=r.escape=r.format=r.isFalsyOrWhitespace=void 0;function a(M){return!M||typeof M!="string"?!0:M.trim().length===0}r.isFalsyOrWhitespace=a;const p=/{(\d+)}/g;function m(M,...T){return T.length===0?M:M.replace(p,function(W,z){const $=parseInt(z,10);return isNaN($)||$<0||$>=T.length?W:T[$]})}r.format=m;function u(M){return M.replace(/[<>&]/g,function(T){switch(T){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return T}})}r.escape=u;function d(M){return M.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}r.escapeRegExpCharacters=d;function v(M,T=" "){const W=t(M,T);return h(W,T)}r.trim=v;function t(M,T){if(!M||!T)return M;const W=T.length;if(W===0||M.length===0)return M;let z=0;for(;M.indexOf(T,z)===z;)z=z+W;return M.substring(z)}r.ltrim=t;function h(M,T){if(!M||!T)return M;const W=T.length,z=M.length;if(W===0||z===0)return M;let $=z,J=-1;for(;J=M.lastIndexOf(T,$-1),!(J===-1||J+W!==$);){if(J===0)return"";$=J}return M.substring(0,$)}r.rtrim=h;function f(M){return M.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}r.convertSimple2RegExpPattern=f;function S(M){return M.replace(/\*/g,"")}r.stripWildcards=S;function L(M,T,W={}){if(!M)throw new Error("Cannot create regex from empty string");T||(M=d(M)),W.wholeWord&&(/\B/.test(M.charAt(0))||(M="\\b"+M),/\B/.test(M.charAt(M.length-1))||(M=M+"\\b"));let z="";return W.global&&(z+="g"),W.matchCase||(z+="i"),W.multiline&&(z+="m"),W.unicode&&(z+="u"),new RegExp(M,z)}r.createRegExp=L;function _(M){return M.source==="^"||M.source==="^$"||M.source==="$"||M.source==="^\\s*$"?!1:!!(M.exec("")&&M.lastIndex===0)}r.regExpLeadsToEndlessLoop=_;function y(M){return(M.global?"g":"")+(M.ignoreCase?"i":"")+(M.multiline?"m":"")+(M.unicode?"u":"")}r.regExpFlags=y;function w(M){return M.split(/\r\n|\r|\n/)}r.splitLines=w;function s(M){for(let T=0,W=M.length;T<W;T++){const z=M.charCodeAt(T);if(z!==32&&z!==9)return T}return-1}r.firstNonWhitespaceIndex=s;function i(M,T=0,W=M.length){for(let z=T;z<W;z++){const $=M.charCodeAt(z);if($!==32&&$!==9)return M.substring(T,z)}return M.substring(T,W)}r.getLeadingWhitespace=i;function o(M,T=M.length-1){for(let W=T;W>=0;W--){const z=M.charCodeAt(W);if(z!==32&&z!==9)return W}return-1}r.lastNonWhitespaceIndex=o;function l(M,T){return M<T?-1:M>T?1:0}r.compare=l;function g(M,T,W=0,z=M.length,$=0,J=T.length){for(;W<z&&$<J;W++,$++){let se=M.charCodeAt(W),K=T.charCodeAt($);if(se<K)return-1;if(se>K)return 1}const te=z-W,ce=J-$;return te<ce?-1:te>ce?1:0}r.compareSubstring=g;function c(M,T){return b(M,T,0,M.length,0,T.length)}r.compareIgnoreCase=c;function b(M,T,W=0,z=M.length,$=0,J=T.length){for(;W<z&&$<J;W++,$++){let se=M.charCodeAt(W),K=T.charCodeAt($);if(se===K)continue;if(se>=128||K>=128)return g(M.toLowerCase(),T.toLowerCase(),W,z,$,J);C(se)&&(se-=32),C(K)&&(K-=32);const ne=se-K;if(ne!==0)return ne}const te=z-W,ce=J-$;return te<ce?-1:te>ce?1:0}r.compareSubstringIgnoreCase=b;function C(M){return M>=97&&M<=122}r.isLowerAsciiLetter=C;function A(M){return M>=65&&M<=90}r.isUpperAsciiLetter=A;function P(M,T){return M.length===T.length&&b(M,T)===0}r.equalsIgnoreCase=P;function D(M,T){const W=T.length;return T.length>M.length?!1:b(M,T,0,W)===0}r.startsWithIgnoreCase=D;function k(M,T){let W,z=Math.min(M.length,T.length);for(W=0;W<z;W++)if(M.charCodeAt(W)!==T.charCodeAt(W))return W;return z}r.commonPrefixLength=k;function R(M,T){let W,z=Math.min(M.length,T.length);const $=M.length-1,J=T.length-1;for(W=0;W<z;W++)if(M.charCodeAt($-W)!==T.charCodeAt(J-W))return W;return z}r.commonSuffixLength=R;function F(M){return 55296<=M&&M<=56319}r.isHighSurrogate=F;function I(M){return 56320<=M&&M<=57343}r.isLowSurrogate=I;function O(M,T){return(M-55296<<10)+(T-56320)+65536}r.computeCodePoint=O;function H(M,T,W){const z=M.charCodeAt(W);if(F(z)&&W+1<T){const $=M.charCodeAt(W+1);if(I($))return O(z,$)}return z}r.getNextCodePoint=H;function q(M,T){const W=M.charCodeAt(T-1);if(I(W)&&T>1){const z=M.charCodeAt(T-2);if(F(z))return O(z,W)}return W}class B{constructor(T,W=0){this._str=T,this._len=T.length,this._offset=W}get offset(){return this._offset}setOffset(T){this._offset=T}prevCodePoint(){const T=q(this._str,this._offset);return this._offset-=T>=65536?2:1,T}nextCodePoint(){const T=H(this._str,this._len,this._offset);return this._offset+=T>=65536?2:1,T}eol(){return this._offset>=this._len}}r.CodePointIterator=B;class V{constructor(T,W=0){this._iterator=new B(T,W)}get offset(){return this._iterator.offset}nextGraphemeLength(){const T=oe.getInstance(),W=this._iterator,z=W.offset;let $=T.getGraphemeBreakType(W.nextCodePoint());for(;!W.eol();){const J=W.offset,te=T.getGraphemeBreakType(W.nextCodePoint());if(be($,te)){W.setOffset(J);break}$=te}return W.offset-z}prevGraphemeLength(){const T=oe.getInstance(),W=this._iterator,z=W.offset;let $=T.getGraphemeBreakType(W.prevCodePoint());for(;W.offset>0;){const J=W.offset,te=T.getGraphemeBreakType(W.prevCodePoint());if(be(te,$)){W.setOffset(J);break}$=te}return z-W.offset}eol(){return this._iterator.eol()}}r.GraphemeIterator=V;function n(M,T){return new V(M,T).nextGraphemeLength()}r.nextCharLength=n;function X(M,T){return new V(M,T).prevGraphemeLength()}r.prevCharLength=X;function Q(M,T){T>0&&I(M.charCodeAt(T))&&T--;const W=T+n(M,T);return[W-X(M,W),W]}r.getCharContainingOffset=Q;const Z=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function x(M){return Z.test(M)}r.containsRTL=x;const le=/^[\t\n\r\x20-\x7E]*$/;function ue(M){return le.test(M)}r.isBasicASCII=ue,r.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function de(M){return r.UNUSUAL_LINE_TERMINATORS.test(M)}r.containsUnusualLineTerminators=de;function me(M){return M>=11904&&M<=55215||M>=63744&&M<=64255||M>=65281&&M<=65374}r.isFullWidthCharacter=me;function _e(M){return M>=127462&&M<=127487||M===8986||M===8987||M===9200||M===9203||M>=9728&&M<=10175||M===11088||M===11093||M>=127744&&M<=128591||M>=128640&&M<=128764||M>=128992&&M<=129008||M>=129280&&M<=129535||M>=129648&&M<=129782}r.isEmojiImprecise=_e,r.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ve(M){return!!(M&&M.length>0&&M.charCodeAt(0)===65279)}r.startsWithUTF8BOM=ve;function pe(M,T=!1){return M?(T&&(M=M.replace(/\\./g,"")),M.toLowerCase()!==M):!1}r.containsUppercaseCharacter=pe;function ye(M){const T=90-65+1;return M=M%(2*T),M<T?String.fromCharCode(97+M):String.fromCharCode(65+M-T)}r.singleLetterHash=ye;function be(M,T){return M===0?T!==5&&T!==7:M===2&&T===3?!1:M===4||M===2||M===3||T===4||T===2||T===3?!0:!(M===8&&(T===8||T===9||T===11||T===12)||(M===11||M===9)&&(T===9||T===10)||(M===12||M===10)&&T===10||T===5||T===13||T===7||M===1||M===13&&T===14||M===6&&T===6)}class oe{constructor(){this._data=Se()}static getInstance(){return oe._INSTANCE||(oe._INSTANCE=new oe),oe._INSTANCE}getGraphemeBreakType(T){if(T<32)return T===10?3:T===13?2:4;if(T<127)return 0;const W=this._data,z=W.length/3;let $=1;for(;$<=z;)if(T<W[3*$])$=2*$;else if(T>W[3*$+1])$=2*$+1;else return W[3*$+2];return 0}}oe._INSTANCE=null;function Se(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Le(M,T){if(M===0)return 0;const W=Ne(M,T);if(W!==void 0)return W;const z=new B(T,M);return z.prevCodePoint(),z.offset}r.getLeftDeleteOffset=Le;function Ne(M,T){const W=new B(T,M);let z=W.prevCodePoint();for(;Ae(z)||z===65039||z===8419;){if(W.offset===0)return;z=W.prevCodePoint()}if(!_e(z))return;let $=W.offset;return $>0&&W.prevCodePoint()===8205&&($=W.offset),$}function Ae(M){return 127995<=M&&M<=127999}r.noBreakWhitespace="\xA0";class ie{constructor(T){this.confusableDictionary=T}static getInstance(T){return ie.cache.get(Array.from(T))}static getLocales(){return ie._locales.getValue()}isAmbiguous(T){return this.confusableDictionary.has(T)}getPrimaryConfusable(T){return this.confusableDictionary.get(T)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}r.AmbiguousCharacters=ie,N=ie,ie.ambiguousCharacterData=new e.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),ie.cache=new E.LRUCachedComputed(M=>{function T(K){const ne=new Map;for(let ae=0;ae<K.length;ae+=2)ne.set(K[ae],K[ae+1]);return ne}function W(K,ne){const ae=new Map(K);for(const[he,ge]of ne)ae.set(he,ge);return ae}function z(K,ne){if(!K)return ne;const ae=new Map;for(const[he,ge]of K)ne.has(he)&&ae.set(he,ge);return ae}const $=N.ambiguousCharacterData.getValue();let J=M.filter(K=>!K.startsWith("_")&&K in $);J.length===0&&(J=["_default"]);let te;for(const K of J){const ne=T($[K]);te=z(te,ne)}const ce=T($._common),se=W(ce,te);return new ie(se)}),ie._locales=new e.Lazy(()=>Object.keys(ie.ambiguousCharacterData.getValue()).filter(M=>!M.startsWith("_")));class fe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(fe.getRawData())),this._data}static isInvisibleCharacter(T){return fe.getData().has(T)}static get codePoints(){return fe.getData()}}r.InvisibleCharacters=fe,fe._data=void 0}),j(G[27],Y([0,1,2]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StringSHA1=r.toHexString=r.stringHash=r.numberHash=r.doHash=r.hash=void 0;function e(L){return N(L,0)}r.hash=e;function N(L,_){switch(typeof L){case"object":return L===null?a(349,_):Array.isArray(L)?u(L,_):d(L,_);case"string":return m(L,_);case"boolean":return p(L,_);case"number":return a(L,_);case"undefined":return a(937,_);default:return a(617,_)}}r.doHash=N;function a(L,_){return(_<<5)-_+L|0}r.numberHash=a;function p(L,_){return a(L?433:863,_)}function m(L,_){_=a(149417,_);for(let y=0,w=L.length;y<w;y++)_=a(L.charCodeAt(y),_);return _}r.stringHash=m;function u(L,_){return _=a(104579,_),L.reduce((y,w)=>N(w,y),_)}function d(L,_){return _=a(181387,_),Object.keys(L).sort().reduce((y,w)=>(y=m(w,y),N(L[w],y)),_)}function v(L,_,y=32){const w=y-_,s=~((1<<w)-1);return(L<<_|(s&L)>>>w)>>>0}function t(L,_=0,y=L.byteLength,w=0){for(let s=0;s<y;s++)L[_+s]=w}function h(L,_,y="0"){for(;L.length<_;)L=y+L;return L}function f(L,_=32){return L instanceof ArrayBuffer?Array.from(new Uint8Array(L)).map(y=>y.toString(16).padStart(2,"0")).join(""):h((L>>>0).toString(16),_/4)}r.toHexString=f;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(_){const y=_.length;if(y===0)return;const w=this._buff;let s=this._buffLen,i=this._leftoverHighSurrogate,o,l;for(i!==0?(o=i,l=-1,i=0):(o=_.charCodeAt(0),l=0);;){let g=o;if(E.isHighSurrogate(o))if(l+1<y){const c=_.charCodeAt(l+1);E.isLowSurrogate(c)?(l++,g=E.computeCodePoint(o,c)):g=65533}else{i=o;break}else E.isLowSurrogate(o)&&(g=65533);if(s=this._push(w,s,g),l++,l<y)o=_.charCodeAt(l);else break}this._buffLen=s,this._leftoverHighSurrogate=i}_push(_,y,w){return w<128?_[y++]=w:w<2048?(_[y++]=192|(w&1984)>>>6,_[y++]=128|(w&63)>>>0):w<65536?(_[y++]=224|(w&61440)>>>12,_[y++]=128|(w&4032)>>>6,_[y++]=128|(w&63)>>>0):(_[y++]=240|(w&1835008)>>>18,_[y++]=128|(w&258048)>>>12,_[y++]=128|(w&4032)>>>6,_[y++]=128|(w&63)>>>0),y>=64&&(this._step(),y-=64,this._totalLen+=64,_[0]=_[64+0],_[1]=_[64+1],_[2]=_[64+2]),y}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),f(this._h0)+f(this._h1)+f(this._h2)+f(this._h3)+f(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,t(this._buff,this._buffLen),this._buffLen>56&&(this._step(),t(this._buff));const _=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(_/4294967296),!1),this._buffDV.setUint32(60,_%4294967296,!1),this._step()}_step(){const _=S._bigBlock32,y=this._buffDV;for(let C=0;C<64;C+=4)_.setUint32(C,y.getUint32(C,!1),!1);for(let C=64;C<320;C+=4)_.setUint32(C,v(_.getUint32(C-12,!1)^_.getUint32(C-32,!1)^_.getUint32(C-56,!1)^_.getUint32(C-64,!1),1),!1);let w=this._h0,s=this._h1,i=this._h2,o=this._h3,l=this._h4,g,c,b;for(let C=0;C<80;C++)C<20?(g=s&i|~s&o,c=1518500249):C<40?(g=s^i^o,c=1859775393):C<60?(g=s&i|s&o|i&o,c=2400959708):(g=s^i^o,c=3395469782),b=v(w,5)+g+l+c+_.getUint32(C*4,!1)&4294967295,l=o,o=i,i=v(s,30),s=w,w=b;this._h0=this._h0+w&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+i&4294967295,this._h3=this._h3+o&4294967295,this._h4=this._h4+l&4294967295}}r.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),j(G[12],Y([0,1,18,27]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LcsDiff=r.MyArray=r.Debug=r.stringDiff=r.StringDiffSequence=void 0;class N{constructor(t){this.source=t}getElements(){const t=this.source,h=new Int32Array(t.length);for(let f=0,S=t.length;f<S;f++)h[f]=t.charCodeAt(f);return h}}r.StringDiffSequence=N;function a(v,t,h){return new d(new N(v),new N(t)).ComputeDiff(h).changes}r.stringDiff=a;class p{static Assert(t,h){if(!t)throw new Error(h)}}r.Debug=p;class m{static Copy(t,h,f,S,L){for(let _=0;_<L;_++)f[S+_]=t[h+_]}static Copy2(t,h,f,S,L){for(let _=0;_<L;_++)f[S+_]=t[h+_]}}r.MyArray=m;class u{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new E.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(t,h){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,h),this.m_originalCount++}AddModifiedElement(t,h){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,h),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class d{constructor(t,h,f=null){this.ContinueProcessingPredicate=f,this._originalSequence=t,this._modifiedSequence=h;const[S,L,_]=d._getElements(t),[y,w,s]=d._getElements(h);this._hasStrings=_&&s,this._originalStringElements=S,this._originalElementsOrHash=L,this._modifiedStringElements=y,this._modifiedElementsOrHash=w,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(t){return t.length>0&&typeof t[0]=="string"}static _getElements(t){const h=t.getElements();if(d._isStringArray(h)){const f=new Int32Array(h.length);for(let S=0,L=h.length;S<L;S++)f[S]=(0,e.stringHash)(h[S],0);return[h,f,!0]}return h instanceof Int32Array?[[],h,!1]:[[],new Int32Array(h),!1]}ElementsAreEqual(t,h){return this._originalElementsOrHash[t]!==this._modifiedElementsOrHash[h]?!1:this._hasStrings?this._originalStringElements[t]===this._modifiedStringElements[h]:!0}ElementsAreStrictEqual(t,h){if(!this.ElementsAreEqual(t,h))return!1;const f=d._getStrictElement(this._originalSequence,t),S=d._getStrictElement(this._modifiedSequence,h);return f===S}static _getStrictElement(t,h){return typeof t.getStrictElement=="function"?t.getStrictElement(h):null}OriginalElementsAreEqual(t,h){return this._originalElementsOrHash[t]!==this._originalElementsOrHash[h]?!1:this._hasStrings?this._originalStringElements[t]===this._originalStringElements[h]:!0}ModifiedElementsAreEqual(t,h){return this._modifiedElementsOrHash[t]!==this._modifiedElementsOrHash[h]?!1:this._hasStrings?this._modifiedStringElements[t]===this._modifiedStringElements[h]:!0}ComputeDiff(t){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,t)}_ComputeDiff(t,h,f,S,L){const _=[!1];let y=this.ComputeDiffRecursive(t,h,f,S,_);return L&&(y=this.PrettifyChanges(y)),{quitEarly:_[0],changes:y}}ComputeDiffRecursive(t,h,f,S,L){for(L[0]=!1;t<=h&&f<=S&&this.ElementsAreEqual(t,f);)t++,f++;for(;h>=t&&S>=f&&this.ElementsAreEqual(h,S);)h--,S--;if(t>h||f>S){let o;return f<=S?(p.Assert(t===h+1,"originalStart should only be one more than originalEnd"),o=[new E.DiffChange(t,0,f,S-f+1)]):t<=h?(p.Assert(f===S+1,"modifiedStart should only be one more than modifiedEnd"),o=[new E.DiffChange(t,h-t+1,f,0)]):(p.Assert(t===h+1,"originalStart should only be one more than originalEnd"),p.Assert(f===S+1,"modifiedStart should only be one more than modifiedEnd"),o=[]),o}const _=[0],y=[0],w=this.ComputeRecursionPoint(t,h,f,S,_,y,L),s=_[0],i=y[0];if(w!==null)return w;if(!L[0]){const o=this.ComputeDiffRecursive(t,s,f,i,L);let l=[];return L[0]?l=[new E.DiffChange(s+1,h-(s+1)+1,i+1,S-(i+1)+1)]:l=this.ComputeDiffRecursive(s+1,h,i+1,S,L),this.ConcatenateChanges(o,l)}return[new E.DiffChange(t,h-t+1,f,S-f+1)]}WALKTRACE(t,h,f,S,L,_,y,w,s,i,o,l,g,c,b,C,A,P){let D=null,k=null,R=new u,F=h,I=f,O=g[0]-C[0]-S,H=-1073741824,q=this.m_forwardHistory.length-1;do{const B=O+t;B===F||B<I&&s[B-1]<s[B+1]?(o=s[B+1],c=o-O-S,o<H&&R.MarkNextChange(),H=o,R.AddModifiedElement(o+1,c),O=B+1-t):(o=s[B-1]+1,c=o-O-S,o<H&&R.MarkNextChange(),H=o-1,R.AddOriginalElement(o,c+1),O=B-1-t),q>=0&&(s=this.m_forwardHistory[q],t=s[0],F=1,I=s.length-1)}while(--q>=-1);if(D=R.getReverseChanges(),P[0]){let B=g[0]+1,V=C[0]+1;if(D!==null&&D.length>0){const n=D[D.length-1];B=Math.max(B,n.getOriginalEnd()),V=Math.max(V,n.getModifiedEnd())}k=[new E.DiffChange(B,l-B+1,V,b-V+1)]}else{R=new u,F=_,I=y,O=g[0]-C[0]-w,H=1073741824,q=A?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const B=O+L;B===F||B<I&&i[B-1]>=i[B+1]?(o=i[B+1]-1,c=o-O-w,o>H&&R.MarkNextChange(),H=o+1,R.AddOriginalElement(o+1,c+1),O=B+1-L):(o=i[B-1],c=o-O-w,o>H&&R.MarkNextChange(),H=o,R.AddModifiedElement(o+1,c+1),O=B-1-L),q>=0&&(i=this.m_reverseHistory[q],L=i[0],F=1,I=i.length-1)}while(--q>=-1);k=R.getChanges()}return this.ConcatenateChanges(D,k)}ComputeRecursionPoint(t,h,f,S,L,_,y){let w=0,s=0,i=0,o=0,l=0,g=0;t--,f--,L[0]=0,_[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const c=h-t+(S-f),b=c+1,C=new Int32Array(b),A=new Int32Array(b),P=S-f,D=h-t,k=t-f,R=h-S,I=(D-P)%2==0;C[P]=t,A[D]=h,y[0]=!1;for(let O=1;O<=c/2+1;O++){let H=0,q=0;i=this.ClipDiagonalBound(P-O,O,P,b),o=this.ClipDiagonalBound(P+O,O,P,b);for(let V=i;V<=o;V+=2){V===i||V<o&&C[V-1]<C[V+1]?w=C[V+1]:w=C[V-1]+1,s=w-(V-P)-k;const n=w;for(;w<h&&s<S&&this.ElementsAreEqual(w+1,s+1);)w++,s++;if(C[V]=w,w+s>H+q&&(H=w,q=s),!I&&Math.abs(V-D)<=O-1&&w>=A[V])return L[0]=w,_[0]=s,n<=A[V]&&1447>0&&O<=1447+1?this.WALKTRACE(P,i,o,k,D,l,g,R,C,A,w,h,L,s,S,_,I,y):null}const B=(H-t+(q-f)-O)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(H,B))return y[0]=!0,L[0]=H,_[0]=q,B>0&&1447>0&&O<=1447+1?this.WALKTRACE(P,i,o,k,D,l,g,R,C,A,w,h,L,s,S,_,I,y):(t++,f++,[new E.DiffChange(t,h-t+1,f,S-f+1)]);l=this.ClipDiagonalBound(D-O,O,D,b),g=this.ClipDiagonalBound(D+O,O,D,b);for(let V=l;V<=g;V+=2){V===l||V<g&&A[V-1]>=A[V+1]?w=A[V+1]-1:w=A[V-1],s=w-(V-D)-R;const n=w;for(;w>t&&s>f&&this.ElementsAreEqual(w,s);)w--,s--;if(A[V]=w,I&&Math.abs(V-P)<=O&&w<=C[V])return L[0]=w,_[0]=s,n>=C[V]&&1447>0&&O<=1447+1?this.WALKTRACE(P,i,o,k,D,l,g,R,C,A,w,h,L,s,S,_,I,y):null}if(O<=1447){let V=new Int32Array(o-i+2);V[0]=P-i+1,m.Copy2(C,i,V,1,o-i+1),this.m_forwardHistory.push(V),V=new Int32Array(g-l+2),V[0]=D-l+1,m.Copy2(A,l,V,1,g-l+1),this.m_reverseHistory.push(V)}}return this.WALKTRACE(P,i,o,k,D,l,g,R,C,A,w,h,L,s,S,_,I,y)}PrettifyChanges(t){for(let h=0;h<t.length;h++){const f=t[h],S=h<t.length-1?t[h+1].originalStart:this._originalElementsOrHash.length,L=h<t.length-1?t[h+1].modifiedStart:this._modifiedElementsOrHash.length,_=f.originalLength>0,y=f.modifiedLength>0;for(;f.originalStart+f.originalLength<S&&f.modifiedStart+f.modifiedLength<L&&(!_||this.OriginalElementsAreEqual(f.originalStart,f.originalStart+f.originalLength))&&(!y||this.ModifiedElementsAreEqual(f.modifiedStart,f.modifiedStart+f.modifiedLength));){const s=this.ElementsAreStrictEqual(f.originalStart,f.modifiedStart);if(this.ElementsAreStrictEqual(f.originalStart+f.originalLength,f.modifiedStart+f.modifiedLength)&&!s)break;f.originalStart++,f.modifiedStart++}let w=[null];if(h<t.length-1&&this.ChangesOverlap(t[h],t[h+1],w)){t[h]=w[0],t.splice(h+1,1),h--;continue}}for(let h=t.length-1;h>=0;h--){const f=t[h];let S=0,L=0;if(h>0){const o=t[h-1];S=o.originalStart+o.originalLength,L=o.modifiedStart+o.modifiedLength}const _=f.originalLength>0,y=f.modifiedLength>0;let w=0,s=this._boundaryScore(f.originalStart,f.originalLength,f.modifiedStart,f.modifiedLength);for(let o=1;;o++){const l=f.originalStart-o,g=f.modifiedStart-o;if(l<S||g<L||_&&!this.OriginalElementsAreEqual(l,l+f.originalLength)||y&&!this.ModifiedElementsAreEqual(g,g+f.modifiedLength))break;const b=(l===S&&g===L?5:0)+this._boundaryScore(l,f.originalLength,g,f.modifiedLength);b>s&&(s=b,w=o)}f.originalStart-=w,f.modifiedStart-=w;const i=[null];if(h>0&&this.ChangesOverlap(t[h-1],t[h],i)){t[h-1]=i[0],t.splice(h,1),h++;continue}}if(this._hasStrings)for(let h=1,f=t.length;h<f;h++){const S=t[h-1],L=t[h],_=L.originalStart-S.originalStart-S.originalLength,y=S.originalStart,w=L.originalStart+L.originalLength,s=w-y,i=S.modifiedStart,o=L.modifiedStart+L.modifiedLength,l=o-i;if(_<5&&s<20&&l<20){const g=this._findBetterContiguousSequence(y,s,i,l,_);if(g){const[c,b]=g;(c!==S.originalStart+S.originalLength||b!==S.modifiedStart+S.modifiedLength)&&(S.originalLength=c-S.originalStart,S.modifiedLength=b-S.modifiedStart,L.originalStart=c+_,L.modifiedStart=b+_,L.originalLength=w-L.originalStart,L.modifiedLength=o-L.modifiedStart)}}}return t}_findBetterContiguousSequence(t,h,f,S,L){if(h<L||S<L)return null;const _=t+h-L+1,y=f+S-L+1;let w=0,s=0,i=0;for(let o=t;o<_;o++)for(let l=f;l<y;l++){const g=this._contiguousSequenceScore(o,l,L);g>0&&g>w&&(w=g,s=o,i=l)}return w>0?[s,i]:null}_contiguousSequenceScore(t,h,f){let S=0;for(let L=0;L<f;L++){if(!this.ElementsAreEqual(t+L,h+L))return 0;S+=this._originalStringElements[t+L].length}return S}_OriginalIsBoundary(t){return t<=0||t>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[t])}_OriginalRegionIsBoundary(t,h){if(this._OriginalIsBoundary(t)||this._OriginalIsBoundary(t-1))return!0;if(h>0){const f=t+h;if(this._OriginalIsBoundary(f-1)||this._OriginalIsBoundary(f))return!0}return!1}_ModifiedIsBoundary(t){return t<=0||t>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[t])}_ModifiedRegionIsBoundary(t,h){if(this._ModifiedIsBoundary(t)||this._ModifiedIsBoundary(t-1))return!0;if(h>0){const f=t+h;if(this._ModifiedIsBoundary(f-1)||this._ModifiedIsBoundary(f))return!0}return!1}_boundaryScore(t,h,f,S){const L=this._OriginalRegionIsBoundary(t,h)?1:0,_=this._ModifiedRegionIsBoundary(f,S)?1:0;return L+_}ConcatenateChanges(t,h){let f=[];if(t.length===0||h.length===0)return h.length>0?h:t;if(this.ChangesOverlap(t[t.length-1],h[0],f)){const S=new Array(t.length+h.length-1);return m.Copy(t,0,S,0,t.length-1),S[t.length-1]=f[0],m.Copy(h,1,S,t.length,h.length-1),S}else{const S=new Array(t.length+h.length);return m.Copy(t,0,S,0,t.length),m.Copy(h,0,S,t.length,h.length),S}}ChangesOverlap(t,h,f){if(p.Assert(t.originalStart<=h.originalStart,"Left change is not less than or equal to right change"),p.Assert(t.modifiedStart<=h.modifiedStart,"Left change is not less than or equal to right change"),t.originalStart+t.originalLength>=h.originalStart||t.modifiedStart+t.modifiedLength>=h.modifiedStart){const S=t.originalStart;let L=t.originalLength;const _=t.modifiedStart;let y=t.modifiedLength;return t.originalStart+t.originalLength>=h.originalStart&&(L=h.originalStart+h.originalLength-t.originalStart),t.modifiedStart+t.modifiedLength>=h.modifiedStart&&(y=h.modifiedStart+h.modifiedLength-t.modifiedStart),f[0]=new E.DiffChange(S,L,_,y),!0}else return f[0]=null,!1}ClipDiagonalBound(t,h,f,S){if(t>=0&&t<S)return t;const L=f,_=S-f-1,y=h%2==0;if(t<0){const w=L%2==0;return y===w?0:1}else{const w=_%2==0;return y===w?S-1:S-2}}}r.LcsDiff=d}),j(G[7],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.assertNever=r.withNullAsUndefined=r.createProxyObject=r.getAllMethodNames=r.getAllPropertyNames=r.validateConstraint=r.validateConstraints=r.isFunction=r.assertIsDefined=r.assertType=r.isUndefinedOrNull=r.isDefined=r.isUndefined=r.isBoolean=r.isNumber=r.isObject=r.isString=r.isArray=void 0;function E(i){return Array.isArray(i)}r.isArray=E;function e(i){return typeof i=="string"}r.isString=e;function N(i){return typeof i=="object"&&i!==null&&!Array.isArray(i)&&!(i instanceof RegExp)&&!(i instanceof Date)}r.isObject=N;function a(i){return typeof i=="number"&&!isNaN(i)}r.isNumber=a;function p(i){return i===!0||i===!1}r.isBoolean=p;function m(i){return typeof i=="undefined"}r.isUndefined=m;function u(i){return!d(i)}r.isDefined=u;function d(i){return m(i)||i===null}r.isUndefinedOrNull=d;function v(i,o){if(!i)throw new Error(o?`Unexpected type, expected '${o}'`:"Unexpected type")}r.assertType=v;function t(i){if(d(i))throw new Error("Assertion Failed: argument is undefined or null");return i}r.assertIsDefined=t;function h(i){return typeof i=="function"}r.isFunction=h;function f(i,o){const l=Math.min(i.length,o.length);for(let g=0;g<l;g++)S(i[g],o[g])}r.validateConstraints=f;function S(i,o){if(e(o)){if(typeof i!==o)throw new Error(`argument does not match constraint: typeof ${o}`)}else if(h(o)){try{if(i instanceof o)return}catch{}if(!d(i)&&i.constructor===o||o.length===1&&o.call(void 0,i)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}r.validateConstraint=S;function L(i){let o=[],l=Object.getPrototypeOf(i);for(;Object.prototype!==l;)o=o.concat(Object.getOwnPropertyNames(l)),l=Object.getPrototypeOf(l);return o}r.getAllPropertyNames=L;function _(i){const o=[];for(const l of L(i))typeof i[l]=="function"&&o.push(l);return o}r.getAllMethodNames=_;function y(i,o){const l=c=>function(){const b=Array.prototype.slice.call(arguments,0);return o(c,b)};let g={};for(const c of i)g[c]=l(c);return g}r.createProxyObject=y;function w(i){return i===null?void 0:i}r.withNullAsUndefined=w;function s(i,o="Unreachable"){throw new Error(o)}r.assertNever=s}),j(G[28],Y([0,1,7]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getOrDefault=r.equals=r.mixin=r.cloneAndChange=r.deepFreeze=r.deepClone=void 0;function e(t){if(!t||typeof t!="object"||t instanceof RegExp)return t;const h=Array.isArray(t)?[]:{};return Object.keys(t).forEach(f=>{t[f]&&typeof t[f]=="object"?h[f]=e(t[f]):h[f]=t[f]}),h}r.deepClone=e;function N(t){if(!t||typeof t!="object")return t;const h=[t];for(;h.length>0;){const f=h.shift();Object.freeze(f);for(const S in f)if(a.call(f,S)){const L=f[S];typeof L=="object"&&!Object.isFrozen(L)&&h.push(L)}}return t}r.deepFreeze=N;const a=Object.prototype.hasOwnProperty;function p(t,h){return m(t,h,new Set)}r.cloneAndChange=p;function m(t,h,f){if((0,E.isUndefinedOrNull)(t))return t;const S=h(t);if(typeof S!="undefined")return S;if((0,E.isArray)(t)){const L=[];for(const _ of t)L.push(m(_,h,f));return L}if((0,E.isObject)(t)){if(f.has(t))throw new Error("Cannot clone recursive data-structure");f.add(t);const L={};for(let _ in t)a.call(t,_)&&(L[_]=m(t[_],h,f));return f.delete(t),L}return t}function u(t,h,f=!0){return(0,E.isObject)(t)?((0,E.isObject)(h)&&Object.keys(h).forEach(S=>{S in t?f&&((0,E.isObject)(t[S])&&(0,E.isObject)(h[S])?u(t[S],h[S],f):t[S]=h[S]):t[S]=h[S]}),t):h}r.mixin=u;function d(t,h){if(t===h)return!0;if(t==null||h===null||h===void 0||typeof t!=typeof h||typeof t!="object"||Array.isArray(t)!==Array.isArray(h))return!1;let f,S;if(Array.isArray(t)){if(t.length!==h.length)return!1;for(f=0;f<t.length;f++)if(!d(t[f],h[f]))return!1}else{const L=[];for(S in t)L.push(S);L.sort();const _=[];for(S in h)_.push(S);if(_.sort(),!d(L,_))return!1;for(f=0;f<L.length;f++)if(!d(t[L[f]],h[L[f]]))return!1}return!0}r.equals=d;function v(t,h,f){const S=h(t);return typeof S=="undefined"?f:S}r.getOrDefault=v}),j(G[13],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.toUint32=r.toUint8=void 0;function E(N){return N<0?0:N>255?255:N|0}r.toUint8=E;function e(N){return N<0?0:N>4294967295?4294967295:N|0}r.toUint32=e}),j(G[9],Y([0,1,25,5]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.uriToFsPath=r.URI=void 0;const N=/^\w[\w\d+.-]*$/,a=/^\//,p=/^\/\//;function m(c,b){if(!c.scheme&&b)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${c.authority}", path: "${c.path}", query: "${c.query}", fragment: "${c.fragment}"}`);if(c.scheme&&!N.test(c.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(c.path){if(c.authority){if(!a.test(c.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(p.test(c.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function u(c,b){return!c&&!b?"file":c}function d(c,b){switch(c){case"https":case"http":case"file":b?b[0]!==t&&(b=t+b):b=t;break}return b}const v="",t="/",h=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class f{constructor(b,C,A,P,D,k=!1){typeof b=="object"?(this.scheme=b.scheme||v,this.authority=b.authority||v,this.path=b.path||v,this.query=b.query||v,this.fragment=b.fragment||v):(this.scheme=u(b,k),this.authority=C||v,this.path=d(this.scheme,A||v),this.query=P||v,this.fragment=D||v,m(this,k))}static isUri(b){return b instanceof f?!0:b?typeof b.authority=="string"&&typeof b.fragment=="string"&&typeof b.path=="string"&&typeof b.query=="string"&&typeof b.scheme=="string"&&typeof b.fsPath=="string"&&typeof b.with=="function"&&typeof b.toString=="function":!1}get fsPath(){return s(this,!1)}with(b){if(!b)return this;let{scheme:C,authority:A,path:P,query:D,fragment:k}=b;return C===void 0?C=this.scheme:C===null&&(C=v),A===void 0?A=this.authority:A===null&&(A=v),P===void 0?P=this.path:P===null&&(P=v),D===void 0?D=this.query:D===null&&(D=v),k===void 0?k=this.fragment:k===null&&(k=v),C===this.scheme&&A===this.authority&&P===this.path&&D===this.query&&k===this.fragment?this:new L(C,A,P,D,k)}static parse(b,C=!1){const A=h.exec(b);return A?new L(A[2]||v,g(A[4]||v),g(A[5]||v),g(A[7]||v),g(A[9]||v),C):new L(v,v,v,v,v)}static file(b){let C=v;if(e.isWindows&&(b=b.replace(/\\/g,t)),b[0]===t&&b[1]===t){const A=b.indexOf(t,2);A===-1?(C=b.substring(2),b=t):(C=b.substring(2,A),b=b.substring(A)||t)}return new L("file",C,b,v,v)}static from(b){const C=new L(b.scheme,b.authority,b.path,b.query,b.fragment);return m(C,!0),C}static joinPath(b,...C){if(!b.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let A;return e.isWindows&&b.scheme==="file"?A=f.file(E.win32.join(s(b,!0),...C)).path:A=E.posix.join(b.path,...C),b.with({path:A})}toString(b=!1){return i(this,b)}toJSON(){return this}static revive(b){if(b){if(b instanceof f)return b;{const C=new L(b);return C._formatted=b.external,C._fsPath=b._sep===S?b.fsPath:null,C}}else return b}}r.URI=f;const S=e.isWindows?1:void 0;class L extends f{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=s(this,!1)),this._fsPath}toString(b=!1){return b?i(this,!0):(this._formatted||(this._formatted=i(this,!1)),this._formatted)}toJSON(){const b={$mid:1};return this._fsPath&&(b.fsPath=this._fsPath,b._sep=S),this._formatted&&(b.external=this._formatted),this.path&&(b.path=this.path),this.scheme&&(b.scheme=this.scheme),this.authority&&(b.authority=this.authority),this.query&&(b.query=this.query),this.fragment&&(b.fragment=this.fragment),b}}const _={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function y(c,b){let C,A=-1;for(let P=0;P<c.length;P++){const D=c.charCodeAt(P);if(D>=97&&D<=122||D>=65&&D<=90||D>=48&&D<=57||D===45||D===46||D===95||D===126||b&&D===47)A!==-1&&(C+=encodeURIComponent(c.substring(A,P)),A=-1),C!==void 0&&(C+=c.charAt(P));else{C===void 0&&(C=c.substr(0,P));const k=_[D];k!==void 0?(A!==-1&&(C+=encodeURIComponent(c.substring(A,P)),A=-1),C+=k):A===-1&&(A=P)}}return A!==-1&&(C+=encodeURIComponent(c.substring(A))),C!==void 0?C:c}function w(c){let b;for(let C=0;C<c.length;C++){const A=c.charCodeAt(C);A===35||A===63?(b===void 0&&(b=c.substr(0,C)),b+=_[A]):b!==void 0&&(b+=c[C])}return b!==void 0?b:c}function s(c,b){let C;return c.authority&&c.path.length>1&&c.scheme==="file"?C=`//${c.authority}${c.path}`:c.path.charCodeAt(0)===47&&(c.path.charCodeAt(1)>=65&&c.path.charCodeAt(1)<=90||c.path.charCodeAt(1)>=97&&c.path.charCodeAt(1)<=122)&&c.path.charCodeAt(2)===58?b?C=c.path.substr(1):C=c.path[1].toLowerCase()+c.path.substr(2):C=c.path,e.isWindows&&(C=C.replace(/\//g,"\\")),C}r.uriToFsPath=s;function i(c,b){const C=b?w:y;let A="",{scheme:P,authority:D,path:k,query:R,fragment:F}=c;if(P&&(A+=P,A+=":"),(D||P==="file")&&(A+=t,A+=t),D){let I=D.indexOf("@");if(I!==-1){const O=D.substr(0,I);D=D.substr(I+1),I=O.indexOf(":"),I===-1?A+=C(O,!1):(A+=C(O.substr(0,I),!1),A+=":",A+=C(O.substr(I+1),!1)),A+="@"}D=D.toLowerCase(),I=D.indexOf(":"),I===-1?A+=C(D,!1):(A+=C(D.substr(0,I),!1),A+=D.substr(I))}if(k){if(k.length>=3&&k.charCodeAt(0)===47&&k.charCodeAt(2)===58){const I=k.charCodeAt(1);I>=65&&I<=90&&(k=`/${String.fromCharCode(I+32)}:${k.substr(3)}`)}else if(k.length>=2&&k.charCodeAt(1)===58){const I=k.charCodeAt(0);I>=65&&I<=90&&(k=`${String.fromCharCode(I+32)}:${k.substr(2)}`)}A+=C(k,!0)}return R&&(A+="?",A+=C(R,!1)),F&&(A+="#",A+=b?F:y(F,!1)),A}function o(c){try{return decodeURIComponent(c)}catch{return c.length>3?c.substr(0,3)+o(c.substr(3)):c}}const l=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function g(c){return c.match(l)?c.replace(l,b=>o(b)):c}}),j(G[44],Y([0,1,10,6,8,5,7,2]),function(U,r,E,e,N,a,p,m){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.SimpleWorkerServer=r.SimpleWorkerClient=r.logOnceWebWorkerWarning=void 0;const u="$initialize";let d=!1;function v(g){!a.isWeb||(d||(d=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(g.message))}r.logOnceWebWorkerWarning=v;class t{constructor(c,b,C,A){this.vsWorker=c,this.req=b,this.method=C,this.args=A,this.type=0}}class h{constructor(c,b,C,A){this.vsWorker=c,this.seq=b,this.res=C,this.err=A,this.type=1}}class f{constructor(c,b,C,A){this.vsWorker=c,this.req=b,this.eventName=C,this.arg=A,this.type=2}}class S{constructor(c,b,C){this.vsWorker=c,this.req=b,this.event=C,this.type=3}}class L{constructor(c,b){this.vsWorker=c,this.req=b,this.type=4}}class _{constructor(c){this._workerId=-1,this._handler=c,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(c){this._workerId=c}sendMessage(c,b){const C=String(++this._lastSentReq);return new Promise((A,P)=>{this._pendingReplies[C]={resolve:A,reject:P},this._send(new t(this._workerId,C,c,b))})}listen(c,b){let C=null;const A=new e.Emitter({onFirstListenerAdd:()=>{C=String(++this._lastSentReq),this._pendingEmitters.set(C,A),this._send(new f(this._workerId,C,c,b))},onLastListenerRemove:()=>{this._pendingEmitters.delete(C),this._send(new L(this._workerId,C)),C=null}});return A.event}handleMessage(c){!c||!c.vsWorker||this._workerId!==-1&&c.vsWorker!==this._workerId||this._handleMessage(c)}_handleMessage(c){switch(c.type){case 1:return this._handleReplyMessage(c);case 0:return this._handleRequestMessage(c);case 2:return this._handleSubscribeEventMessage(c);case 3:return this._handleEventMessage(c);case 4:return this._handleUnsubscribeEventMessage(c)}}_handleReplyMessage(c){if(!this._pendingReplies[c.seq]){console.warn("Got reply to unknown seq");return}let b=this._pendingReplies[c.seq];if(delete this._pendingReplies[c.seq],c.err){let C=c.err;c.err.$isError&&(C=new Error,C.name=c.err.name,C.message=c.err.message,C.stack=c.err.stack),b.reject(C);return}b.resolve(c.res)}_handleRequestMessage(c){let b=c.req;this._handler.handleMessage(c.method,c.args).then(A=>{this._send(new h(this._workerId,b,A,void 0))},A=>{A.detail instanceof Error&&(A.detail=(0,E.transformErrorForSerialization)(A.detail)),this._send(new h(this._workerId,b,void 0,(0,E.transformErrorForSerialization)(A)))})}_handleSubscribeEventMessage(c){const b=c.req,C=this._handler.handleEvent(c.eventName,c.arg)(A=>{this._send(new S(this._workerId,b,A))});this._pendingEvents.set(b,C)}_handleEventMessage(c){if(!this._pendingEmitters.has(c.req)){console.warn("Got event for unknown req");return}this._pendingEmitters.get(c.req).fire(c.event)}_handleUnsubscribeEventMessage(c){if(!this._pendingEvents.has(c.req)){console.warn("Got unsubscribe for unknown req");return}this._pendingEvents.get(c.req).dispose(),this._pendingEvents.delete(c.req)}_send(c){let b=[];if(c.type===0)for(let C=0;C<c.args.length;C++)c.args[C]instanceof ArrayBuffer&&b.push(c.args[C]);else c.type===1&&c.res instanceof ArrayBuffer&&b.push(c.res);this._handler.sendMessage(c,b)}}class y extends N.Disposable{constructor(c,b,C){super();let A=null;this._worker=this._register(c.create("vs/base/common/worker/simpleWorker",F=>{this._protocol.handleMessage(F)},F=>{A&&A(F)})),this._protocol=new _({sendMessage:(F,I)=>{this._worker.postMessage(F,I)},handleMessage:(F,I)=>{if(typeof C[F]!="function")return Promise.reject(new Error("Missing method "+F+" on main thread host."));try{return Promise.resolve(C[F].apply(C,I))}catch(O){return Promise.reject(O)}},handleEvent:(F,I)=>{if(s(F)){const O=C[F].call(C,I);if(typeof O!="function")throw new Error(`Missing dynamic event ${F} on main thread host.`);return O}if(w(F)){const O=C[F];if(typeof O!="function")throw new Error(`Missing event ${F} on main thread host.`);return O}throw new Error(`Malformed event name ${F}`)}}),this._protocol.setWorkerId(this._worker.getId());let P=null;typeof a.globals.require!="undefined"&&typeof a.globals.require.getConfig=="function"?P=a.globals.require.getConfig():typeof a.globals.requirejs!="undefined"&&(P=a.globals.requirejs.s.contexts._.config);const D=p.getAllMethodNames(C);this._onModuleLoaded=this._protocol.sendMessage(u,[this._worker.getId(),JSON.parse(JSON.stringify(P)),b,D]);const k=(F,I)=>this._request(F,I),R=(F,I)=>this._protocol.listen(F,I);this._lazyProxy=new Promise((F,I)=>{A=I,this._onModuleLoaded.then(O=>{F(i(O,k,R))},O=>{I(O),this._onError("Worker failed to load "+b,O)})})}getProxyObject(){return this._lazyProxy}_request(c,b){return new Promise((C,A)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(c,b).then(C,A)},A)})}_onError(c,b){console.error(c),console.info(b)}}r.SimpleWorkerClient=y;function w(g){return g[0]==="o"&&g[1]==="n"&&m.isUpperAsciiLetter(g.charCodeAt(2))}function s(g){return/^onDynamic/.test(g)&&m.isUpperAsciiLetter(g.charCodeAt(9))}function i(g,c,b){const C=D=>function(){const k=Array.prototype.slice.call(arguments,0);return c(D,k)},A=D=>function(k){return b(D,k)};let P={};for(const D of g){if(s(D)){P[D]=A(D);continue}if(w(D)){P[D]=b(D,void 0);continue}P[D]=C(D)}return P}class o{constructor(c,b){this._requestHandlerFactory=b,this._requestHandler=null,this._protocol=new _({sendMessage:(C,A)=>{c(C,A)},handleMessage:(C,A)=>this._handleMessage(C,A),handleEvent:(C,A)=>this._handleEvent(C,A)})}onmessage(c){this._protocol.handleMessage(c)}_handleMessage(c,b){if(c===u)return this.initialize(b[0],b[1],b[2],b[3]);if(!this._requestHandler||typeof this._requestHandler[c]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+c));try{return Promise.resolve(this._requestHandler[c].apply(this._requestHandler,b))}catch(C){return Promise.reject(C)}}_handleEvent(c,b){if(!this._requestHandler)throw new Error("Missing requestHandler");if(s(c)){const C=this._requestHandler[c].call(this._requestHandler,b);if(typeof C!="function")throw new Error(`Missing dynamic event ${c} on request handler.`);return C}if(w(c)){const C=this._requestHandler[c];if(typeof C!="function")throw new Error(`Missing event ${c} on request handler.`);return C}throw new Error(`Malformed event name ${c}`)}initialize(c,b,C,A){this._protocol.setWorkerId(c);const k=i(A,(R,F)=>this._protocol.sendMessage(R,F),(R,F)=>this._protocol.listen(R,F));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(k),Promise.resolve(p.getAllMethodNames(this._requestHandler))):(b&&(typeof b.baseUrl!="undefined"&&delete b.baseUrl,typeof b.paths!="undefined"&&typeof b.paths.vs!="undefined"&&delete b.paths.vs,typeof b.trustedTypesPolicy!==void 0&&delete b.trustedTypesPolicy,b.catchError=!0,a.globals.require.config(b)),new Promise((R,F)=>{(a.globals.require||U)([C],O=>{if(this._requestHandler=O.create(k),!this._requestHandler){F(new Error("No RequestHandler!"));return}R(p.getAllMethodNames(this._requestHandler))},F)}))}}r.SimpleWorkerServer=o;function l(g){return new o(g,null)}r.create=l}),j(G[14],Y([0,1,13]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CharacterSet=r.CharacterClassifier=void 0;class e{constructor(p){const m=(0,E.toUint8)(p);this._defaultValue=m,this._asciiMap=e._createAsciiMap(m),this._map=new Map}static _createAsciiMap(p){const m=new Uint8Array(256);for(let u=0;u<256;u++)m[u]=p;return m}set(p,m){const u=(0,E.toUint8)(m);p>=0&&p<256?this._asciiMap[p]=u:this._map.set(p,u)}get(p){return p>=0&&p<256?this._asciiMap[p]:this._map.get(p)||this._defaultValue}}r.CharacterClassifier=e;class N{constructor(){this._actual=new e(0)}add(p){this._actual.set(p,1)}has(p){return this._actual.get(p)===1}}r.CharacterSet=N}),j(G[3],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Position=void 0;class E{constructor(N,a){this.lineNumber=N,this.column=a}with(N=this.lineNumber,a=this.column){return N===this.lineNumber&&a===this.column?this:new E(N,a)}delta(N=0,a=0){return this.with(this.lineNumber+N,this.column+a)}equals(N){return E.equals(this,N)}static equals(N,a){return!N&&!a?!0:!!N&&!!a&&N.lineNumber===a.lineNumber&&N.column===a.column}isBefore(N){return E.isBefore(this,N)}static isBefore(N,a){return N.lineNumber<a.lineNumber?!0:a.lineNumber<N.lineNumber?!1:N.column<a.column}isBeforeOrEqual(N){return E.isBeforeOrEqual(this,N)}static isBeforeOrEqual(N,a){return N.lineNumber<a.lineNumber?!0:a.lineNumber<N.lineNumber?!1:N.column<=a.column}static compare(N,a){const p=N.lineNumber|0,m=a.lineNumber|0;if(p===m){const u=N.column|0,d=a.column|0;return u-d}return p-m}clone(){return new E(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(N){return new E(N.lineNumber,N.column)}static isIPosition(N){return N&&typeof N.lineNumber=="number"&&typeof N.column=="number"}}r.Position=E}),j(G[4],Y([0,1,3]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Range=void 0;class e{constructor(a,p,m,u){a>m||a===m&&p>u?(this.startLineNumber=m,this.startColumn=u,this.endLineNumber=a,this.endColumn=p):(this.startLineNumber=a,this.startColumn=p,this.endLineNumber=m,this.endColumn=u)}isEmpty(){return e.isEmpty(this)}static isEmpty(a){return a.startLineNumber===a.endLineNumber&&a.startColumn===a.endColumn}containsPosition(a){return e.containsPosition(this,a)}static containsPosition(a,p){return!(p.lineNumber<a.startLineNumber||p.lineNumber>a.endLineNumber||p.lineNumber===a.startLineNumber&&p.column<a.startColumn||p.lineNumber===a.endLineNumber&&p.column>a.endColumn)}static strictContainsPosition(a,p){return!(p.lineNumber<a.startLineNumber||p.lineNumber>a.endLineNumber||p.lineNumber===a.startLineNumber&&p.column<=a.startColumn||p.lineNumber===a.endLineNumber&&p.column>=a.endColumn)}containsRange(a){return e.containsRange(this,a)}static containsRange(a,p){return!(p.startLineNumber<a.startLineNumber||p.endLineNumber<a.startLineNumber||p.startLineNumber>a.endLineNumber||p.endLineNumber>a.endLineNumber||p.startLineNumber===a.startLineNumber&&p.startColumn<a.startColumn||p.endLineNumber===a.endLineNumber&&p.endColumn>a.endColumn)}strictContainsRange(a){return e.strictContainsRange(this,a)}static strictContainsRange(a,p){return!(p.startLineNumber<a.startLineNumber||p.endLineNumber<a.startLineNumber||p.startLineNumber>a.endLineNumber||p.endLineNumber>a.endLineNumber||p.startLineNumber===a.startLineNumber&&p.startColumn<=a.startColumn||p.endLineNumber===a.endLineNumber&&p.endColumn>=a.endColumn)}plusRange(a){return e.plusRange(this,a)}static plusRange(a,p){let m,u,d,v;return p.startLineNumber<a.startLineNumber?(m=p.startLineNumber,u=p.startColumn):p.startLineNumber===a.startLineNumber?(m=p.startLineNumber,u=Math.min(p.startColumn,a.startColumn)):(m=a.startLineNumber,u=a.startColumn),p.endLineNumber>a.endLineNumber?(d=p.endLineNumber,v=p.endColumn):p.endLineNumber===a.endLineNumber?(d=p.endLineNumber,v=Math.max(p.endColumn,a.endColumn)):(d=a.endLineNumber,v=a.endColumn),new e(m,u,d,v)}intersectRanges(a){return e.intersectRanges(this,a)}static intersectRanges(a,p){let m=a.startLineNumber,u=a.startColumn,d=a.endLineNumber,v=a.endColumn,t=p.startLineNumber,h=p.startColumn,f=p.endLineNumber,S=p.endColumn;return m<t?(m=t,u=h):m===t&&(u=Math.max(u,h)),d>f?(d=f,v=S):d===f&&(v=Math.min(v,S)),m>d||m===d&&u>v?null:new e(m,u,d,v)}equalsRange(a){return e.equalsRange(this,a)}static equalsRange(a,p){return!!a&&!!p&&a.startLineNumber===p.startLineNumber&&a.startColumn===p.startColumn&&a.endLineNumber===p.endLineNumber&&a.endColumn===p.endColumn}getEndPosition(){return e.getEndPosition(this)}static getEndPosition(a){return new E.Position(a.endLineNumber,a.endColumn)}getStartPosition(){return e.getStartPosition(this)}static getStartPosition(a){return new E.Position(a.startLineNumber,a.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(a,p){return new e(this.startLineNumber,this.startColumn,a,p)}setStartPosition(a,p){return new e(a,p,this.endLineNumber,this.endColumn)}collapseToStart(){return e.collapseToStart(this)}static collapseToStart(a){return new e(a.startLineNumber,a.startColumn,a.startLineNumber,a.startColumn)}static fromPositions(a,p=a){return new e(a.lineNumber,a.column,p.lineNumber,p.column)}static lift(a){return a?new e(a.startLineNumber,a.startColumn,a.endLineNumber,a.endColumn):null}static isIRange(a){return a&&typeof a.startLineNumber=="number"&&typeof a.startColumn=="number"&&typeof a.endLineNumber=="number"&&typeof a.endColumn=="number"}static areIntersectingOrTouching(a,p){return!(a.endLineNumber<p.startLineNumber||a.endLineNumber===p.startLineNumber&&a.endColumn<p.startColumn||p.endLineNumber<a.startLineNumber||p.endLineNumber===a.startLineNumber&&p.endColumn<a.startColumn)}static areIntersecting(a,p){return!(a.endLineNumber<p.startLineNumber||a.endLineNumber===p.startLineNumber&&a.endColumn<=p.startColumn||p.endLineNumber<a.startLineNumber||p.endLineNumber===a.startLineNumber&&p.endColumn<=a.startColumn)}static compareRangesUsingStarts(a,p){if(a&&p){const d=a.startLineNumber|0,v=p.startLineNumber|0;if(d===v){const t=a.startColumn|0,h=p.startColumn|0;if(t===h){const f=a.endLineNumber|0,S=p.endLineNumber|0;if(f===S){const L=a.endColumn|0,_=p.endColumn|0;return L-_}return f-S}return t-h}return d-v}return(a?1:0)-(p?1:0)}static compareRangesUsingEnds(a,p){return a.endLineNumber===p.endLineNumber?a.endColumn===p.endColumn?a.startLineNumber===p.startLineNumber?a.startColumn-p.startColumn:a.startLineNumber-p.startLineNumber:a.endColumn-p.endColumn:a.endLineNumber-p.endLineNumber}static spansMultipleLines(a){return a.endLineNumber>a.startLineNumber}}r.Range=e}),j(G[29],Y([0,1,3,4]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Selection=void 0;class N extends e.Range{constructor(p,m,u,d){super(p,m,u,d);this.selectionStartLineNumber=p,this.selectionStartColumn=m,this.positionLineNumber=u,this.positionColumn=d}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(p){return N.selectionsEqual(this,p)}static selectionsEqual(p,m){return p.selectionStartLineNumber===m.selectionStartLineNumber&&p.selectionStartColumn===m.selectionStartColumn&&p.positionLineNumber===m.positionLineNumber&&p.positionColumn===m.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(p,m){return this.getDirection()===0?new N(this.startLineNumber,this.startColumn,p,m):new N(p,m,this.startLineNumber,this.startColumn)}getPosition(){return new E.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new E.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(p,m){return this.getDirection()===0?new N(p,m,this.endLineNumber,this.endColumn):new N(this.endLineNumber,this.endColumn,p,m)}static fromPositions(p,m=p){return new N(p.lineNumber,p.column,m.lineNumber,m.column)}static fromRange(p,m){return m===0?new N(p.startLineNumber,p.startColumn,p.endLineNumber,p.endColumn):new N(p.endLineNumber,p.endColumn,p.startLineNumber,p.startColumn)}static liftSelection(p){return new N(p.selectionStartLineNumber,p.selectionStartColumn,p.positionLineNumber,p.positionColumn)}static selectionsArrEqual(p,m){if(p&&!m||!p&&m)return!1;if(!p&&!m)return!0;if(p.length!==m.length)return!1;for(let u=0,d=p.length;u<d;u++)if(!this.selectionsEqual(p[u],m[u]))return!1;return!0}static isISelection(p){return p&&typeof p.selectionStartLineNumber=="number"&&typeof p.selectionStartColumn=="number"&&typeof p.positionLineNumber=="number"&&typeof p.positionColumn=="number"}static createWithDirection(p,m,u,d,v){return v===0?new N(p,m,u,d):new N(u,d,p,m)}}r.Selection=N}),j(G[30],Y([0,1,14]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getMapForWordSeparators=r.WordCharacterClassifier=void 0;class e extends E.CharacterClassifier{constructor(p){super(0);for(let m=0,u=p.length;m<u;m++)this.set(p.charCodeAt(m),2);this.set(32,1),this.set(9,1)}}r.WordCharacterClassifier=e;function N(a){const p={};return m=>(p.hasOwnProperty(m)||(p[m]=a(m)),p[m])}r.getMapForWordSeparators=N(a=>new e(a))}),j(G[31],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.getWordAtText=r.ensureValidWordDefinition=r.DEFAULT_WORD_REGEXP=r.USUAL_WORD_SEPARATORS=void 0,r.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function E(m=""){let u="(-?\\d*\\.\\d\\w*)|([^";for(const d of r.USUAL_WORD_SEPARATORS)m.indexOf(d)>=0||(u+="\\"+d);return u+="\\s]+)",new RegExp(u,"g")}r.DEFAULT_WORD_REGEXP=E();function e(m){let u=r.DEFAULT_WORD_REGEXP;if(m&&m instanceof RegExp)if(m.global)u=m;else{let d="g";m.ignoreCase&&(d+="i"),m.multiline&&(d+="m"),m.unicode&&(d+="u"),u=new RegExp(m.source,d)}return u.lastIndex=0,u}r.ensureValidWordDefinition=e;const N={maxLen:1e3,windowSize:15,timeBudget:150};function a(m,u,d,v,t=N){if(d.length>t.maxLen){let _=m-t.maxLen/2;return _<0?_=0:v+=_,d=d.substring(_,m+t.maxLen/2),a(m,u,d,v,t)}const h=Date.now(),f=m-1-v;let S=-1,L=null;for(let _=1;!(Date.now()-h>=t.timeBudget);_++){const y=f-t.windowSize*_;u.lastIndex=Math.max(0,y);const w=p(u,d,f,S);if(!w&&L||(L=w,y<=0))break;S=y}if(L){const _={word:L[0],startColumn:v+1+L.index,endColumn:v+1+L.index+L[0].length};return u.lastIndex=0,_}return null}r.getWordAtText=a;function p(m,u,d,v){let t;for(;t=m.exec(u);){const h=t.index||0;if(h<=d&&m.lastIndex>=d)return t;if(v>0&&h>v)return null}return null}}),j(G[32],Y([0,1,12,2]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffComputer=void 0;const N=3;function a(L,_,y,w){return new E.LcsDiff(L,_,y).ComputeDiff(w)}class p{constructor(_){const y=[],w=[];for(let s=0,i=_.length;s<i;s++)y[s]=h(_[s],1),w[s]=f(_[s],1);this.lines=_,this._startColumns=y,this._endColumns=w}getElements(){const _=[];for(let y=0,w=this.lines.length;y<w;y++)_[y]=this.lines[y].substring(this._startColumns[y]-1,this._endColumns[y]-1);return _}getStrictElement(_){return this.lines[_]}getStartLineNumber(_){return _+1}getEndLineNumber(_){return _+1}createCharSequence(_,y,w){const s=[],i=[],o=[];let l=0;for(let g=y;g<=w;g++){const c=this.lines[g],b=_?this._startColumns[g]:1,C=_?this._endColumns[g]:c.length+1;for(let A=b;A<C;A++)s[l]=c.charCodeAt(A-1),i[l]=g+1,o[l]=A,l++}return new m(s,i,o)}}class m{constructor(_,y,w){this._charCodes=_,this._lineNumbers=y,this._columns=w}getElements(){return this._charCodes}getStartLineNumber(_){return this._lineNumbers[_]}getStartColumn(_){return this._columns[_]}getEndLineNumber(_){return this._lineNumbers[_]}getEndColumn(_){return this._columns[_]+1}}class u{constructor(_,y,w,s,i,o,l,g){this.originalStartLineNumber=_,this.originalStartColumn=y,this.originalEndLineNumber=w,this.originalEndColumn=s,this.modifiedStartLineNumber=i,this.modifiedStartColumn=o,this.modifiedEndLineNumber=l,this.modifiedEndColumn=g}static createFromDiffChange(_,y,w){let s,i,o,l,g,c,b,C;return _.originalLength===0?(s=0,i=0,o=0,l=0):(s=y.getStartLineNumber(_.originalStart),i=y.getStartColumn(_.originalStart),o=y.getEndLineNumber(_.originalStart+_.originalLength-1),l=y.getEndColumn(_.originalStart+_.originalLength-1)),_.modifiedLength===0?(g=0,c=0,b=0,C=0):(g=w.getStartLineNumber(_.modifiedStart),c=w.getStartColumn(_.modifiedStart),b=w.getEndLineNumber(_.modifiedStart+_.modifiedLength-1),C=w.getEndColumn(_.modifiedStart+_.modifiedLength-1)),new u(s,i,o,l,g,c,b,C)}}function d(L){if(L.length<=1)return L;const _=[L[0]];let y=_[0];for(let w=1,s=L.length;w<s;w++){const i=L[w],o=i.originalStart-(y.originalStart+y.originalLength),l=i.modifiedStart-(y.modifiedStart+y.modifiedLength);Math.min(o,l)<N?(y.originalLength=i.originalStart+i.originalLength-y.originalStart,y.modifiedLength=i.modifiedStart+i.modifiedLength-y.modifiedStart):(_.push(i),y=i)}return _}class v{constructor(_,y,w,s,i){this.originalStartLineNumber=_,this.originalEndLineNumber=y,this.modifiedStartLineNumber=w,this.modifiedEndLineNumber=s,this.charChanges=i}static createFromDiffResult(_,y,w,s,i,o,l){let g,c,b,C,A;if(y.originalLength===0?(g=w.getStartLineNumber(y.originalStart)-1,c=0):(g=w.getStartLineNumber(y.originalStart),c=w.getEndLineNumber(y.originalStart+y.originalLength-1)),y.modifiedLength===0?(b=s.getStartLineNumber(y.modifiedStart)-1,C=0):(b=s.getStartLineNumber(y.modifiedStart),C=s.getEndLineNumber(y.modifiedStart+y.modifiedLength-1)),o&&y.originalLength>0&&y.originalLength<20&&y.modifiedLength>0&&y.modifiedLength<20&&i()){const P=w.createCharSequence(_,y.originalStart,y.originalStart+y.originalLength-1),D=s.createCharSequence(_,y.modifiedStart,y.modifiedStart+y.modifiedLength-1);let k=a(P,D,i,!0).changes;l&&(k=d(k)),A=[];for(let R=0,F=k.length;R<F;R++)A.push(u.createFromDiffChange(k[R],P,D))}return new v(g,c,b,C,A)}}class t{constructor(_,y,w){this.shouldComputeCharChanges=w.shouldComputeCharChanges,this.shouldPostProcessCharChanges=w.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=w.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=w.shouldMakePrettyDiff,this.originalLines=_,this.modifiedLines=y,this.original=new p(_),this.modified=new p(y),this.continueLineDiff=S(w.maxComputationTime),this.continueCharDiff=S(w.maxComputationTime===0?0:Math.min(w.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};const _=a(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),y=_.changes,w=_.quitEarly;if(this.shouldIgnoreTrimWhitespace){const l=[];for(let g=0,c=y.length;g<c;g++)l.push(v.createFromDiffResult(this.shouldIgnoreTrimWhitespace,y[g],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:w,changes:l}}const s=[];let i=0,o=0;for(let l=-1,g=y.length;l<g;l++){const c=l+1<g?y[l+1]:null,b=c?c.originalStart:this.originalLines.length,C=c?c.modifiedStart:this.modifiedLines.length;for(;i<b&&o<C;){const A=this.originalLines[i],P=this.modifiedLines[o];if(A!==P){{let D=h(A,1),k=h(P,1);for(;D>1&&k>1;){const R=A.charCodeAt(D-2),F=P.charCodeAt(k-2);if(R!==F)break;D--,k--}(D>1||k>1)&&this._pushTrimWhitespaceCharChange(s,i+1,1,D,o+1,1,k)}{let D=f(A,1),k=f(P,1);const R=A.length+1,F=P.length+1;for(;D<R&&k<F;){const I=A.charCodeAt(D-1),O=A.charCodeAt(k-1);if(I!==O)break;D++,k++}(D<R||k<F)&&this._pushTrimWhitespaceCharChange(s,i+1,D,R,o+1,k,F)}}i++,o++}c&&(s.push(v.createFromDiffResult(this.shouldIgnoreTrimWhitespace,c,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),i+=c.originalLength,o+=c.modifiedLength)}return{quitEarly:w,changes:s}}_pushTrimWhitespaceCharChange(_,y,w,s,i,o,l){if(this._mergeTrimWhitespaceCharChange(_,y,w,s,i,o,l))return;let g;this.shouldComputeCharChanges&&(g=[new u(y,w,y,s,i,o,i,l)]),_.push(new v(y,y,i,i,g))}_mergeTrimWhitespaceCharChange(_,y,w,s,i,o,l){const g=_.length;if(g===0)return!1;const c=_[g-1];return c.originalEndLineNumber===0||c.modifiedEndLineNumber===0?!1:c.originalEndLineNumber+1===y&&c.modifiedEndLineNumber+1===i?(c.originalEndLineNumber=y,c.modifiedEndLineNumber=i,this.shouldComputeCharChanges&&c.charChanges&&c.charChanges.push(new u(y,w,y,s,i,o,i,l)),!0):!1}}r.DiffComputer=t;function h(L,_){const y=e.firstNonWhitespaceIndex(L);return y===-1?_:y+1}function f(L,_){const y=e.lastNonWhitespaceIndex(L);return y===-1?_:y+2}function S(L){if(L===0)return()=>!0;const _=Date.now();return()=>Date.now()-_<L}}),j(G[33],Y([0,1,14]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.computeLinks=r.LinkComputer=r.StateMachine=r.Uint8Matrix=void 0;class e{constructor(h,f,S){const L=new Uint8Array(h*f);for(let _=0,y=h*f;_<y;_++)L[_]=S;this._data=L,this.rows=h,this.cols=f}get(h,f){return this._data[h*this.cols+f]}set(h,f,S){this._data[h*this.cols+f]=S}}r.Uint8Matrix=e;class N{constructor(h){let f=0,S=0;for(let _=0,y=h.length;_<y;_++){const[w,s,i]=h[_];s>f&&(f=s),w>S&&(S=w),i>S&&(S=i)}f++,S++;const L=new e(S,f,0);for(let _=0,y=h.length;_<y;_++){const[w,s,i]=h[_];L.set(w,s,i)}this._states=L,this._maxCharCode=f}nextState(h,f){return f<0||f>=this._maxCharCode?0:this._states.get(h,f)}}r.StateMachine=N;let a=null;function p(){return a===null&&(a=new N([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),a}let m=null;function u(){if(m===null){m=new E.CharacterClassifier(0);const t=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let f=0;f<t.length;f++)m.set(t.charCodeAt(f),1);const h=".,;";for(let f=0;f<h.length;f++)m.set(h.charCodeAt(f),2)}return m}class d{static _createLink(h,f,S,L,_){let y=_-1;do{const w=f.charCodeAt(y);if(h.get(w)!==2)break;y--}while(y>L);if(L>0){const w=f.charCodeAt(L-1),s=f.charCodeAt(y);(w===40&&s===41||w===91&&s===93||w===123&&s===125)&&y--}return{range:{startLineNumber:S,startColumn:L+1,endLineNumber:S,endColumn:y+2},url:f.substring(L,y+1)}}static computeLinks(h,f=p()){const S=u(),L=[];for(let _=1,y=h.getLineCount();_<=y;_++){const w=h.getLineContent(_),s=w.length;let i=0,o=0,l=0,g=1,c=!1,b=!1,C=!1,A=!1;for(;i<s;){let P=!1;const D=w.charCodeAt(i);if(g===13){let k;switch(D){case 40:c=!0,k=0;break;case 41:k=c?0:1;break;case 91:C=!0,b=!0,k=0;break;case 93:C=!1,k=b?0:1;break;case 123:A=!0,k=0;break;case 125:k=A?0:1;break;case 39:k=l===34||l===96?0:1;break;case 34:k=l===39||l===96?0:1;break;case 96:k=l===39||l===34?0:1;break;case 42:k=l===42?1:0;break;case 124:k=l===124?1:0;break;case 32:k=C?0:1;break;default:k=S.get(D)}k===1&&(L.push(d._createLink(S,w,_,o,i)),P=!0)}else if(g===12){let k;D===91?(b=!0,k=0):k=S.get(D),k===1?P=!0:g=13}else g=f.nextState(g,D),g===0&&(P=!0);P&&(g=1,c=!1,b=!1,A=!1,o=i+1,l=D),i++}g===13&&L.push(d._createLink(S,w,_,o,s))}return L}}r.LinkComputer=d;function v(t){return!t||typeof t.getLineCount!="function"||typeof t.getLineContent!="function"?[]:d.computeLinks(t)}r.computeLinks=v}),j(G[34],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BasicInplaceReplace=void 0;class E{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(N,a,p,m,u){if(N&&a){const d=this.doNavigateValueSet(a,u);if(d)return{range:N,value:d}}if(p&&m){const d=this.doNavigateValueSet(m,u);if(d)return{range:p,value:d}}return null}doNavigateValueSet(N,a){const p=this.numberReplace(N,a);return p!==null?p:this.textReplace(N,a)}numberReplace(N,a){const p=Math.pow(10,N.length-(N.lastIndexOf(".")+1));let m=Number(N),u=parseFloat(N);return!isNaN(m)&&!isNaN(u)&&m===u?m===0&&!a?null:(m=Math.floor(m*p),m+=a?p:-p,String(m/p)):null}textReplace(N,a){return this.valueSetsReplace(this._defaultValueSet,N,a)}valueSetsReplace(N,a,p){let m=null;for(let u=0,d=N.length;m===null&&u<d;u++)m=this.valueSetReplace(N[u],a,p);return m}valueSetReplace(N,a,p){let m=N.indexOf(a);return m>=0?(m+=p?1:-1,m<0?m=N.length-1:m%=N.length,N[m]):null}}r.BasicInplaceReplace=E,E.INSTANCE=new E}),j(G[35],Y([0,1,28]),function(U,r,E){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.shouldSynchronizeModel=r.ApplyEditsResult=r.SearchData=r.ValidAnnotatedEditOperation=r.FindMatch=r.TextModelResolvedOptions=r.InjectedTextCursorStops=r.MinimapPosition=r.OverviewRulerLane=void 0;var e;(function(h){h[h.Left=1]="Left",h[h.Center=2]="Center",h[h.Right=4]="Right",h[h.Full=7]="Full"})(e=r.OverviewRulerLane||(r.OverviewRulerLane={}));var N;(function(h){h[h.Inline=1]="Inline",h[h.Gutter=2]="Gutter"})(N=r.MinimapPosition||(r.MinimapPosition={}));var a;(function(h){h[h.Both=0]="Both",h[h.Right=1]="Right",h[h.Left=2]="Left",h[h.None=3]="None"})(a=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));class p{constructor(f){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,f.tabSize|0),this.indentSize=f.tabSize|0,this.insertSpaces=Boolean(f.insertSpaces),this.defaultEOL=f.defaultEOL|0,this.trimAutoWhitespace=Boolean(f.trimAutoWhitespace),this.bracketPairColorizationOptions=f.bracketPairColorizationOptions}equals(f){return this.tabSize===f.tabSize&&this.indentSize===f.indentSize&&this.insertSpaces===f.insertSpaces&&this.defaultEOL===f.defaultEOL&&this.trimAutoWhitespace===f.trimAutoWhitespace&&(0,E.equals)(this.bracketPairColorizationOptions,f.bracketPairColorizationOptions)}createChangeEvent(f){return{tabSize:this.tabSize!==f.tabSize,indentSize:this.indentSize!==f.indentSize,insertSpaces:this.insertSpaces!==f.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==f.trimAutoWhitespace}}}r.TextModelResolvedOptions=p;class m{constructor(f,S){this._findMatchBrand=void 0,this.range=f,this.matches=S}}r.FindMatch=m;class u{constructor(f,S,L,_,y,w){this.identifier=f,this.range=S,this.text=L,this.forceMoveMarkers=_,this.isAutoWhitespaceEdit=y,this._isTracked=w}}r.ValidAnnotatedEditOperation=u;class d{constructor(f,S,L){this.regex=f,this.wordSeparators=S,this.simpleSearch=L}}r.SearchData=d;class v{constructor(f,S,L){this.reverseEdits=f,this.changes=S,this.trimAutoWhitespaceLineNumbers=L}}r.ApplyEditsResult=v;function t(h){return!h.isTooLargeForSyncing()&&!h.isForSimpleWidget}r.shouldSynchronizeModel=t}),j(G[36],Y([0,1,15,13]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.PrefixSumIndexOfResult=r.ConstantTimePrefixSumComputer=r.PrefixSumComputer=void 0;class N{constructor(u){this.values=u,this.prefixSum=new Uint32Array(u.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}insertValues(u,d){u=(0,e.toUint32)(u);const v=this.values,t=this.prefixSum,h=d.length;return h===0?!1:(this.values=new Uint32Array(v.length+h),this.values.set(v.subarray(0,u),0),this.values.set(v.subarray(u),u+h),this.values.set(d,u),u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(t.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(u,d){return u=(0,e.toUint32)(u),d=(0,e.toUint32)(d),this.values[u]===d?!1:(this.values[u]=d,u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),!0)}removeValues(u,d){u=(0,e.toUint32)(u),d=(0,e.toUint32)(d);const v=this.values,t=this.prefixSum;if(u>=v.length)return!1;const h=v.length-u;return d>=h&&(d=h),d===0?!1:(this.values=new Uint32Array(v.length-d),this.values.set(v.subarray(0,u),0),this.values.set(v.subarray(u+d),u),this.prefixSum=new Uint32Array(this.values.length),u-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=u-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(t.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(u){return u<0?0:(u=(0,e.toUint32)(u),this._getPrefixSum(u))}_getPrefixSum(u){if(u<=this.prefixSumValidIndex[0])return this.prefixSum[u];let d=this.prefixSumValidIndex[0]+1;d===0&&(this.prefixSum[0]=this.values[0],d++),u>=this.values.length&&(u=this.values.length-1);for(let v=d;v<=u;v++)this.prefixSum[v]=this.prefixSum[v-1]+this.values[v];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],u),this.prefixSum[u]}getIndexOf(u){u=Math.floor(u),this.getTotalSum();let d=0,v=this.values.length-1,t=0,h=0,f=0;for(;d<=v;)if(t=d+(v-d)/2|0,h=this.prefixSum[t],f=h-this.values[t],u<f)v=t-1;else if(u>=h)d=t+1;else break;return new p(t,u-f)}}r.PrefixSumComputer=N;class a{constructor(u){this._values=u,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(u){return this._ensureValid(),u===0?0:this._prefixSum[u-1]}getIndexOf(u){this._ensureValid();const d=this._indexBySum[u],v=d>0?this._prefixSum[d-1]:0;return new p(d,u-v)}removeValues(u,d){this._values.splice(u,d),this._invalidate(u)}insertValues(u,d){this._values=(0,E.arrayInsert)(this._values,u,d),this._invalidate(u)}_invalidate(u){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,u-1)}_ensureValid(){if(!this._isValid){for(let u=this._validEndIndex+1,d=this._values.length;u<d;u++){const v=this._values[u],t=u>0?this._prefixSum[u-1]:0;this._prefixSum[u]=t+v;for(let h=0;h<v;h++)this._indexBySum[t+h]=u}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(u,d){this._values[u]!==d&&(this._values[u]=d,this._invalidate(u))}}r.ConstantTimePrefixSumComputer=a;class p{constructor(u,d){this.index=u,this.remainder=d,this._prefixSumIndexOfResultBrand=void 0,this.index=u,this.remainder=d}}r.PrefixSumIndexOfResult=p}),j(G[37],Y([0,1,2,3,36]),function(U,r,E,e,N){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MirrorTextModel=void 0;class a{constructor(m,u,d,v){this._uri=m,this._lines=u,this._eol=d,this._versionId=v,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(m){m.eol&&m.eol!==this._eol&&(this._eol=m.eol,this._lineStarts=null);const u=m.changes;for(const d of u)this._acceptDeleteRange(d.range),this._acceptInsertText(new e.Position(d.range.startLineNumber,d.range.startColumn),d.text);this._versionId=m.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const m=this._eol.length,u=this._lines.length,d=new Uint32Array(u);for(let v=0;v<u;v++)d[v]=this._lines[v].length+m;this._lineStarts=new N.PrefixSumComputer(d)}}_setLineText(m,u){this._lines[m]=u,this._lineStarts&&this._lineStarts.setValue(m,this._lines[m].length+this._eol.length)}_acceptDeleteRange(m){if(m.startLineNumber===m.endLineNumber){if(m.startColumn===m.endColumn)return;this._setLineText(m.startLineNumber-1,this._lines[m.startLineNumber-1].substring(0,m.startColumn-1)+this._lines[m.startLineNumber-1].substring(m.endColumn-1));return}this._setLineText(m.startLineNumber-1,this._lines[m.startLineNumber-1].substring(0,m.startColumn-1)+this._lines[m.endLineNumber-1].substring(m.endColumn-1)),this._lines.splice(m.startLineNumber,m.endLineNumber-m.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(m.startLineNumber,m.endLineNumber-m.startLineNumber)}_acceptInsertText(m,u){if(u.length===0)return;const d=(0,E.splitLines)(u);if(d.length===1){this._setLineText(m.lineNumber-1,this._lines[m.lineNumber-1].substring(0,m.column-1)+d[0]+this._lines[m.lineNumber-1].substring(m.column-1));return}d[d.length-1]+=this._lines[m.lineNumber-1].substring(m.column-1),this._setLineText(m.lineNumber-1,this._lines[m.lineNumber-1].substring(0,m.column-1)+d[0]);const v=new Uint32Array(d.length-1);for(let t=1;t<d.length;t++)this._lines.splice(m.lineNumber+t-1,0,d[t]),v[t-1]=d[t].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(m.lineNumber,v)}}r.MirrorTextModel=a}),j(G[38],Y([0,1,2,30,3,4,35]),function(U,r,E,e,N,a,p){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Searcher=r.isValidMatch=r.TextModelSearch=r.createFindMatch=r.isMultilineRegexSource=r.SearchParams=void 0;const m=999;class u{constructor(w,s,i,o){this.searchString=w,this.isRegex=s,this.matchCase=i,this.wordSeparators=o}parseSearchRequest(){if(this.searchString==="")return null;let w;this.isRegex?w=d(this.searchString):w=this.searchString.indexOf(`
`)>=0;let s=null;try{s=E.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:w,global:!0,unicode:!0})}catch{return null}if(!s)return null;let i=!this.isRegex&&!w;return i&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(i=this.matchCase),new p.SearchData(s,this.wordSeparators?(0,e.getMapForWordSeparators)(this.wordSeparators):null,i?this.searchString:null)}}r.SearchParams=u;function d(y){if(!y||y.length===0)return!1;for(let w=0,s=y.length;w<s;w++)if(y.charCodeAt(w)===92){if(w++,w>=s)break;const o=y.charCodeAt(w);if(o===110||o===114||o===87)return!0}return!1}r.isMultilineRegexSource=d;function v(y,w,s){if(!s)return new p.FindMatch(y,null);const i=[];for(let o=0,l=w.length;o<l;o++)i[o]=w[o];return new p.FindMatch(y,i)}r.createFindMatch=v;class t{constructor(w){const s=[];let i=0;for(let o=0,l=w.length;o<l;o++)w.charCodeAt(o)===10&&(s[i++]=o);this._lineFeedsOffsets=s}findLineFeedCountBeforeOffset(w){const s=this._lineFeedsOffsets;let i=0,o=s.length-1;if(o===-1||w<=s[0])return 0;for(;i<o;){const l=i+((o-i)/2>>0);s[l]>=w?o=l-1:s[l+1]>=w?(i=l,o=l):i=l+1}return i+1}}class h{static findMatches(w,s,i,o,l){const g=s.parseSearchRequest();return g?g.regex.multiline?this._doFindMatchesMultiline(w,i,new _(g.wordSeparators,g.regex),o,l):this._doFindMatchesLineByLine(w,i,g,o,l):[]}static _getMultilineMatchRange(w,s,i,o,l,g){let c,b=0;o?(b=o.findLineFeedCountBeforeOffset(l),c=s+l+b):c=s+l;let C;if(o){const k=o.findLineFeedCountBeforeOffset(l+g.length)-b;C=c+g.length+k}else C=c+g.length;const A=w.getPositionAt(c),P=w.getPositionAt(C);return new a.Range(A.lineNumber,A.column,P.lineNumber,P.column)}static _doFindMatchesMultiline(w,s,i,o,l){const g=w.getOffsetAt(s.getStartPosition()),c=w.getValueInRange(s,1),b=w.getEOL()===`\r
`?new t(c):null,C=[];let A=0,P;for(i.reset(0);P=i.next(c);)if(C[A++]=v(this._getMultilineMatchRange(w,g,c,b,P.index,P[0]),P,o),A>=l)return C;return C}static _doFindMatchesLineByLine(w,s,i,o,l){const g=[];let c=0;if(s.startLineNumber===s.endLineNumber){const C=w.getLineContent(s.startLineNumber).substring(s.startColumn-1,s.endColumn-1);return c=this._findMatchesInLine(i,C,s.startLineNumber,s.startColumn-1,c,g,o,l),g}const b=w.getLineContent(s.startLineNumber).substring(s.startColumn-1);c=this._findMatchesInLine(i,b,s.startLineNumber,s.startColumn-1,c,g,o,l);for(let C=s.startLineNumber+1;C<s.endLineNumber&&c<l;C++)c=this._findMatchesInLine(i,w.getLineContent(C),C,0,c,g,o,l);if(c<l){const C=w.getLineContent(s.endLineNumber).substring(0,s.endColumn-1);c=this._findMatchesInLine(i,C,s.endLineNumber,0,c,g,o,l)}return g}static _findMatchesInLine(w,s,i,o,l,g,c,b){const C=w.wordSeparators;if(!c&&w.simpleSearch){const D=w.simpleSearch,k=D.length,R=s.length;let F=-k;for(;(F=s.indexOf(D,F+k))!==-1;)if((!C||L(C,s,R,F,k))&&(g[l++]=new p.FindMatch(new a.Range(i,F+1+o,i,F+1+k+o),null),l>=b))return l;return l}const A=new _(w.wordSeparators,w.regex);let P;A.reset(0);do if(P=A.next(s),P&&(g[l++]=v(new a.Range(i,P.index+1+o,i,P.index+1+P[0].length+o),P,c),l>=b))return l;while(P);return l}static findNextMatch(w,s,i,o){const l=s.parseSearchRequest();if(!l)return null;const g=new _(l.wordSeparators,l.regex);return l.regex.multiline?this._doFindNextMatchMultiline(w,i,g,o):this._doFindNextMatchLineByLine(w,i,g,o)}static _doFindNextMatchMultiline(w,s,i,o){const l=new N.Position(s.lineNumber,1),g=w.getOffsetAt(l),c=w.getLineCount(),b=w.getValueInRange(new a.Range(l.lineNumber,l.column,c,w.getLineMaxColumn(c)),1),C=w.getEOL()===`\r
`?new t(b):null;i.reset(s.column-1);let A=i.next(b);return A?v(this._getMultilineMatchRange(w,g,b,C,A.index,A[0]),A,o):s.lineNumber!==1||s.column!==1?this._doFindNextMatchMultiline(w,new N.Position(1,1),i,o):null}static _doFindNextMatchLineByLine(w,s,i,o){const l=w.getLineCount(),g=s.lineNumber,c=w.getLineContent(g),b=this._findFirstMatchInLine(i,c,g,s.column,o);if(b)return b;for(let C=1;C<=l;C++){const A=(g+C-1)%l,P=w.getLineContent(A+1),D=this._findFirstMatchInLine(i,P,A+1,1,o);if(D)return D}return null}static _findFirstMatchInLine(w,s,i,o,l){w.reset(o-1);const g=w.next(s);return g?v(new a.Range(i,g.index+1,i,g.index+1+g[0].length),g,l):null}static findPreviousMatch(w,s,i,o){const l=s.parseSearchRequest();if(!l)return null;const g=new _(l.wordSeparators,l.regex);return l.regex.multiline?this._doFindPreviousMatchMultiline(w,i,g,o):this._doFindPreviousMatchLineByLine(w,i,g,o)}static _doFindPreviousMatchMultiline(w,s,i,o){const l=this._doFindMatchesMultiline(w,new a.Range(1,1,s.lineNumber,s.column),i,o,10*m);if(l.length>0)return l[l.length-1];const g=w.getLineCount();return s.lineNumber!==g||s.column!==w.getLineMaxColumn(g)?this._doFindPreviousMatchMultiline(w,new N.Position(g,w.getLineMaxColumn(g)),i,o):null}static _doFindPreviousMatchLineByLine(w,s,i,o){const l=w.getLineCount(),g=s.lineNumber,c=w.getLineContent(g).substring(0,s.column-1),b=this._findLastMatchInLine(i,c,g,o);if(b)return b;for(let C=1;C<=l;C++){const A=(l+g-C-1)%l,P=w.getLineContent(A+1),D=this._findLastMatchInLine(i,P,A+1,o);if(D)return D}return null}static _findLastMatchInLine(w,s,i,o){let l=null,g;for(w.reset(0);g=w.next(s);)l=v(new a.Range(i,g.index+1,i,g.index+1+g[0].length),g,o);return l}}r.TextModelSearch=h;function f(y,w,s,i,o){if(i===0)return!0;const l=w.charCodeAt(i-1);if(y.get(l)!==0||l===13||l===10)return!0;if(o>0){const g=w.charCodeAt(i);if(y.get(g)!==0)return!0}return!1}function S(y,w,s,i,o){if(i+o===s)return!0;const l=w.charCodeAt(i+o);if(y.get(l)!==0||l===13||l===10)return!0;if(o>0){const g=w.charCodeAt(i+o-1);if(y.get(g)!==0)return!0}return!1}function L(y,w,s,i,o){return f(y,w,s,i,o)&&S(y,w,s,i,o)}r.isValidMatch=L;class _{constructor(w,s){this._wordSeparators=w,this._searchRegex=s,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(w){this._searchRegex.lastIndex=w,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(w){const s=w.length;let i;do{if(this._prevMatchStartIndex+this._prevMatchLength===s||(i=this._searchRegex.exec(w),!i))return null;const o=i.index,l=i[0].length;if(o===this._prevMatchStartIndex&&l===this._prevMatchLength){if(l===0){E.getNextCodePoint(w,s,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=o,this._prevMatchLength=l,!this._wordSeparators||L(this._wordSeparators,w,s,o,l))return i}while(i);return null}}r.Searcher=_}),j(G[39],Y([0,1,4,38,2,7]),function(U,r,E,e,N,a){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.UnicodeTextModelHighlighter=void 0;class p{static computeUnicodeHighlights(v,t,h){const f=h?h.startLineNumber:1,S=h?h.endLineNumber:v.getLineCount(),L=new u(t),_=L.getCandidateCodePoints();let y;_==="allNonBasicAscii"?y=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):y=new RegExp(`${m(Array.from(_))}`,"g");const w=new e.Searcher(null,y),s=[];let i=!1,o,l=0,g=0,c=0;e:for(let b=f,C=S;b<=C;b++){const A=v.getLineContent(b),P=A.length;w.reset(0);do if(o=w.next(A),o){let D=o.index,k=o.index+o[0].length;if(D>0){const I=A.charCodeAt(D-1);N.isHighSurrogate(I)&&D--}if(k+1<P){const I=A.charCodeAt(k-1);N.isHighSurrogate(I)&&k++}const R=A.substring(D,k),F=L.shouldHighlightNonBasicASCII(R);if(F!==0){F===3?l++:F===2?g++:F===1?c++:(0,a.assertNever)(F);const I=1e3;if(s.length>=I){i=!0;break e}s.push(new E.Range(b,D+1,b,k+1))}}while(o)}return{ranges:s,hasMore:i,ambiguousCharacterCount:l,invisibleCharacterCount:g,nonBasicAsciiCharacterCount:c}}static computeUnicodeHighlightReason(v,t){const h=new u(t);switch(h.shouldHighlightNonBasicASCII(v)){case 0:return null;case 2:return{kind:1};case 3:{const S=v.codePointAt(0),L=h.ambiguousCharacters.getPrimaryConfusable(S),_=N.AmbiguousCharacters.getLocales().filter(y=>!N.AmbiguousCharacters.getInstance(new Set([...t.allowedLocales,y])).isAmbiguous(S));return{kind:0,confusableWith:String.fromCodePoint(L),notAmbiguousInLocales:_}}case 1:return{kind:2}}}}r.UnicodeTextModelHighlighter=p;function m(d,v){return`[${N.escapeRegExpCharacters(d.map(h=>String.fromCodePoint(h)).join(""))}]`}class u{constructor(v){this.options=v,this.allowedCodePoints=new Set(v.allowedCodePoints),this.ambiguousCharacters=N.AmbiguousCharacters.getInstance(new Set(v.allowedLocales))}getCandidateCodePoints(){if(this.options.nonBasicASCII)return"allNonBasicAscii";const v=new Set;if(this.options.invisibleCharacters)for(const t of N.InvisibleCharacters.codePoints)v.add(t);if(this.options.ambiguousCharacters)for(const t of this.ambiguousCharacters.getConfusableCodePoints())v.add(t);for(const t of this.allowedCodePoints)v.delete(t);return v}shouldHighlightNonBasicASCII(v){const t=v.codePointAt(0);return this.allowedCodePoints.has(t)?0:this.options.nonBasicASCII?1:this.options.invisibleCharacters&&!(v===" "||v===`
`||v==="	")&&N.InvisibleCharacters.isInvisibleCharacter(t)?2:this.options.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(t)?3:0}}}),j(G[40],Y([0,1]),function(U,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.WrappingIndent=r.TrackedRangeStickiness=r.TextEditorCursorStyle=r.TextEditorCursorBlinkingStyle=r.SymbolTag=r.SymbolKind=r.SignatureHelpTriggerKind=r.SelectionDirection=r.ScrollbarVisibility=r.ScrollType=r.RenderMinimap=r.RenderLineNumbersType=r.PositionAffinity=r.OverviewRulerLane=r.OverlayWidgetPositionPreference=r.MouseTargetType=r.MinimapPosition=r.MarkerTag=r.MarkerSeverity=r.KeyCode=r.InlineCompletionTriggerKind=r.InlayHintKind=r.InjectedTextCursorStops=r.IndentAction=r.EndOfLineSequence=r.EndOfLinePreference=r.EditorOption=r.EditorAutoIndentStrategy=r.DocumentHighlightKind=r.DefaultEndOfLine=r.CursorChangeReason=r.ContentWidgetPositionPreference=r.CompletionTriggerKind=r.CompletionItemTag=r.CompletionItemKind=r.CompletionItemInsertTextRule=r.AccessibilitySupport=void 0;var E;(function(n){n[n.Unknown=0]="Unknown",n[n.Disabled=1]="Disabled",n[n.Enabled=2]="Enabled"})(E=r.AccessibilitySupport||(r.AccessibilitySupport={}));var e;(function(n){n[n.KeepWhitespace=1]="KeepWhitespace",n[n.InsertAsSnippet=4]="InsertAsSnippet"})(e=r.CompletionItemInsertTextRule||(r.CompletionItemInsertTextRule={}));var N;(function(n){n[n.Method=0]="Method",n[n.Function=1]="Function",n[n.Constructor=2]="Constructor",n[n.Field=3]="Field",n[n.Variable=4]="Variable",n[n.Class=5]="Class",n[n.Struct=6]="Struct",n[n.Interface=7]="Interface",n[n.Module=8]="Module",n[n.Property=9]="Property",n[n.Event=10]="Event",n[n.Operator=11]="Operator",n[n.Unit=12]="Unit",n[n.Value=13]="Value",n[n.Constant=14]="Constant",n[n.Enum=15]="Enum",n[n.EnumMember=16]="EnumMember",n[n.Keyword=17]="Keyword",n[n.Text=18]="Text",n[n.Color=19]="Color",n[n.File=20]="File",n[n.Reference=21]="Reference",n[n.Customcolor=22]="Customcolor",n[n.Folder=23]="Folder",n[n.TypeParameter=24]="TypeParameter",n[n.User=25]="User",n[n.Issue=26]="Issue",n[n.Snippet=27]="Snippet"})(N=r.CompletionItemKind||(r.CompletionItemKind={}));var a;(function(n){n[n.Deprecated=1]="Deprecated"})(a=r.CompletionItemTag||(r.CompletionItemTag={}));var p;(function(n){n[n.Invoke=0]="Invoke",n[n.TriggerCharacter=1]="TriggerCharacter",n[n.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(p=r.CompletionTriggerKind||(r.CompletionTriggerKind={}));var m;(function(n){n[n.EXACT=0]="EXACT",n[n.ABOVE=1]="ABOVE",n[n.BELOW=2]="BELOW"})(m=r.ContentWidgetPositionPreference||(r.ContentWidgetPositionPreference={}));var u;(function(n){n[n.NotSet=0]="NotSet",n[n.ContentFlush=1]="ContentFlush",n[n.RecoverFromMarkers=2]="RecoverFromMarkers",n[n.Explicit=3]="Explicit",n[n.Paste=4]="Paste",n[n.Undo=5]="Undo",n[n.Redo=6]="Redo"})(u=r.CursorChangeReason||(r.CursorChangeReason={}));var d;(function(n){n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(d=r.DefaultEndOfLine||(r.DefaultEndOfLine={}));var v;(function(n){n[n.Text=0]="Text",n[n.Read=1]="Read",n[n.Write=2]="Write"})(v=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));var t;(function(n){n[n.None=0]="None",n[n.Keep=1]="Keep",n[n.Brackets=2]="Brackets",n[n.Advanced=3]="Advanced",n[n.Full=4]="Full"})(t=r.EditorAutoIndentStrategy||(r.EditorAutoIndentStrategy={}));var h;(function(n){n[n.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",n[n.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",n[n.accessibilitySupport=2]="accessibilitySupport",n[n.accessibilityPageSize=3]="accessibilityPageSize",n[n.ariaLabel=4]="ariaLabel",n[n.autoClosingBrackets=5]="autoClosingBrackets",n[n.autoClosingDelete=6]="autoClosingDelete",n[n.autoClosingOvertype=7]="autoClosingOvertype",n[n.autoClosingQuotes=8]="autoClosingQuotes",n[n.autoIndent=9]="autoIndent",n[n.automaticLayout=10]="automaticLayout",n[n.autoSurround=11]="autoSurround",n[n.bracketPairColorization=12]="bracketPairColorization",n[n.guides=13]="guides",n[n.codeLens=14]="codeLens",n[n.codeLensFontFamily=15]="codeLensFontFamily",n[n.codeLensFontSize=16]="codeLensFontSize",n[n.colorDecorators=17]="colorDecorators",n[n.columnSelection=18]="columnSelection",n[n.comments=19]="comments",n[n.contextmenu=20]="contextmenu",n[n.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",n[n.cursorBlinking=22]="cursorBlinking",n[n.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",n[n.cursorStyle=24]="cursorStyle",n[n.cursorSurroundingLines=25]="cursorSurroundingLines",n[n.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",n[n.cursorWidth=27]="cursorWidth",n[n.disableLayerHinting=28]="disableLayerHinting",n[n.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",n[n.domReadOnly=30]="domReadOnly",n[n.dragAndDrop=31]="dragAndDrop",n[n.emptySelectionClipboard=32]="emptySelectionClipboard",n[n.extraEditorClassName=33]="extraEditorClassName",n[n.fastScrollSensitivity=34]="fastScrollSensitivity",n[n.find=35]="find",n[n.fixedOverflowWidgets=36]="fixedOverflowWidgets",n[n.folding=37]="folding",n[n.foldingStrategy=38]="foldingStrategy",n[n.foldingHighlight=39]="foldingHighlight",n[n.foldingImportsByDefault=40]="foldingImportsByDefault",n[n.foldingMaximumRegions=41]="foldingMaximumRegions",n[n.unfoldOnClickAfterEndOfLine=42]="unfoldOnClickAfterEndOfLine",n[n.fontFamily=43]="fontFamily",n[n.fontInfo=44]="fontInfo",n[n.fontLigatures=45]="fontLigatures",n[n.fontSize=46]="fontSize",n[n.fontWeight=47]="fontWeight",n[n.formatOnPaste=48]="formatOnPaste",n[n.formatOnType=49]="formatOnType",n[n.glyphMargin=50]="glyphMargin",n[n.gotoLocation=51]="gotoLocation",n[n.hideCursorInOverviewRuler=52]="hideCursorInOverviewRuler",n[n.hover=53]="hover",n[n.inDiffEditor=54]="inDiffEditor",n[n.inlineSuggest=55]="inlineSuggest",n[n.letterSpacing=56]="letterSpacing",n[n.lightbulb=57]="lightbulb",n[n.lineDecorationsWidth=58]="lineDecorationsWidth",n[n.lineHeight=59]="lineHeight",n[n.lineNumbers=60]="lineNumbers",n[n.lineNumbersMinChars=61]="lineNumbersMinChars",n[n.linkedEditing=62]="linkedEditing",n[n.links=63]="links",n[n.matchBrackets=64]="matchBrackets",n[n.minimap=65]="minimap",n[n.mouseStyle=66]="mouseStyle",n[n.mouseWheelScrollSensitivity=67]="mouseWheelScrollSensitivity",n[n.mouseWheelZoom=68]="mouseWheelZoom",n[n.multiCursorMergeOverlapping=69]="multiCursorMergeOverlapping",n[n.multiCursorModifier=70]="multiCursorModifier",n[n.multiCursorPaste=71]="multiCursorPaste",n[n.occurrencesHighlight=72]="occurrencesHighlight",n[n.overviewRulerBorder=73]="overviewRulerBorder",n[n.overviewRulerLanes=74]="overviewRulerLanes",n[n.padding=75]="padding",n[n.parameterHints=76]="parameterHints",n[n.peekWidgetDefaultFocus=77]="peekWidgetDefaultFocus",n[n.definitionLinkOpensInPeek=78]="definitionLinkOpensInPeek",n[n.quickSuggestions=79]="quickSuggestions",n[n.quickSuggestionsDelay=80]="quickSuggestionsDelay",n[n.readOnly=81]="readOnly",n[n.renameOnType=82]="renameOnType",n[n.renderControlCharacters=83]="renderControlCharacters",n[n.renderFinalNewline=84]="renderFinalNewline",n[n.renderLineHighlight=85]="renderLineHighlight",n[n.renderLineHighlightOnlyWhenFocus=86]="renderLineHighlightOnlyWhenFocus",n[n.renderValidationDecorations=87]="renderValidationDecorations",n[n.renderWhitespace=88]="renderWhitespace",n[n.revealHorizontalRightPadding=89]="revealHorizontalRightPadding",n[n.roundedSelection=90]="roundedSelection",n[n.rulers=91]="rulers",n[n.scrollbar=92]="scrollbar",n[n.scrollBeyondLastColumn=93]="scrollBeyondLastColumn",n[n.scrollBeyondLastLine=94]="scrollBeyondLastLine",n[n.scrollPredominantAxis=95]="scrollPredominantAxis",n[n.selectionClipboard=96]="selectionClipboard",n[n.selectionHighlight=97]="selectionHighlight",n[n.selectOnLineNumbers=98]="selectOnLineNumbers",n[n.showFoldingControls=99]="showFoldingControls",n[n.showUnused=100]="showUnused",n[n.snippetSuggestions=101]="snippetSuggestions",n[n.smartSelect=102]="smartSelect",n[n.smoothScrolling=103]="smoothScrolling",n[n.stickyTabStops=104]="stickyTabStops",n[n.stopRenderingLineAfter=105]="stopRenderingLineAfter",n[n.suggest=106]="suggest",n[n.suggestFontSize=107]="suggestFontSize",n[n.suggestLineHeight=108]="suggestLineHeight",n[n.suggestOnTriggerCharacters=109]="suggestOnTriggerCharacters",n[n.suggestSelection=110]="suggestSelection",n[n.tabCompletion=111]="tabCompletion",n[n.tabIndex=112]="tabIndex",n[n.unicodeHighlighting=113]="unicodeHighlighting",n[n.unusualLineTerminators=114]="unusualLineTerminators",n[n.useShadowDOM=115]="useShadowDOM",n[n.useTabStops=116]="useTabStops",n[n.wordSeparators=117]="wordSeparators",n[n.wordWrap=118]="wordWrap",n[n.wordWrapBreakAfterCharacters=119]="wordWrapBreakAfterCharacters",n[n.wordWrapBreakBeforeCharacters=120]="wordWrapBreakBeforeCharacters",n[n.wordWrapColumn=121]="wordWrapColumn",n[n.wordWrapOverride1=122]="wordWrapOverride1",n[n.wordWrapOverride2=123]="wordWrapOverride2",n[n.wrappingIndent=124]="wrappingIndent",n[n.wrappingStrategy=125]="wrappingStrategy",n[n.showDeprecated=126]="showDeprecated",n[n.inlayHints=127]="inlayHints",n[n.editorClassName=128]="editorClassName",n[n.pixelRatio=129]="pixelRatio",n[n.tabFocusMode=130]="tabFocusMode",n[n.layoutInfo=131]="layoutInfo",n[n.wrappingInfo=132]="wrappingInfo"})(h=r.EditorOption||(r.EditorOption={}));var f;(function(n){n[n.TextDefined=0]="TextDefined",n[n.LF=1]="LF",n[n.CRLF=2]="CRLF"})(f=r.EndOfLinePreference||(r.EndOfLinePreference={}));var S;(function(n){n[n.LF=0]="LF",n[n.CRLF=1]="CRLF"})(S=r.EndOfLineSequence||(r.EndOfLineSequence={}));var L;(function(n){n[n.None=0]="None",n[n.Indent=1]="Indent",n[n.IndentOutdent=2]="IndentOutdent",n[n.Outdent=3]="Outdent"})(L=r.IndentAction||(r.IndentAction={}));var _;(function(n){n[n.Both=0]="Both",n[n.Right=1]="Right",n[n.Left=2]="Left",n[n.None=3]="None"})(_=r.InjectedTextCursorStops||(r.InjectedTextCursorStops={}));var y;(function(n){n[n.Other=0]="Other",n[n.Type=1]="Type",n[n.Parameter=2]="Parameter"})(y=r.InlayHintKind||(r.InlayHintKind={}));var w;(function(n){n[n.Automatic=0]="Automatic",n[n.Explicit=1]="Explicit"})(w=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var s;(function(n){n[n.DependsOnKbLayout=-1]="DependsOnKbLayout",n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.Digit0=21]="Digit0",n[n.Digit1=22]="Digit1",n[n.Digit2=23]="Digit2",n[n.Digit3=24]="Digit3",n[n.Digit4=25]="Digit4",n[n.Digit5=26]="Digit5",n[n.Digit6=27]="Digit6",n[n.Digit7=28]="Digit7",n[n.Digit8=29]="Digit8",n[n.Digit9=30]="Digit9",n[n.KeyA=31]="KeyA",n[n.KeyB=32]="KeyB",n[n.KeyC=33]="KeyC",n[n.KeyD=34]="KeyD",n[n.KeyE=35]="KeyE",n[n.KeyF=36]="KeyF",n[n.KeyG=37]="KeyG",n[n.KeyH=38]="KeyH",n[n.KeyI=39]="KeyI",n[n.KeyJ=40]="KeyJ",n[n.KeyK=41]="KeyK",n[n.KeyL=42]="KeyL",n[n.KeyM=43]="KeyM",n[n.KeyN=44]="KeyN",n[n.KeyO=45]="KeyO",n[n.KeyP=46]="KeyP",n[n.KeyQ=47]="KeyQ",n[n.KeyR=48]="KeyR",n[n.KeyS=49]="KeyS",n[n.KeyT=50]="KeyT",n[n.KeyU=51]="KeyU",n[n.KeyV=52]="KeyV",n[n.KeyW=53]="KeyW",n[n.KeyX=54]="KeyX",n[n.KeyY=55]="KeyY",n[n.KeyZ=56]="KeyZ",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.Semicolon=80]="Semicolon",n[n.Equal=81]="Equal",n[n.Comma=82]="Comma",n[n.Minus=83]="Minus",n[n.Period=84]="Period",n[n.Slash=85]="Slash",n[n.Backquote=86]="Backquote",n[n.BracketLeft=87]="BracketLeft",n[n.Backslash=88]="Backslash",n[n.BracketRight=89]="BracketRight",n[n.Quote=90]="Quote",n[n.OEM_8=91]="OEM_8",n[n.IntlBackslash=92]="IntlBackslash",n[n.Numpad0=93]="Numpad0",n[n.Numpad1=94]="Numpad1",n[n.Numpad2=95]="Numpad2",n[n.Numpad3=96]="Numpad3",n[n.Numpad4=97]="Numpad4",n[n.Numpad5=98]="Numpad5",n[n.Numpad6=99]="Numpad6",n[n.Numpad7=100]="Numpad7",n[n.Numpad8=101]="Numpad8",n[n.Numpad9=102]="Numpad9",n[n.NumpadMultiply=103]="NumpadMultiply",n[n.NumpadAdd=104]="NumpadAdd",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NumpadSubtract=106]="NumpadSubtract",n[n.NumpadDecimal=107]="NumpadDecimal",n[n.NumpadDivide=108]="NumpadDivide",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.AudioVolumeMute=112]="AudioVolumeMute",n[n.AudioVolumeUp=113]="AudioVolumeUp",n[n.AudioVolumeDown=114]="AudioVolumeDown",n[n.BrowserSearch=115]="BrowserSearch",n[n.BrowserHome=116]="BrowserHome",n[n.BrowserBack=117]="BrowserBack",n[n.BrowserForward=118]="BrowserForward",n[n.MediaTrackNext=119]="MediaTrackNext",n[n.MediaTrackPrevious=120]="MediaTrackPrevious",n[n.MediaStop=121]="MediaStop",n[n.MediaPlayPause=122]="MediaPlayPause",n[n.LaunchMediaPlayer=123]="LaunchMediaPlayer",n[n.LaunchMail=124]="LaunchMail",n[n.LaunchApp2=125]="LaunchApp2",n[n.MAX_VALUE=126]="MAX_VALUE"})(s=r.KeyCode||(r.KeyCode={}));var i;(function(n){n[n.Hint=1]="Hint",n[n.Info=2]="Info",n[n.Warning=4]="Warning",n[n.Error=8]="Error"})(i=r.MarkerSeverity||(r.MarkerSeverity={}));var o;(function(n){n[n.Unnecessary=1]="Unnecessary",n[n.Deprecated=2]="Deprecated"})(o=r.MarkerTag||(r.MarkerTag={}));var l;(function(n){n[n.Inline=1]="Inline",n[n.Gutter=2]="Gutter"})(l=r.MinimapPosition||(r.MinimapPosition={}));var g;(function(n){n[n.UNKNOWN=0]="UNKNOWN",n[n.TEXTAREA=1]="TEXTAREA",n[n.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",n[n.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",n[n.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",n[n.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",n[n.CONTENT_TEXT=6]="CONTENT_TEXT",n[n.CONTENT_EMPTY=7]="CONTENT_EMPTY",n[n.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",n[n.CONTENT_WIDGET=9]="CONTENT_WIDGET",n[n.OVERVIEW_RULER=10]="OVERVIEW_RULER",n[n.SCROLLBAR=11]="SCROLLBAR",n[n.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",n[n.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(g=r.MouseTargetType||(r.MouseTargetType={}));var c;(function(n){n[n.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",n[n.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",n[n.TOP_CENTER=2]="TOP_CENTER"})(c=r.OverlayWidgetPositionPreference||(r.OverlayWidgetPositionPreference={}));var b;(function(n){n[n.Left=1]="Left",n[n.Center=2]="Center",n[n.Right=4]="Right",n[n.Full=7]="Full"})(b=r.OverviewRulerLane||(r.OverviewRulerLane={}));var C;(function(n){n[n.Left=0]="Left",n[n.Right=1]="Right",n[n.None=2]="None"})(C=r.PositionAffinity||(r.PositionAffinity={}));var A;(function(n){n[n.Off=0]="Off",n[n.On=1]="On",n[n.Relative=2]="Relative",n[n.Interval=3]="Interval",n[n.Custom=4]="Custom"})(A=r.RenderLineNumbersType||(r.RenderLineNumbersType={}));var P;(function(n){n[n.None=0]="None",n[n.Text=1]="Text",n[n.Blocks=2]="Blocks"})(P=r.RenderMinimap||(r.RenderMinimap={}));var D;(function(n){n[n.Smooth=0]="Smooth",n[n.Immediate=1]="Immediate"})(D=r.ScrollType||(r.ScrollType={}));var k;(function(n){n[n.Auto=1]="Auto",n[n.Hidden=2]="Hidden",n[n.Visible=3]="Visible"})(k=r.ScrollbarVisibility||(r.ScrollbarVisibility={}));var R;(function(n){n[n.LTR=0]="LTR",n[n.RTL=1]="RTL"})(R=r.SelectionDirection||(r.SelectionDirection={}));var F;(function(n){n[n.Invoke=1]="Invoke",n[n.TriggerCharacter=2]="TriggerCharacter",n[n.ContentChange=3]="ContentChange"})(F=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var I;(function(n){n[n.File=0]="File",n[n.Module=1]="Module",n[n.Namespace=2]="Namespace",n[n.Package=3]="Package",n[n.Class=4]="Class",n[n.Method=5]="Method",n[n.Property=6]="Property",n[n.Field=7]="Field",n[n.Constructor=8]="Constructor",n[n.Enum=9]="Enum",n[n.Interface=10]="Interface",n[n.Function=11]="Function",n[n.Variable=12]="Variable",n[n.Constant=13]="Constant",n[n.String=14]="String",n[n.Number=15]="Number",n[n.Boolean=16]="Boolean",n[n.Array=17]="Array",n[n.Object=18]="Object",n[n.Key=19]="Key",n[n.Null=20]="Null",n[n.EnumMember=21]="EnumMember",n[n.Struct=22]="Struct",n[n.Event=23]="Event",n[n.Operator=24]="Operator",n[n.TypeParameter=25]="TypeParameter"})(I=r.SymbolKind||(r.SymbolKind={}));var O;(function(n){n[n.Deprecated=1]="Deprecated"})(O=r.SymbolTag||(r.SymbolTag={}));var H;(function(n){n[n.Hidden=0]="Hidden",n[n.Blink=1]="Blink",n[n.Smooth=2]="Smooth",n[n.Phase=3]="Phase",n[n.Expand=4]="Expand",n[n.Solid=5]="Solid"})(H=r.TextEditorCursorBlinkingStyle||(r.TextEditorCursorBlinkingStyle={}));var q;(function(n){n[n.Line=1]="Line",n[n.Block=2]="Block",n[n.Underline=3]="Underline",n[n.LineThin=4]="LineThin",n[n.BlockOutline=5]="BlockOutline",n[n.UnderlineThin=6]="UnderlineThin"})(q=r.TextEditorCursorStyle||(r.TextEditorCursorStyle={}));var B;(function(n){n[n.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",n[n.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",n[n.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",n[n.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(B=r.TrackedRangeStickiness||(r.TrackedRangeStickiness={}));var V;(function(n){n[n.None=0]="None",n[n.Same=1]="Same",n[n.Indent=2]="Indent",n[n.DeepIndent=3]="DeepIndent"})(V=r.WrappingIndent||(r.WrappingIndent={}))});var re=this&&this.__awaiter||function(U,r,E,e){function N(a){return a instanceof E?a:new E(function(p){p(a)})}return new(E||(E=Promise))(function(a,p){function m(v){try{d(e.next(v))}catch(t){p(t)}}function u(v){try{d(e.throw(v))}catch(t){p(t)}}function d(v){v.done?a(v.value):N(v.value).then(m,u)}d((e=e.apply(U,r||[])).next())})};j(G[41],Y([0,1,6,8]),function(U,r,E,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=void 0;class N{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new E.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(m){this._onDidChange.fire({changedLanguages:m,changedColorMap:!1})}register(m,u){return this._map.set(m,u),this.fire([m]),(0,e.toDisposable)(()=>{this._map.get(m)===u&&(this._map.delete(m),this.fire([m]))})}registerFactory(m,u){var d;(d=this._factories.get(m))===null||d===void 0||d.dispose();const v=new a(this,m,u);return this._factories.set(m,v),(0,e.toDisposable)(()=>{const t=this._factories.get(m);!t||t!==v||(this._factories.delete(m),t.dispose())})}getOrCreate(m){return re(this,void 0,void 0,function*(){const u=this.get(m);if(u)return u;const d=this._factories.get(m);return!d||d.isResolved?null:(yield d.resolve(),this.get(m))})}get(m){return this._map.get(m)||null}isResolved(m){if(this.get(m))return!0;const d=this._factories.get(m);return!!(!d||d.isResolved)}setColorMap(m){this._colorMap=m,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}r.TokenizationRegistry=N;class a extends e.Disposable{constructor(m,u,d){super();this._registry=m,this._languageId=u,this._factory=d,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}resolve(){return re(this,void 0,void 0,function*(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise})}_create(){return re(this,void 0,void 0,function*(){const m=yield Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,m&&!this._isDisposed&&this._register(this._registry.register(this._languageId,m))})}}}),j(G[42],Y([0,1,9,4,41,17]),function(U,r,E,e,N,a){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=r.InlayHintKind=r.Command=r.FoldingRangeKind=r.SymbolKinds=r.isLocationLink=r.DocumentHighlightKind=r.SignatureHelpTriggerKind=r.InlineCompletionTriggerKind=r.CompletionItemKinds=r.EncodedTokenizationResult=r.TokenizationResult=r.Token=r.TokenMetadata=void 0;class p{static getLanguageId(i){return(i&255)>>>0}static getTokenType(i){return(i&768)>>>8}static getFontStyle(i){return(i&15360)>>>10}static getForeground(i){return(i&8372224)>>>14}static getBackground(i){return(i&4286578688)>>>23}static getClassNameFromMetadata(i){const o=this.getForeground(i);let l="mtk"+o;const g=this.getFontStyle(i);return g&1&&(l+=" mtki"),g&2&&(l+=" mtkb"),g&4&&(l+=" mtku"),g&8&&(l+=" mtks"),l}static getInlineStyleFromMetadata(i,o){const l=this.getForeground(i),g=this.getFontStyle(i);let c=`color: ${o[l]};`;g&1&&(c+="font-style: italic;"),g&2&&(c+="font-weight: bold;");let b="";return g&4&&(b+=" underline"),g&8&&(b+=" line-through"),b&&(c+=`text-decoration:${b};`),c}static getPresentationFromMetadata(i){const o=this.getForeground(i),l=this.getFontStyle(i);return{foreground:o,italic:Boolean(l&1),bold:Boolean(l&2),underline:Boolean(l&4),strikethrough:Boolean(l&8)}}}r.TokenMetadata=p;class m{constructor(i,o,l){this._tokenBrand=void 0,this.offset=i,this.type=o,this.language=l}toString(){return"("+this.offset+", "+this.type+")"}}r.Token=m;class u{constructor(i,o){this._tokenizationResultBrand=void 0,this.tokens=i,this.endState=o}}r.TokenizationResult=u;class d{constructor(i,o){this._encodedTokenizationResultBrand=void 0,this.tokens=i,this.endState=o}}r.EncodedTokenizationResult=d;var v;(function(s){const i=new Map;i.set(0,a.Codicon.symbolMethod),i.set(1,a.Codicon.symbolFunction),i.set(2,a.Codicon.symbolConstructor),i.set(3,a.Codicon.symbolField),i.set(4,a.Codicon.symbolVariable),i.set(5,a.Codicon.symbolClass),i.set(6,a.Codicon.symbolStruct),i.set(7,a.Codicon.symbolInterface),i.set(8,a.Codicon.symbolModule),i.set(9,a.Codicon.symbolProperty),i.set(10,a.Codicon.symbolEvent),i.set(11,a.Codicon.symbolOperator),i.set(12,a.Codicon.symbolUnit),i.set(13,a.Codicon.symbolValue),i.set(15,a.Codicon.symbolEnum),i.set(14,a.Codicon.symbolConstant),i.set(15,a.Codicon.symbolEnum),i.set(16,a.Codicon.symbolEnumMember),i.set(17,a.Codicon.symbolKeyword),i.set(27,a.Codicon.symbolSnippet),i.set(18,a.Codicon.symbolText),i.set(19,a.Codicon.symbolColor),i.set(20,a.Codicon.symbolFile),i.set(21,a.Codicon.symbolReference),i.set(22,a.Codicon.symbolCustomColor),i.set(23,a.Codicon.symbolFolder),i.set(24,a.Codicon.symbolTypeParameter),i.set(25,a.Codicon.account),i.set(26,a.Codicon.issues);function o(c){let b=i.get(c);return b||(console.info("No codicon found for CompletionItemKind "+c),b=a.Codicon.symbolProperty),b}s.toIcon=o;const l=new Map;l.set("method",0),l.set("function",1),l.set("constructor",2),l.set("field",3),l.set("variable",4),l.set("class",5),l.set("struct",6),l.set("interface",7),l.set("module",8),l.set("property",9),l.set("event",10),l.set("operator",11),l.set("unit",12),l.set("value",13),l.set("constant",14),l.set("enum",15),l.set("enum-member",16),l.set("enumMember",16),l.set("keyword",17),l.set("snippet",27),l.set("text",18),l.set("color",19),l.set("file",20),l.set("reference",21),l.set("customcolor",22),l.set("folder",23),l.set("type-parameter",24),l.set("typeParameter",24),l.set("account",25),l.set("issue",26);function g(c,b){let C=l.get(c);return typeof C=="undefined"&&!b&&(C=9),C}s.fromString=g})(v=r.CompletionItemKinds||(r.CompletionItemKinds={}));var t;(function(s){s[s.Automatic=0]="Automatic",s[s.Explicit=1]="Explicit"})(t=r.InlineCompletionTriggerKind||(r.InlineCompletionTriggerKind={}));var h;(function(s){s[s.Invoke=1]="Invoke",s[s.TriggerCharacter=2]="TriggerCharacter",s[s.ContentChange=3]="ContentChange"})(h=r.SignatureHelpTriggerKind||(r.SignatureHelpTriggerKind={}));var f;(function(s){s[s.Text=0]="Text",s[s.Read=1]="Read",s[s.Write=2]="Write"})(f=r.DocumentHighlightKind||(r.DocumentHighlightKind={}));function S(s){return s&&E.URI.isUri(s.uri)&&e.Range.isIRange(s.range)&&(e.Range.isIRange(s.originSelectionRange)||e.Range.isIRange(s.targetSelectionRange))}r.isLocationLink=S;var L;(function(s){const i=new Map;i.set(0,a.Codicon.symbolFile),i.set(1,a.Codicon.symbolModule),i.set(2,a.Codicon.symbolNamespace),i.set(3,a.Codicon.symbolPackage),i.set(4,a.Codicon.symbolClass),i.set(5,a.Codicon.symbolMethod),i.set(6,a.Codicon.symbolProperty),i.set(7,a.Codicon.symbolField),i.set(8,a.Codicon.symbolConstructor),i.set(9,a.Codicon.symbolEnum),i.set(10,a.Codicon.symbolInterface),i.set(11,a.Codicon.symbolFunction),i.set(12,a.Codicon.symbolVariable),i.set(13,a.Codicon.symbolConstant),i.set(14,a.Codicon.symbolString),i.set(15,a.Codicon.symbolNumber),i.set(16,a.Codicon.symbolBoolean),i.set(17,a.Codicon.symbolArray),i.set(18,a.Codicon.symbolObject),i.set(19,a.Codicon.symbolKey),i.set(20,a.Codicon.symbolNull),i.set(21,a.Codicon.symbolEnumMember),i.set(22,a.Codicon.symbolStruct),i.set(23,a.Codicon.symbolEvent),i.set(24,a.Codicon.symbolOperator),i.set(25,a.Codicon.symbolTypeParameter);function o(l){let g=i.get(l);return g||(console.info("No codicon found for SymbolKind "+l),g=a.Codicon.symbolProperty),g}s.toIcon=o})(L=r.SymbolKinds||(r.SymbolKinds={}));class _{constructor(i){this.value=i}}r.FoldingRangeKind=_,_.Comment=new _("comment"),_.Imports=new _("imports"),_.Region=new _("region");var y;(function(s){function i(o){return!o||typeof o!="object"?!1:typeof o.id=="string"&&typeof o.title=="string"}s.is=i})(y=r.Command||(r.Command={}));var w;(function(s){s[s.Other=0]="Other",s[s.Type=1]="Type",s[s.Parameter=2]="Parameter"})(w=r.InlayHintKind||(r.InlayHintKind={})),r.TokenizationRegistry=new N.TokenizationRegistry}),j(G[43],Y([0,1,26,6,21,9,3,4,29,42,40]),function(U,r,E,e,N,a,p,m,u,d,v){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createMonacoBaseAPI=r.KeyMod=void 0;class t{static chord(S,L){return(0,N.KeyChord)(S,L)}}r.KeyMod=t,t.CtrlCmd=2048,t.Shift=1024,t.Alt=512,t.WinCtrl=256;function h(){return{editor:void 0,languages:void 0,CancellationTokenSource:E.CancellationTokenSource,Emitter:e.Emitter,KeyCode:v.KeyCode,KeyMod:t,Position:p.Position,Range:m.Range,Selection:u.Selection,SelectionDirection:v.SelectionDirection,MarkerSeverity:v.MarkerSeverity,MarkerTag:v.MarkerTag,Uri:a.URI,Token:d.Token}}r.createMonacoBaseAPI=h}),j(G[45],Y([0,1,12,5,9,3,4,32,37,31,33,34,43,7,11,39]),function(U,r,E,e,N,a,p,m,u,d,v,t,h,f,S,L){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.create=r.EditorSimpleWorker=r.MirrorModel=void 0;class _ extends u.MirrorTextModel{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(i){return this._lines[i-1]}getWordAtPosition(i,o){const l=(0,d.getWordAtText)(i.column,(0,d.ensureValidWordDefinition)(o),this._lines[i.lineNumber-1],0);return l?new p.Range(i.lineNumber,l.startColumn,i.lineNumber,l.endColumn):null}words(i){const o=this._lines,l=this._wordenize.bind(this);let g=0,c="",b=0,C=[];return{*[Symbol.iterator](){for(;;)if(b<C.length){const A=c.substring(C[b].start,C[b].end);b+=1,yield A}else if(g<o.length)c=o[g],C=l(c,i),b=0,g+=1;else break}}}getLineWords(i,o){const l=this._lines[i-1],g=this._wordenize(l,o),c=[];for(const b of g)c.push({word:l.substring(b.start,b.end),startColumn:b.start+1,endColumn:b.end+1});return c}_wordenize(i,o){const l=[];let g;for(o.lastIndex=0;(g=o.exec(i))&&g[0].length!==0;)l.push({start:g.index,end:g.index+g[0].length});return l}getValueInRange(i){if(i=this._validateRange(i),i.startLineNumber===i.endLineNumber)return this._lines[i.startLineNumber-1].substring(i.startColumn-1,i.endColumn-1);const o=this._eol,l=i.startLineNumber-1,g=i.endLineNumber-1,c=[];c.push(this._lines[l].substring(i.startColumn-1));for(let b=l+1;b<g;b++)c.push(this._lines[b]);return c.push(this._lines[g].substring(0,i.endColumn-1)),c.join(o)}offsetAt(i){return i=this._validatePosition(i),this._ensureLineStarts(),this._lineStarts.getPrefixSum(i.lineNumber-2)+(i.column-1)}positionAt(i){i=Math.floor(i),i=Math.max(0,i),this._ensureLineStarts();const o=this._lineStarts.getIndexOf(i),l=this._lines[o.index].length;return{lineNumber:1+o.index,column:1+Math.min(o.remainder,l)}}_validateRange(i){const o=this._validatePosition({lineNumber:i.startLineNumber,column:i.startColumn}),l=this._validatePosition({lineNumber:i.endLineNumber,column:i.endColumn});return o.lineNumber!==i.startLineNumber||o.column!==i.startColumn||l.lineNumber!==i.endLineNumber||l.column!==i.endColumn?{startLineNumber:o.lineNumber,startColumn:o.column,endLineNumber:l.lineNumber,endColumn:l.column}:i}_validatePosition(i){if(!a.Position.isIPosition(i))throw new Error("bad position");let{lineNumber:o,column:l}=i,g=!1;if(o<1)o=1,l=1,g=!0;else if(o>this._lines.length)o=this._lines.length,l=this._lines[o-1].length+1,g=!0;else{const c=this._lines[o-1].length+1;l<1?(l=1,g=!0):l>c&&(l=c,g=!0)}return g?{lineNumber:o,column:l}:i}}r.MirrorModel=_;class y{constructor(i,o){this._host=i,this._models=Object.create(null),this._foreignModuleFactory=o,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(i){return this._models[i]}_getModels(){const i=[];return Object.keys(this._models).forEach(o=>i.push(this._models[o])),i}acceptNewModel(i){this._models[i.url]=new _(N.URI.parse(i.url),i.lines,i.EOL,i.versionId)}acceptModelChanged(i,o){if(!this._models[i])return;this._models[i].onEvents(o)}acceptRemovedModel(i){!this._models[i]||delete this._models[i]}computeUnicodeHighlights(i,o,l){return re(this,void 0,void 0,function*(){const g=this._getModel(i);return g?L.UnicodeTextModelHighlighter.computeUnicodeHighlights(g,o,l):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}})}computeDiff(i,o,l,g){return re(this,void 0,void 0,function*(){const c=this._getModel(i),b=this._getModel(o);if(!c||!b)return null;const C=c.getLinesContent(),A=b.getLinesContent(),D=new m.DiffComputer(C,A,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:l,shouldMakePrettyDiff:!0,maxComputationTime:g}).computeDiff(),k=D.changes.length>0?!1:this._modelsAreIdentical(c,b);return{quitEarly:D.quitEarly,identical:k,changes:D.changes}})}_modelsAreIdentical(i,o){const l=i.getLineCount(),g=o.getLineCount();if(l!==g)return!1;for(let c=1;c<=l;c++){const b=i.getLineContent(c),C=o.getLineContent(c);if(b!==C)return!1}return!0}computeMoreMinimalEdits(i,o){return re(this,void 0,void 0,function*(){const l=this._getModel(i);if(!l)return o;const g=[];let c;o=o.slice(0).sort((b,C)=>{if(b.range&&C.range)return p.Range.compareRangesUsingStarts(b.range,C.range);const A=b.range?0:1,P=C.range?0:1;return A-P});for(let{range:b,text:C,eol:A}of o){if(typeof A=="number"&&(c=A),p.Range.isEmpty(b)&&!C)continue;const P=l.getValueInRange(b);if(C=C.replace(/\r\n|\n|\r/g,l.eol),P===C)continue;if(Math.max(C.length,P.length)>y._diffLimit){g.push({range:b,text:C});continue}const D=(0,E.stringDiff)(P,C,!1),k=l.offsetAt(p.Range.lift(b).getStartPosition());for(const R of D){const F=l.positionAt(k+R.originalStart),I=l.positionAt(k+R.originalStart+R.originalLength),O={text:C.substr(R.modifiedStart,R.modifiedLength),range:{startLineNumber:F.lineNumber,startColumn:F.column,endLineNumber:I.lineNumber,endColumn:I.column}};l.getValueInRange(O.range)!==O.text&&g.push(O)}}return typeof c=="number"&&g.push({eol:c,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),g})}computeLinks(i){return re(this,void 0,void 0,function*(){const o=this._getModel(i);return o?(0,v.computeLinks)(o):null})}textualSuggest(i,o,l,g){return re(this,void 0,void 0,function*(){const c=new S.StopWatch(!0),b=new RegExp(l,g),C=new Set;e:for(let A of i){const P=this._getModel(A);if(!!P){for(let D of P.words(b))if(!(D===o||!isNaN(Number(D)))&&(C.add(D),C.size>y._suggestionsLimit))break e}}return{words:Array.from(C),duration:c.elapsed()}})}computeWordRanges(i,o,l,g){return re(this,void 0,void 0,function*(){const c=this._getModel(i);if(!c)return Object.create(null);const b=new RegExp(l,g),C=Object.create(null);for(let A=o.startLineNumber;A<o.endLineNumber;A++){const P=c.getLineWords(A,b);for(const D of P){if(!isNaN(Number(D.word)))continue;let k=C[D.word];k||(k=[],C[D.word]=k),k.push({startLineNumber:A,startColumn:D.startColumn,endLineNumber:A,endColumn:D.endColumn})}}return C})}navigateValueSet(i,o,l,g,c){return re(this,void 0,void 0,function*(){const b=this._getModel(i);if(!b)return null;const C=new RegExp(g,c);o.startColumn===o.endColumn&&(o={startLineNumber:o.startLineNumber,startColumn:o.startColumn,endLineNumber:o.endLineNumber,endColumn:o.endColumn+1});const A=b.getValueInRange(o),P=b.getWordAtPosition({lineNumber:o.startLineNumber,column:o.startColumn},C);if(!P)return null;const D=b.getValueInRange(P);return t.BasicInplaceReplace.INSTANCE.navigateValueSet(o,A,P,D,l)})}loadForeignModule(i,o,l){const g=(C,A)=>this._host.fhr(C,A),b={host:f.createProxyObject(l,g),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(b,o),Promise.resolve(f.getAllMethodNames(this._foreignModule))):new Promise((C,A)=>{U([i],P=>{this._foreignModule=P.create(b,o),C(f.getAllMethodNames(this._foreignModule))},A)})}fmr(i,o){if(!this._foreignModule||typeof this._foreignModule[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._foreignModule[i].apply(this._foreignModule,o))}catch(l){return Promise.reject(l)}}}r.EditorSimpleWorker=y,y._diffLimit=1e5,y._suggestionsLimit=1e4;function w(s){return new y(s,null)}r.create=w,typeof importScripts=="function"&&(e.globals.monaco=(0,h.createMonacoBaseAPI)())}),function(){var U,r;const E=self.MonacoEnvironment,e=E&&E.baseUrl?E.baseUrl:"../../../",N=typeof((U=self.trustedTypes)===null||U===void 0?void 0:U.createPolicy)=="function"?(r=self.trustedTypes)===null||r===void 0?void 0:r.createPolicy("amdLoader",{createScriptURL:v=>v,createScript:(v,...t)=>{const h=t.slice(0,-1).join(","),f=t.pop().toString();return`(function anonymous(${h}) {
${f}
})`}}):void 0;function a(){try{return(N?self.eval(N.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}function p(){return new Promise((v,t)=>{if(typeof self.define=="function"&&self.define.amd)return v();const h=e+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(h)&&h.substring(0,self.origin.length)!==self.origin)&&a()){fetch(h).then(S=>{if(S.status!==200)throw new Error(S.statusText);return S.text()}).then(S=>{S=`${S}
//# sourceURL=${h}`,(N?self.eval(N.createScript("",S)):new Function(S)).call(self),v()}).then(void 0,t);return}N?importScripts(N.createScriptURL(h)):importScripts(h),v()})}const m=function(v){p().then(()=>{require.config({baseUrl:e,catchError:!0,trustedTypesPolicy:N,amdModulesPattern:/^vs\//}),require([v],function(t){setTimeout(function(){let h=t.create((f,S)=>{self.postMessage(f,S)},null);for(self.onmessage=f=>h.onmessage(f.data,f.ports);d.length>0;)self.onmessage(d.shift())},0)})})};let u=!0,d=[];self.onmessage=v=>{if(!u){d.push(v);return}u=!1,m(v.data)}}()}).call(this);

//# sourceMappingURL=../../../../min-maps/vs/base/worker/workerMain.js.map